#! perl -w
#
# !!!!!!!   DO NOT EDIT THIS FILE   !!!!!!!
#
# This file is generated automatically from 'src/ops/core.ops'.
# Any changes made here will be lost!
#

=head1 NAME

Parrot::OpLib::core - Parrot Op Info

=head1 DESCRIPTION

This is an autogenerated file, created by F<tools/build/ops2pm.pl>.

It contains Parrot version info, a preamble for inclusion in C code,
and an array of C<Parrot::Op> instances representing the Parrot ops.

=cut


use strict;

package Parrot::OpLib::core;

use vars qw($VERSION $ops $preamble);

$VERSION = "1.4.0";

$preamble = '/*
 * $Id: core.ops 40082 2009-07-14 14:29:28Z whiteknight $
** core.ops
*/

#include "parrot/dynext.h"
#include "parrot/embed.h"
#include "parrot/runcore_api.h"
#include "../pmc/pmc_continuation.h"
#include "../pmc/pmc_parrotlibrary.h"



/*
 * $Id: bit.ops 37225 2009-03-09 03:16:29Z allison $
** bit.ops
*/

 /* Signed shift operator that is compatible with PMC shifts.  This is
  * guaranteed to produce the same result as bitwise_left_shift_internal modulo
  * word size, ignoring the fact that Parrot integers are always signed.  This
  * usually gives the same answer regardless whether you shift PMC operands and
  * then assign to an I-reg, or move the operands to I-regs and do the shift
  * there -- except when the true result is between 2^{w-1} and 2^w (where w is
  * the word size), in which case the high order bit is taken as the sign,
  * giving a truncated result that is 2^w lower.
  */
#define bit_shift_left(number, bits) \\
    ((bits) >= 8*INTVAL_SIZE     ? 0                    \\
     : (bits) >= 0               ? (number) << (bits)   \\
     : (bits) > -8*INTVAL_SIZE   ? (number) >> -(bits)   \\
     : 0)



/*
 * $Id: cmp.ops 39629 2009-06-17 15:25:11Z NotFound $
** cmp.ops
*/



/*
 * $Id: debug.ops 37225 2009-03-09 03:16:29Z allison $
 * Copyright (C) 2002-2008, Parrot Foundation.
 */

/*
** debug.ops
*/



/*
 * $Id: experimental.ops 37646 2009-03-23 10:09:31Z moritz $
** experimental.ops
*/



/*
 * $Id: io.ops 39465 2009-06-09 08:01:08Z chromatic $
 * Copyright (C) 2002-2008, Parrot Foundation.
** io.ops
*/

#include "../io/io_private.h"



/*
 * $Id: math.ops 37225 2009-03-09 03:16:29Z allison $
** math.ops
*/



/*

$Id: object.ops 37225 2009-03-09 03:16:29Z allison $

object.ops

*/




/*
 * $Id: pic.ops 37665 2009-03-24 04:38:25Z cotto $
** pic.ops
*/

#include "parrot/oplib/ops.h"
#include "../src/pmc/pmc_fixedintegerarray.h"

typedef opcode_t* (*interface_f)(Interp*, INTVAL*, void **);



/*

$Id: pmc.ops 39007 2009-05-21 04:04:31Z pmichaud $

pmc.ops

*/



/*
 * $Id: set.ops 39198 2009-05-27 17:54:03Z NotFound $
** set.ops
*/



/*
 * $Id: string.ops 38654 2009-05-09 20:02:23Z whiteknight $
** string.ops
*/



/*
 * $Id: sys.ops 40156 2009-07-19 16:47:49Z jkeenan $
** sys.ops
*/



/*
 * $Id: var.ops 37944 2009-04-07 15:56:46Z pmichaud $
** var.ops
*/


';
$ops = [
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'end',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'check_event' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 0,
                  'ARGS' => [],
                  'BODY' => '#line 53 "src/ops/core.ops"
    {{=0}};
',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'noop',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 1,
                  'ARGS' => [],
                  'BODY' => '#line 107 "src/ops/core.ops"

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'cpu_ret',
                  'FLAGS' => {},
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 2,
                  'ARGS' => [],
                  'BODY' => '#line 110 "src/ops/core.ops"
    /* We only want to call __asm__("ret") if we\'re in the JIT core. Otherwise
       we want to throw an error. Seriously people: Do not use this opcode
       directly in PIR. Ever. It absolutely makes no sense and it doesn\'t do
       anything productive. You\'ve been warned. */
    if (interp->run_core & PARROT_JIT_CORE) {
#ifdef __GNUC__
#  ifdef I386
        __asm__("ret");
#  endif
#endif
    }
    else {
        opcode_t * const handler= Parrot_ex_throw_from_op_args(interp,
            NULL, EXCEPTION_INVALID_OPERATION,
            "cpu_ret: May not use this opcode from PIR source");
        {{=handler}};
    }

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'check_events',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 3,
                  'ARGS' => [],
                  'BODY' => '#line 130 "src/ops/core.ops"
    opcode_t *next = {{^+1}};
    Parrot_cx_check_tasks(interp, interp->scheduler);
    {{=next}};   /* force this being a branch op */
',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'check_events__',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'internal' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 4,
                  'ARGS' => [],
                  'BODY' => '#line 136 "src/ops/core.ops"
    opcode_t *_this = CUR_OPCODE;
    /* Restore op_func_table. */
    disable_event_checking(interp);
    Parrot_cx_handle_tasks(interp, interp->scheduler);
    {{=_this}};   /* force this being a branch op */
',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'wrapper__',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'internal' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 5,
                  'ARGS' => [],
                  'BODY' => '#line 144 "src/ops/core.ops"
    opcode_t *pc = CUR_OPCODE;
    DO_OP(pc, interp);
    {{=pc}};
',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'prederef__',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'internal' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 6,
                  'ARGS' => [],
                  'BODY' => '#line 150 "src/ops/core.ops"
    opcode_t * const _this = CUR_OPCODE;
    if (interp->run_core & PARROT_CGOTO_CORE) {
        /* must be CGP then - check for events in not yet prederefed code */
        Parrot_cx_runloop_wake(interp, interp->scheduler);
    /*    _this = CHECK_EVENTS(interp, _this); */
    }
    do_prederef((void**)cur_opcode, interp, op_lib.core_type);
    {{=_this}}; /* force this being a branch op */
',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'reserved',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 7,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 161 "src/ops/core.ops"
    /* reserve 1 entries */

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'load_bytecode',
                  'FLAGS' => {
                               'load_file' => undef,
                               '' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 8,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 165 "src/ops/core.ops"
    Parrot_load_bytecode(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'load_bytecode',
                  'FLAGS' => $ops->[8]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 9,
                  'ARGS' => [
                              'sc'
                            ],
                  'BODY' => '#line 165 "src/ops/core.ops"
    Parrot_load_bytecode(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'load_language',
                  'FLAGS' => {
                               'load_file' => undef,
                               '' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 10,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 176 "src/ops/core.ops"
    Parrot_load_language(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'load_language',
                  'FLAGS' => $ops->[10]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 11,
                  'ARGS' => [
                              'sc'
                            ],
                  'BODY' => '#line 176 "src/ops/core.ops"
    Parrot_load_language(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE|PARROT_JUMP_GNEXT',
                  'NAME' => 'branch',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'base_loop' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 12,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 202 "src/ops/core.ops"
    {{+={{@1}}}};
',
                  'LABELS' => [
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'branch',
                  'FLAGS' => $ops->[12]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 13,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 202 "src/ops/core.ops"
    {{+={{@1}}}};
',
                  'LABELS' => [
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_RESTART',
                  'NAME' => 'branch_cs',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'base_loop' => undef,
                               'check_event' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 14,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 213 "src/ops/core.ops"
    PackFile_FixupEntry * fe;
    {
        char * const label = Parrot_str_to_cstring(interp, {{@1}});
        fe = PackFile_find_fixup_entry(interp, enum_fixup_label, label);
        Parrot_str_free_cstring(label);
    }

    if (!fe) {
        opcode_t * handler= Parrot_ex_throw_from_op_args(interp, NULL,
            EXCEPTION_INVALID_OPERATION,
            "branch_cs: fixup for \'%Ss\' not found", {{@1}});
        {{=handler}};
    }
    else {
        interp->resume_offset = fe->offset;
        Parrot_switch_to_cs(interp, fe->seg, 1);
        mem_sys_free(fe);
    }
    interp->resume_flag = 2;
    {{=0}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_RESTART',
                  'NAME' => 'branch_cs',
                  'FLAGS' => $ops->[14]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 15,
                  'ARGS' => [
                              'sc'
                            ],
                  'BODY' => '#line 213 "src/ops/core.ops"
    PackFile_FixupEntry * fe;
    {
        char * const label = Parrot_str_to_cstring(interp, {{@1}});
        fe = PackFile_find_fixup_entry(interp, enum_fixup_label, label);
        Parrot_str_free_cstring(label);
    }

    if (!fe) {
        opcode_t * handler= Parrot_ex_throw_from_op_args(interp, NULL,
            EXCEPTION_INVALID_OPERATION,
            "branch_cs: fixup for \'%Ss\' not found", {{@1}});
        {{=handler}};
    }
    else {
        interp->resume_offset = fe->offset;
        Parrot_switch_to_cs(interp, fe->seg, 1);
        mem_sys_free(fe);
    }
    interp->resume_flag = 2;
    {{=0}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'bsr',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'check_event' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 16,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 245 "src/ops/core.ops"
    stack_push(interp, &interp->dynamic_env,
             {{^+2}},  STACK_ENTRY_DESTINATION, STACK_CLEANUP_NULL);
    {{+={{@1}}}};
',
                  'LABELS' => [
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE|PARROT_JUMP_ENEXT',
                  'NAME' => 'bsr',
                  'FLAGS' => $ops->[16]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 17,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 245 "src/ops/core.ops"
    stack_push(interp, &interp->dynamic_env,
             {{^+2}},  STACK_ENTRY_DESTINATION, STACK_CLEANUP_NULL);
    {{+={{@1}}}};
',
                  'LABELS' => [
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_POP',
                  'NAME' => 'ret',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 18,
                  'ARGS' => [],
                  'BODY' => '#line 257 "src/ops/core.ops"
    {{=*}};
',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_RELATIVE|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'local_branch',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'check_event' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 19,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 270 "src/ops/core.ops"
    INTVAL return_addr;
    opcode_t *dest = {{^+3}};

    if (PMC_IS_NULL({{@1}}) || {{@1}}->vtable->base_type != enum_class_ResizableIntegerArray) {
        opcode_t * handler = Parrot_ex_throw_from_op_args(interp, dest,
            EXCEPTION_INVALID_OPERATION,
            "Must pass a valid integer array to \'local_branch\'");
        {{=handler}};
    }

    return_addr = PTR2INTVAL(dest);
    VTABLE_push_integer(interp, {{@1}}, return_addr);

    {{+={{@2}}}};
',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_RELATIVE|PARROT_JUMP_ENEXT',
                  'NAME' => 'local_branch',
                  'FLAGS' => $ops->[19]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 20,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 270 "src/ops/core.ops"
    INTVAL return_addr;
    opcode_t *dest = {{^+3}};

    if (PMC_IS_NULL({{@1}}) || {{@1}}->vtable->base_type != enum_class_ResizableIntegerArray) {
        opcode_t * handler = Parrot_ex_throw_from_op_args(interp, dest,
            EXCEPTION_INVALID_OPERATION,
            "Must pass a valid integer array to \'local_branch\'");
        {{=handler}};
    }

    return_addr = PTR2INTVAL(dest);
    VTABLE_push_integer(interp, {{@1}}, return_addr);

    {{+={{@2}}}};
',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'local_return',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 21,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 293 "src/ops/core.ops"
    INTVAL return_addr;
    opcode_t *next;
    opcode_t *dest = {{^+2}};

    if (PMC_IS_NULL({{@1}}) || {{@1}}->vtable->base_type != enum_class_ResizableIntegerArray) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, dest,
            EXCEPTION_INVALID_OPERATION,
            "Must pass a valid integer array to \'local_return\'");
        {{=handler}};
    }

    return_addr = VTABLE_pop_integer(interp, {{@1}});
    next = INTVAL2PTR(opcode_t *, return_addr);

    /* The return address must be within the current code segment. */
    if (! (next >= interp->code->base.data
           && next < (interp->code->base.data + interp->code->base.size))) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, dest,
            EXCEPTION_INVALID_OPERATION,
            "Address for \'local_return\' must be within the current code segment");
        {{=handler}};
    }

    {{=next}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'jsr',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'check_event' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 22,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 331 "src/ops/core.ops"
    opcode_t * loc;
    stack_push(interp, &interp->dynamic_env,
             {{^+2}},  STACK_ENTRY_DESTINATION, STACK_CLEANUP_NULL);
    loc = INTVAL2PTR(opcode_t *, {{@1}});
    {{=loc}};
',
                  'LABELS' => [
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'jsr',
                  'FLAGS' => $ops->[22]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 23,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 331 "src/ops/core.ops"
    opcode_t * loc;
    stack_push(interp, &interp->dynamic_env,
             {{^+2}},  STACK_ENTRY_DESTINATION, STACK_CLEANUP_NULL);
    loc = INTVAL2PTR(opcode_t *, {{@1}});
    {{=loc}};
',
                  'LABELS' => [
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_GNEXT',
                  'NAME' => 'jump',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'base_loop' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 24,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 347 "src/ops/core.ops"
    opcode_t * const loc = INTVAL2PTR(opcode_t *, {{@1}});
    {{=loc}};
',
                  'LABELS' => [
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'jump',
                  'FLAGS' => $ops->[24]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 25,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 347 "src/ops/core.ops"
    opcode_t * const loc = INTVAL2PTR(opcode_t *, {{@1}});
    {{=loc}};
',
                  'LABELS' => [
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'enternative',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'function',
                  'CODE' => 26,
                  'ARGS' => [],
                  'BODY' => '#line 360 "src/ops/core.ops"
    opcode_t * const addr = run_native(interp, CUR_OPCODE,
            interp->code->base.data);
    {{=addr}};
',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'if',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 27,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 395 "src/ops/core.ops"
    if ({{@1}} != 0)
        {{+={{@2}}}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'if',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 28,
                  'ARGS' => [
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 400 "src/ops/core.ops"
    if (!FLOAT_IS_ZERO({{@1}}))
        {{+={{@2}}}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'if',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 29,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 405 "src/ops/core.ops"
    if (Parrot_str_boolean(interp, {{@1}}))
        {{+={{@2}}}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'if',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 30,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 410 "src/ops/core.ops"
    if (VTABLE_get_bool(interp, {{@1}}))
        {{+={{@2}}}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'unless',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 31,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 429 "src/ops/core.ops"
    if ({{@1}} == 0)
        {{+={{@2}}}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'unless',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 32,
                  'ARGS' => [
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 434 "src/ops/core.ops"
    if (FLOAT_IS_ZERO({{@1}}))
        {{+={{@2}}}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'unless',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 33,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 439 "src/ops/core.ops"
    if (!Parrot_str_boolean(interp, {{@1}}))
        {{+={{@2}}}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'unless',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 34,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 444 "src/ops/core.ops"
    if (!VTABLE_get_bool(interp, {{@1}}))
        {{+={{@2}}}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'invokecc',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 35,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 499 "src/ops/core.ops"
    PMC      * const p     = {{@1}};
    opcode_t *dest         = {{^+2}};

    interp->current_object = NULL;
    interp->current_cont   = NEED_CONTINUATION;
    dest                   = (opcode_t *)p->vtable->invoke(interp, p, dest);

    {{=dest}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'invoke',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 36,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 510 "src/ops/core.ops"
    opcode_t *dest;
    PMC * const p = {{@1}};

    interp->current_object = NULL;
    interp->current_cont = {{@2}};
    dest = (opcode_t *)p->vtable->invoke(interp, p, {{^+3}});
    {{=dest}};
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'yield',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 37,
                  'ARGS' => [],
                  'BODY' => '#line 520 "src/ops/core.ops"
    opcode_t *dest = {{^+1}};
    PMC * const p = CONTEXT(interp)->current_sub;
    dest = (opcode_t *)p->vtable->invoke(interp, p, dest);
    {{=dest}};
',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'tailcall',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 38,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 527 "src/ops/core.ops"
    opcode_t *dest;
    PMC * const p = {{@1}};
    dest = {{^+2}};
    interp->current_cont = CONTEXT(interp)->current_cont;
    PObj_get_FLAGS(interp->current_cont) |= SUB_FLAG_TAILCALL;
    dest = (opcode_t *)p->vtable->invoke(interp, p, dest);
    {{=dest}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_RESTART',
                  'NAME' => 'returncc',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 39,
                  'ARGS' => [],
                  'BODY' => '#line 537 "src/ops/core.ops"
    PMC * const p = CONTEXT(interp)->current_cont;
    opcode_t * const dest = (opcode_t *)p->vtable->invoke(interp,
            p, {{^+1}});
    {{=dest}};
',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'capture_lex',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 40,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 544 "src/ops/core.ops"
    Parrot_capture_lex(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'newclosure',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 41,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 548 "src/ops/core.ops"
    {{@1}} = parrot_new_closure(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'set_args',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 42,
                  'ARGS' => [
                              'pc'
                            ],
                  'BODY' => '#line 586 "src/ops/core.ops"
    opcode_t * const _this = CUR_OPCODE;
    PMC * const signature = {{@1}};
    INTVAL argc;

    /* for now just point to the opcode */
    interp->current_args = _this;
    argc = VTABLE_elements(interp, signature);
    {{+=argc + 2}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'get_results',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 43,
                  'ARGS' => [
                              'pc'
                            ],
                  'BODY' => '#line 597 "src/ops/core.ops"
    opcode_t * const _this = CUR_OPCODE;
    PMC * const signature = {{@1}};
    INTVAL argc;

    CONTEXT(interp)->current_results = _this;
    argc = VTABLE_elements(interp, signature);
    {{+=argc + 2}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'get_params',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 44,
                  'ARGS' => [
                              'pc'
                            ],
                  'BODY' => '#line 607 "src/ops/core.ops"
    opcode_t * const _this = CUR_OPCODE;
    Parrot_Context *caller_ctx, *ctx;
    PMC * ccont;
    PMC * const signature = {{@1}};
    INTVAL argc;
    opcode_t *src_indexes, *dst_indexes;

    interp->current_params = _this;
    ctx = CONTEXT(interp);
    ccont = ctx->current_cont;

    caller_ctx = ctx->caller_ctx;

    src_indexes = interp->current_args;
    dst_indexes = interp->current_params;
    /* the args and params are now \'used.\' */
    interp->current_args = NULL;
    interp->current_params = NULL;

    parrot_pass_args(interp, caller_ctx, ctx, src_indexes, dst_indexes, PARROT_PASS_PARAMS);
    if (PObj_get_FLAGS(ccont) & SUB_FLAG_TAILCALL) {
        PObj_get_FLAGS(ccont) &= ~SUB_FLAG_TAILCALL;
        --ctx->recursion_depth;
        ctx->caller_ctx = caller_ctx->caller_ctx;
        /* ordinarily, this will free the context immediately, but not if the
           sub created a closure (or continuation, or . . .).  */
        Parrot_free_context(interp, caller_ctx, 1);
        interp->current_args = NULL;
    }
    argc = VTABLE_elements(interp, signature);
    {{+=argc + 2}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'set_returns',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 45,
                  'ARGS' => [
                              'pc'
                            ],
                  'BODY' => '#line 641 "src/ops/core.ops"
    opcode_t * const _this = CUR_OPCODE;
    Parrot_Context *ctx;
    PMC *ccont;
    PMC *signature = {{@1}};
    INTVAL argc;
    opcode_t *src_indexes, *dest_indexes;

    interp->current_returns = _this;
    ctx = CONTEXT(interp);
    ccont = ctx->current_cont;

    if (PMC_cont(ccont)->address) {
        /* Call is from runops_fromc */
        Parrot_Context * const caller_ctx = PMC_cont(ccont)->to_ctx;
        if (! caller_ctx) {
            /* there is no point calling Parrot_ex_throw_..., because
               PDB_backtrace can\'t deal with a missing to_ctx either. */
            exit_fatal(1, "No caller_ctx for continuation %p.", ccont);
        }

        src_indexes = interp->current_returns;
        dest_indexes = caller_ctx->current_results;
        interp->current_returns = NULL;
        /* does this need to be here */
        interp->current_args = NULL;

        parrot_pass_args(interp, ctx, caller_ctx, src_indexes, dest_indexes, PARROT_PASS_RESULTS);
    }
    else if (ctx->caller_ctx->results_signature) {
    /* We have a dynamic result signature, from pcc_invoke */
        parrot_pass_args(interp, ctx, ctx->caller_ctx, interp->current_returns,
                ctx->caller_ctx->current_results, PARROT_PASS_RESULTS);
    }
    argc = VTABLE_elements(interp, signature);
    {{+=argc + 2}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'result_info',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 46,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 688 "src/ops/core.ops"
    /* Get context of callee from return continuation. */
    PMC * const cc = CONTEXT(interp)->current_cont;
    PMC *sig = NULL;
    if (cc && PMC_cont(cc)->to_ctx) {
        /* caller context has results */
        opcode_t * const results = PMC_cont(cc)->to_ctx->current_results;
        if (results) {
            /* get results PMC index and get PMC. */
            sig = PF_CONST(PMC_cont(cc)->seg, results[1])->u.key;
        }
    }

    /* If no elements, hand back empty array; otherwise PMC. */
    if (!sig)
        {{@1}} = pmc_new(interp, enum_class_FixedIntegerArray);
    else
        {{@1}} = sig;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_addr',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 47,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 736 "src/ops/core.ops"
    {{@1}} = PTR2INTVAL(CUR_OPCODE + {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_addr',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 48,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 740 "src/ops/core.ops"
    VTABLE_set_pointer(interp, {{@1}}, (CUR_OPCODE + {{@2}}));

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_addr',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 49,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 744 "src/ops/core.ops"
    VTABLE_set_pointer(interp, {{@1}}, (void*){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_addr',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 50,
                  'ARGS' => [
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 748 "src/ops/core.ops"
    void *ptr = VTABLE_get_pointer(interp, {{@2}});
    {{@1}}        = (INTVAL)ptr;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'schedule',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 51,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 768 "src/ops/core.ops"
    Parrot_cx_schedule_task(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'addhandler',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 52,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 777 "src/ops/core.ops"
    Parrot_cx_add_handler(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'push_eh',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 53,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 854 "src/ops/core.ops"
    PMC * const eh = pmc_new(interp, enum_class_ExceptionHandler);
    VTABLE_set_pointer(interp, eh, CUR_OPCODE + {{@1}});
    Parrot_cx_add_handler_local(interp, eh);

{{+=2}};',
                  'LABELS' => [
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'push_eh',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 54,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 860 "src/ops/core.ops"
    Parrot_cx_add_handler_local(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pop_eh',
                  'FLAGS' => {},
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 55,
                  'ARGS' => [],
                  'BODY' => '#line 864 "src/ops/core.ops"
    Parrot_cx_delete_handler_local(interp,
            Parrot_str_new(interp, "exception", 9));

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'throw',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 56,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 869 "src/ops/core.ops"
    PMC * except = {{@1}};
    opcode_t *dest;
    opcode_t *const ret    = {{^+2}};
    PMC            *resume = new_ret_continuation_pmc(interp, ret);
    if (PMC_IS_NULL(except) || except->vtable->base_type != enum_class_Exception)
        except = Parrot_ex_build_exception(interp, EXCEPT_fatal, 1, NULL);
    /*
     * We might return here after handling the exception, so mark the
     * current context appropriately.
     */
    Parrot_context_ref(interp, CONTEXT(interp));
    VTABLE_set_attr_str(interp, except, Parrot_str_new_constant(interp, "resume"), resume);
    dest = Parrot_ex_throw_from_op(interp, except, ret);
    {{=dest}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'throw',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 57,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 886 "src/ops/core.ops"
    opcode_t * dest;
    PMC * except = {{@1}};
    if (PMC_IS_NULL(except) || except->vtable->base_type != enum_class_Exception)
        except = Parrot_ex_build_exception(interp, EXCEPT_fatal, 1, NULL);
    dest = Parrot_ex_throw_from_op(interp, {{@1}},
                                VTABLE_get_pointer(interp, {{@2}}));
    {{=dest}};
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'rethrow',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 58,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 896 "src/ops/core.ops"
    opcode_t * dest;
    if (PMC_IS_NULL({{@1}}) || {{@1}}->vtable->base_type != enum_class_Exception) {
        opcode_t * const ret = {{^+2}};
        PMC * except = Parrot_ex_build_exception(interp, EXCEPT_fatal, 1, NULL);
        dest = Parrot_ex_throw_from_op(interp, except, ret);
        {{=dest}};
    }
    dest = Parrot_ex_rethrow_from_op(interp, {{@1}});
    {{=dest}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'count_eh',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 59,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 908 "src/ops/core.ops"
    {{@1}} = Parrot_cx_count_handlers_local(interp,
            Parrot_str_new(interp, "exception", 9));

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'die',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 60,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 913 "src/ops/core.ops"
    opcode_t        *dest;
    opcode_t * const ret       = {{^+2}};
    PMC             *resume    = new_ret_continuation_pmc(interp, ret);
    PMC             *exception = Parrot_ex_build_exception(interp, EXCEPT_error,
                                    CONTROL_ERROR, {{@1}});

    VTABLE_set_attr_str(interp, exception,
                        Parrot_str_new_constant(interp, "resume"), resume);
    dest = Parrot_ex_throw_from_op(interp, exception, ret);
    {{=dest}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'die',
                  'FLAGS' => $ops->[60]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 61,
                  'ARGS' => [
                              'sc'
                            ],
                  'BODY' => '#line 913 "src/ops/core.ops"
    opcode_t        *dest;
    opcode_t * const ret       = {{^+2}};
    PMC             *resume    = new_ret_continuation_pmc(interp, ret);
    PMC             *exception = Parrot_ex_build_exception(interp, EXCEPT_error,
                                    CONTROL_ERROR, {{@1}});

    VTABLE_set_attr_str(interp, exception,
                        Parrot_str_new_constant(interp, "resume"), resume);
    dest = Parrot_ex_throw_from_op(interp, exception, ret);
    {{=dest}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'die',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 62,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 926 "src/ops/core.ops"
    opcode_t        *dest;
    opcode_t * const ret       = {{^+2}};
    PMC             *resume    = new_ret_continuation_pmc(interp, ret);
    STRING          *msg       = PMC_IS_NULL({{@1}})
                               ? NULL : VTABLE_get_string(interp, {{@1}});
    PMC             *exception =
        Parrot_ex_build_exception(interp, EXCEPT_error, CONTROL_ERROR, msg);

    VTABLE_set_attr_str(interp, exception,
                        Parrot_str_new_constant(interp, "resume"), resume);
    dest = Parrot_ex_throw_from_op(interp, exception, ret);
    {{=dest}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'die',
                  'FLAGS' => $ops->[62]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 63,
                  'ARGS' => [
                              'pc'
                            ],
                  'BODY' => '#line 926 "src/ops/core.ops"
    opcode_t        *dest;
    opcode_t * const ret       = {{^+2}};
    PMC             *resume    = new_ret_continuation_pmc(interp, ret);
    STRING          *msg       = PMC_IS_NULL({{@1}})
                               ? NULL : VTABLE_get_string(interp, {{@1}});
    PMC             *exception =
        Parrot_ex_build_exception(interp, EXCEPT_error, CONTROL_ERROR, msg);

    VTABLE_set_attr_str(interp, exception,
                        Parrot_str_new_constant(interp, "resume"), resume);
    dest = Parrot_ex_throw_from_op(interp, exception, ret);
    {{=dest}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'die',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 64,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 941 "src/ops/core.ops"
    if ({{@1}} == EXCEPT_doomed)
        _exit({{@2}});
    else {
        opcode_t * const ret       = {{^+3}};
        PMC             *exception = Parrot_ex_build_exception(interp, {{@1}},
                                                               {{@2}}, NULL);
        opcode_t * const dest      = Parrot_ex_throw_from_op(interp,
                                                             exception, ret);
        {{=dest}};
    }
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'die',
                  'FLAGS' => $ops->[64]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 65,
                  'ARGS' => [
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 941 "src/ops/core.ops"
    if ({{@1}} == EXCEPT_doomed)
        _exit({{@2}});
    else {
        opcode_t * const ret       = {{^+3}};
        PMC             *exception = Parrot_ex_build_exception(interp, {{@1}},
                                                               {{@2}}, NULL);
        opcode_t * const dest      = Parrot_ex_throw_from_op(interp,
                                                             exception, ret);
        {{=dest}};
    }
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'die',
                  'FLAGS' => $ops->[64]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 66,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 941 "src/ops/core.ops"
    if ({{@1}} == EXCEPT_doomed)
        _exit({{@2}});
    else {
        opcode_t * const ret       = {{^+3}};
        PMC             *exception = Parrot_ex_build_exception(interp, {{@1}},
                                                               {{@2}}, NULL);
        opcode_t * const dest      = Parrot_ex_throw_from_op(interp,
                                                             exception, ret);
        {{=dest}};
    }
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'die',
                  'FLAGS' => $ops->[64]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 67,
                  'ARGS' => [
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 941 "src/ops/core.ops"
    if ({{@1}} == EXCEPT_doomed)
        _exit({{@2}});
    else {
        opcode_t * const ret       = {{^+3}};
        PMC             *exception = Parrot_ex_build_exception(interp, {{@1}},
                                                               {{@2}}, NULL);
        opcode_t * const dest      = Parrot_ex_throw_from_op(interp,
                                                             exception, ret);
        {{=dest}};
    }
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'exit',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 68,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 954 "src/ops/core.ops"
    opcode_t        *dest;
    opcode_t * const ret       = {{^+2}};
    PMC             *resume    = new_ret_continuation_pmc(interp, ret);
    PMC             *exception = Parrot_ex_build_exception(interp, EXCEPT_exit,
                                                      {{@1}}, NULL);
    VTABLE_set_attr_str(interp, exception,
                        Parrot_str_new_constant(interp, "resume"), resume);
    VTABLE_set_integer_keyed_str(interp, exception,
        Parrot_str_new_constant(interp, "exit_code"), {{@1}});
    dest = Parrot_ex_throw_from_op(interp, exception, ret);
    {{=dest}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'exit',
                  'FLAGS' => $ops->[68]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 69,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 954 "src/ops/core.ops"
    opcode_t        *dest;
    opcode_t * const ret       = {{^+2}};
    PMC             *resume    = new_ret_continuation_pmc(interp, ret);
    PMC             *exception = Parrot_ex_build_exception(interp, EXCEPT_exit,
                                                      {{@1}}, NULL);
    VTABLE_set_attr_str(interp, exception,
                        Parrot_str_new_constant(interp, "resume"), resume);
    VTABLE_set_integer_keyed_str(interp, exception,
        Parrot_str_new_constant(interp, "exit_code"), {{@1}});
    dest = Parrot_ex_throw_from_op(interp, exception, ret);
    {{=dest}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pushmark',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 70,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 968 "src/ops/core.ops"
    Parrot_push_mark(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pushmark',
                  'FLAGS' => $ops->[70]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 71,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 968 "src/ops/core.ops"
    Parrot_push_mark(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'popmark',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 72,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 972 "src/ops/core.ops"
    Parrot_pop_mark(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'popmark',
                  'FLAGS' => $ops->[72]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 73,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 972 "src/ops/core.ops"
    Parrot_pop_mark(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pushaction',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 74,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 976 "src/ops/core.ops"
    Parrot_push_action(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT|PARROT_JUMP_RESTART|PARROT_JUMP_GNEXT',
                  'NAME' => 'debug',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 75,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 1003 "src/ops/core.ops"
    if ({{@1}} != 0) { Interp_debug_SET(interp,   {{@1}}); }
    else         { Interp_debug_CLEAR(interp, PARROT_ALL_DEBUG_FLAGS); }
    {{=0,+=2}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT|PARROT_JUMP_RESTART',
                  'NAME' => 'debug',
                  'FLAGS' => $ops->[75]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 76,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 1003 "src/ops/core.ops"
    if ({{@1}} != 0) { Interp_debug_SET(interp,   {{@1}}); }
    else         { Interp_debug_CLEAR(interp, PARROT_ALL_DEBUG_FLAGS); }
    {{=0,+=2}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT|PARROT_JUMP_RESTART|PARROT_JUMP_GNEXT',
                  'NAME' => 'bounds',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 77,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 1018 "src/ops/core.ops"
    if ({{@1}} != 0) { Parrot_set_flag(interp,   PARROT_BOUNDS_FLAG); }
    else         { Interp_flags_CLEAR(interp, PARROT_BOUNDS_FLAG); }
    {{=0,+=2}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT|PARROT_JUMP_RESTART',
                  'NAME' => 'bounds',
                  'FLAGS' => $ops->[77]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 78,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 1018 "src/ops/core.ops"
    if ({{@1}} != 0) { Parrot_set_flag(interp,   PARROT_BOUNDS_FLAG); }
    else         { Interp_flags_CLEAR(interp, PARROT_BOUNDS_FLAG); }
    {{=0,+=2}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT|PARROT_JUMP_RESTART|PARROT_JUMP_GNEXT',
                  'NAME' => 'profile',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 79,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 1033 "src/ops/core.ops"
    if ({{@1}} != 0) { Parrot_set_flag(interp,   PARROT_PROFILE_FLAG); }
    else         { Interp_flags_CLEAR(interp, PARROT_PROFILE_FLAG); }
    {{=0,+=2}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT|PARROT_JUMP_RESTART',
                  'NAME' => 'profile',
                  'FLAGS' => $ops->[79]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 80,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 1033 "src/ops/core.ops"
    if ({{@1}} != 0) { Parrot_set_flag(interp,   PARROT_PROFILE_FLAG); }
    else         { Interp_flags_CLEAR(interp, PARROT_PROFILE_FLAG); }
    {{=0,+=2}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT|PARROT_JUMP_RESTART|PARROT_JUMP_GNEXT',
                  'NAME' => 'trace',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 81,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 1048 "src/ops/core.ops"
    if ({{@1}} != 0) { Parrot_set_trace(interp,   {{@1}}); }
    else         { Parrot_clear_trace(interp, PARROT_ALL_TRACE_FLAGS); }
    {{=0,+=2}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT|PARROT_JUMP_RESTART',
                  'NAME' => 'trace',
                  'FLAGS' => $ops->[81]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 82,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 1048 "src/ops/core.ops"
    if ({{@1}} != 0) { Parrot_set_trace(interp,   {{@1}}); }
    else         { Parrot_clear_trace(interp, PARROT_ALL_TRACE_FLAGS); }
    {{=0,+=2}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'gc_debug',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 83,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 1062 "src/ops/core.ops"
    if ({{@1}} != 0) { Interp_flags_SET(interp,   PARROT_GC_DEBUG_FLAG); }
    else         { Interp_flags_CLEAR(interp, PARROT_GC_DEBUG_FLAG); }

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'gc_debug',
                  'FLAGS' => $ops->[83]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 84,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 1062 "src/ops/core.ops"
    if ({{@1}} != 0) { Interp_flags_SET(interp,   PARROT_GC_DEBUG_FLAG); }
    else         { Interp_flags_CLEAR(interp, PARROT_GC_DEBUG_FLAG); }

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'interpinfo',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 85,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 1096 "src/ops/core.ops"
    {{@1}} = interpinfo(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'interpinfo',
                  'FLAGS' => $ops->[85]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 86,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 1096 "src/ops/core.ops"
    {{@1}} = interpinfo(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'interpinfo',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 87,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 1100 "src/ops/core.ops"
    {{@1}} = interpinfo_p(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'interpinfo',
                  'FLAGS' => $ops->[87]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 88,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 1100 "src/ops/core.ops"
    {{@1}} = interpinfo_p(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'interpinfo',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 89,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 1104 "src/ops/core.ops"
    {{@1}} = interpinfo_s(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'interpinfo',
                  'FLAGS' => $ops->[89]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 90,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 1104 "src/ops/core.ops"
    {{@1}} = interpinfo_s(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'warningson',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 91,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 1123 "src/ops/core.ops"
    PARROT_WARNINGS_on(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'warningson',
                  'FLAGS' => $ops->[91]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 92,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 1123 "src/ops/core.ops"
    PARROT_WARNINGS_on(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'warningsoff',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 93,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 1135 "src/ops/core.ops"
    PARROT_WARNINGS_off(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'warningsoff',
                  'FLAGS' => $ops->[93]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 94,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 1135 "src/ops/core.ops"
    PARROT_WARNINGS_off(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'errorson',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 95,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 1170 "src/ops/core.ops"
    PARROT_ERRORS_on(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'errorson',
                  'FLAGS' => $ops->[95]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 96,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 1170 "src/ops/core.ops"
    PARROT_ERRORS_on(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'errorsoff',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 97,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 1182 "src/ops/core.ops"
    PARROT_ERRORS_off(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'errorsoff',
                  'FLAGS' => $ops->[97]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 98,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 1182 "src/ops/core.ops"
    PARROT_ERRORS_off(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'runinterp',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 99,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 1198 "src/ops/core.ops"
    Interp * const new_interp = (Interp *)VTABLE_get_pointer(interp, {{@1}});
    Interp_flags_SET(new_interp, PARROT_EXTERN_CODE_FLAG);
    new_interp->code = interp->code;
    runops(new_interp, REL_PC + {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE|PARROT_JUMP_ENEXT',
                  'NAME' => 'runinterp',
                  'FLAGS' => $ops->[99]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 100,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 1198 "src/ops/core.ops"
    Interp * const new_interp = (Interp *)VTABLE_get_pointer(interp, {{@1}});
    Interp_flags_SET(new_interp, PARROT_EXTERN_CODE_FLAG);
    new_interp->code = interp->code;
    runops(new_interp, REL_PC + {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getinterp',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 101,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 1205 "src/ops/core.ops"
    {{@1}} = VTABLE_get_pmc_keyed_int(interp, interp->iglobals,
           IGLOBALS_INTERPRETER);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sweep',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 102,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 1249 "src/ops/core.ops"
    if ({{@1}})
        Parrot_gc_mark_and_sweep(interp, 0);
    else
        if (Parrot_gc_impatient_pmcs(interp))
            Parrot_gc_mark_and_sweep(interp, GC_lazy_FLAG);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'collect',
                  'FLAGS' => {},
                  'ARGDIRS' => [],
                  'TYPE' => 'function',
                  'CODE' => 103,
                  'ARGS' => [],
                  'BODY' => '#line 1263 "src/ops/core.ops"
    Parrot_gc_compact_memory_pool(interp);

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sweepoff',
                  'FLAGS' => {},
                  'ARGDIRS' => [],
                  'TYPE' => 'function',
                  'CODE' => 104,
                  'ARGS' => [],
                  'BODY' => '#line 1273 "src/ops/core.ops"
    Parrot_block_GC_mark(interp);

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sweepon',
                  'FLAGS' => {},
                  'ARGDIRS' => [],
                  'TYPE' => 'function',
                  'CODE' => 105,
                  'ARGS' => [],
                  'BODY' => '#line 1283 "src/ops/core.ops"
    Parrot_unblock_GC_mark(interp);

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'collectoff',
                  'FLAGS' => {},
                  'ARGDIRS' => [],
                  'TYPE' => 'function',
                  'CODE' => 106,
                  'ARGS' => [],
                  'BODY' => '#line 1293 "src/ops/core.ops"
    Parrot_block_GC_sweep(interp);

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'collecton',
                  'FLAGS' => {},
                  'ARGDIRS' => [],
                  'TYPE' => 'function',
                  'CODE' => 107,
                  'ARGS' => [],
                  'BODY' => '#line 1303 "src/ops/core.ops"
    Parrot_unblock_GC_sweep(interp);

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'needs_destroy',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 108,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 1314 "src/ops/core.ops"
     Parrot_gc_pmc_needs_early_collection(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'loadlib',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 109,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 1369 "src/ops/core.ops"
    {{@1}} = Parrot_load_lib(interp, {{@2}}, NULL);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'loadlib',
                  'FLAGS' => $ops->[109]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 110,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 1369 "src/ops/core.ops"
    {{@1}} = Parrot_load_lib(interp, {{@2}}, NULL);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'dlfunc',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 111,
                  'ARGS' => [
                              'p',
                              'p',
                              's',
                              's'
                            ],
                  'BODY' => '#line 1373 "src/ops/core.ops"
    char * const  name      = Parrot_str_to_cstring(interp, ({{@3}}));
    void         *dl_handle = NULL;
    void         *ptr       = NULL;
    funcptr_t     p;

    if (!PMC_IS_NULL({{@2}}) && {{@2}}->vtable->base_type == enum_class_ParrotLibrary) {
        dl_handle = ((Parrot_ParrotLibrary_attributes*)PMC_data({{@2}}))->dl_handle;
    }

    ptr = Parrot_dlsym(
            PMC_IS_NULL({{@2}}) ? NULL :
            VTABLE_defined(interp, {{@2}}) ? dl_handle :
            NULL,
            name);

    p = D2FPTR(ptr);

    if (p == NULLfunc) {
        const char * err = Parrot_dlerror();
        Parrot_warn(interp, PARROT_WARNINGS_UNDEF_FLAG,
                "Symbol \'%s\' not found: %s\\n", name, err ? err : "unknown reason");
        {{@1}} = pmc_new(interp, enum_class_Undef);
    }
    else {
        {{@1}} = pmc_new(interp, enum_class_NCI);
        VTABLE_set_pointer_keyed_str(interp, {{@1}}, {{@4}}, F2DPTR(p));
        PObj_get_FLAGS({{@1}}) |= PObj_private1_FLAG;
    }
    Parrot_str_free_cstring(name);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'dlfunc',
                  'FLAGS' => $ops->[111]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 112,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 1373 "src/ops/core.ops"
    char * const  name      = Parrot_str_to_cstring(interp, ({{@3}}));
    void         *dl_handle = NULL;
    void         *ptr       = NULL;
    funcptr_t     p;

    if (!PMC_IS_NULL({{@2}}) && {{@2}}->vtable->base_type == enum_class_ParrotLibrary) {
        dl_handle = ((Parrot_ParrotLibrary_attributes*)PMC_data({{@2}}))->dl_handle;
    }

    ptr = Parrot_dlsym(
            PMC_IS_NULL({{@2}}) ? NULL :
            VTABLE_defined(interp, {{@2}}) ? dl_handle :
            NULL,
            name);

    p = D2FPTR(ptr);

    if (p == NULLfunc) {
        const char * err = Parrot_dlerror();
        Parrot_warn(interp, PARROT_WARNINGS_UNDEF_FLAG,
                "Symbol \'%s\' not found: %s\\n", name, err ? err : "unknown reason");
        {{@1}} = pmc_new(interp, enum_class_Undef);
    }
    else {
        {{@1}} = pmc_new(interp, enum_class_NCI);
        VTABLE_set_pointer_keyed_str(interp, {{@1}}, {{@4}}, F2DPTR(p));
        PObj_get_FLAGS({{@1}}) |= PObj_private1_FLAG;
    }
    Parrot_str_free_cstring(name);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'dlfunc',
                  'FLAGS' => $ops->[111]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 113,
                  'ARGS' => [
                              'p',
                              'p',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 1373 "src/ops/core.ops"
    char * const  name      = Parrot_str_to_cstring(interp, ({{@3}}));
    void         *dl_handle = NULL;
    void         *ptr       = NULL;
    funcptr_t     p;

    if (!PMC_IS_NULL({{@2}}) && {{@2}}->vtable->base_type == enum_class_ParrotLibrary) {
        dl_handle = ((Parrot_ParrotLibrary_attributes*)PMC_data({{@2}}))->dl_handle;
    }

    ptr = Parrot_dlsym(
            PMC_IS_NULL({{@2}}) ? NULL :
            VTABLE_defined(interp, {{@2}}) ? dl_handle :
            NULL,
            name);

    p = D2FPTR(ptr);

    if (p == NULLfunc) {
        const char * err = Parrot_dlerror();
        Parrot_warn(interp, PARROT_WARNINGS_UNDEF_FLAG,
                "Symbol \'%s\' not found: %s\\n", name, err ? err : "unknown reason");
        {{@1}} = pmc_new(interp, enum_class_Undef);
    }
    else {
        {{@1}} = pmc_new(interp, enum_class_NCI);
        VTABLE_set_pointer_keyed_str(interp, {{@1}}, {{@4}}, F2DPTR(p));
        PObj_get_FLAGS({{@1}}) |= PObj_private1_FLAG;
    }
    Parrot_str_free_cstring(name);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'dlfunc',
                  'FLAGS' => $ops->[111]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 114,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc',
                              'sc'
                            ],
                  'BODY' => '#line 1373 "src/ops/core.ops"
    char * const  name      = Parrot_str_to_cstring(interp, ({{@3}}));
    void         *dl_handle = NULL;
    void         *ptr       = NULL;
    funcptr_t     p;

    if (!PMC_IS_NULL({{@2}}) && {{@2}}->vtable->base_type == enum_class_ParrotLibrary) {
        dl_handle = ((Parrot_ParrotLibrary_attributes*)PMC_data({{@2}}))->dl_handle;
    }

    ptr = Parrot_dlsym(
            PMC_IS_NULL({{@2}}) ? NULL :
            VTABLE_defined(interp, {{@2}}) ? dl_handle :
            NULL,
            name);

    p = D2FPTR(ptr);

    if (p == NULLfunc) {
        const char * err = Parrot_dlerror();
        Parrot_warn(interp, PARROT_WARNINGS_UNDEF_FLAG,
                "Symbol \'%s\' not found: %s\\n", name, err ? err : "unknown reason");
        {{@1}} = pmc_new(interp, enum_class_Undef);
    }
    else {
        {{@1}} = pmc_new(interp, enum_class_NCI);
        VTABLE_set_pointer_keyed_str(interp, {{@1}}, {{@4}}, F2DPTR(p));
        PObj_get_FLAGS({{@1}}) |= PObj_private1_FLAG;
    }
    Parrot_str_free_cstring(name);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'dlvar',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 115,
                  'ARGS' => [
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 1405 "src/ops/core.ops"
    char * const  name      = Parrot_str_to_cstring(interp, ({{@3}}));
    void *        p         = NULL;
    void         *dl_handle = NULL;

    if (!PMC_IS_NULL({{@2}}) && {{@2}}->vtable->base_type == enum_class_ParrotLibrary) {
        dl_handle = ((Parrot_ParrotLibrary_attributes*)PMC_data({{@2}}))->dl_handle;
        p         = Parrot_dlsym(PMC_IS_NULL({{@2}}) ? NULL : dl_handle, name);
    }
    if (p == NULL) {
        const char * const err = Parrot_dlerror();
        Parrot_warn(interp, PARROT_WARNINGS_UNDEF_FLAG,
                "Symbol \'%s\' not found: %s\\n", name, err ? err : "unknown reason");
        {{@1}} = pmc_new(interp, enum_class_Undef);
    }
    else {
        /* At this point we have the symbol\'s address. We just need to build
           a PMC with it so we can get and set the value */
        {{@1}} = pmc_new(interp, enum_class_UnManagedStruct);
        VTABLE_set_pointer(interp, {{@1}}, p);
    }
    Parrot_str_free_cstring(name);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'dlvar',
                  'FLAGS' => $ops->[115]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 116,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 1405 "src/ops/core.ops"
    char * const  name      = Parrot_str_to_cstring(interp, ({{@3}}));
    void *        p         = NULL;
    void         *dl_handle = NULL;

    if (!PMC_IS_NULL({{@2}}) && {{@2}}->vtable->base_type == enum_class_ParrotLibrary) {
        dl_handle = ((Parrot_ParrotLibrary_attributes*)PMC_data({{@2}}))->dl_handle;
        p         = Parrot_dlsym(PMC_IS_NULL({{@2}}) ? NULL : dl_handle, name);
    }
    if (p == NULL) {
        const char * const err = Parrot_dlerror();
        Parrot_warn(interp, PARROT_WARNINGS_UNDEF_FLAG,
                "Symbol \'%s\' not found: %s\\n", name, err ? err : "unknown reason");
        {{@1}} = pmc_new(interp, enum_class_Undef);
    }
    else {
        /* At this point we have the symbol\'s address. We just need to build
           a PMC with it so we can get and set the value */
        {{@1}} = pmc_new(interp, enum_class_UnManagedStruct);
        VTABLE_set_pointer(interp, {{@1}}, p);
    }
    Parrot_str_free_cstring(name);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'compreg',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 117,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 1429 "src/ops/core.ops"
    PMC * const compreg_hash = VTABLE_get_pmc_keyed_int(interp,
            interp->iglobals, IGLOBALS_COMPREG_HASH);
    VTABLE_set_pmc_keyed_str(interp, compreg_hash, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'compreg',
                  'FLAGS' => $ops->[117]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 118,
                  'ARGS' => [
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 1429 "src/ops/core.ops"
    PMC * const compreg_hash = VTABLE_get_pmc_keyed_int(interp,
            interp->iglobals, IGLOBALS_COMPREG_HASH);
    VTABLE_set_pmc_keyed_str(interp, compreg_hash, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'compreg',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 119,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 1435 "src/ops/core.ops"
    PMC * const compreg_hash = VTABLE_get_pmc_keyed_int(interp,
            interp->iglobals, IGLOBALS_COMPREG_HASH);
    {{@1}} = VTABLE_get_pmc_keyed_str(interp, compreg_hash, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'compreg',
                  'FLAGS' => $ops->[119]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 120,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 1435 "src/ops/core.ops"
    PMC * const compreg_hash = VTABLE_get_pmc_keyed_int(interp,
            interp->iglobals, IGLOBALS_COMPREG_HASH);
    {{@1}} = VTABLE_get_pmc_keyed_str(interp, compreg_hash, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'new_callback',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 121,
                  'ARGS' => [
                              'p',
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 1441 "src/ops/core.ops"
    {{@1}} = Parrot_make_cb(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'new_callback',
                  'FLAGS' => $ops->[121]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 122,
                  'ARGS' => [
                              'p',
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 1441 "src/ops/core.ops"
    {{@1}} = Parrot_make_cb(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'annotations',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 123,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 1468 "src/ops/core.ops"
    if (interp->code->annotations) {
        opcode_t const cur_pos = ({{^+2}}) - interp->code->base.data;
        {{@1}} = PackFile_Annotations_lookup(interp, interp->code->annotations,
                cur_pos, NULL);
    }
    else {
        {{@1}} = pmc_new(interp, enum_class_Hash);
    }
    {{+=2}};

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'annotations',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 124,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 1487 "src/ops/core.ops"
    if (interp->code->annotations) {
        opcode_t const cur_pos = ({{^+3}}) - interp->code->base.data;
        {{@1}} = PackFile_Annotations_lookup(interp, interp->code->annotations,
                cur_pos, {{@2}});
    }
    else {
        {{@1}} = PMCNULL;
    }
    {{+=3}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'annotations',
                  'FLAGS' => $ops->[124]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 125,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 1487 "src/ops/core.ops"
    if (interp->code->annotations) {
        opcode_t const cur_pos = ({{^+3}}) - interp->code->base.data;
        {{@1}} = PackFile_Annotations_lookup(interp, interp->code->annotations,
                cur_pos, {{@2}});
    }
    else {
        {{@1}} = PMCNULL;
    }
    {{+=3}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'band',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 126,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 61 "src/ops/bit.ops"
  {{@1}} &= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'band',
                  'FLAGS' => $ops->[126]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 127,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 61 "src/ops/bit.ops"
  {{@1}} &= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'band',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 128,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 65 "src/ops/bit.ops"
      VTABLE_i_bitwise_and_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'band',
                  'FLAGS' => $ops->[128]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 129,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 65 "src/ops/bit.ops"
      VTABLE_i_bitwise_and_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'band',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 130,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 69 "src/ops/bit.ops"
      VTABLE_i_bitwise_and(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'band',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 131,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 73 "src/ops/bit.ops"
  {{@1}} = {{@2}} & {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'band',
                  'FLAGS' => $ops->[131]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 132,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 73 "src/ops/bit.ops"
  {{@1}} = {{@2}} & {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'band',
                  'FLAGS' => $ops->[131]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 133,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 73 "src/ops/bit.ops"
  {{@1}} = {{@2}} & {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'band',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 134,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 77 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_and_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'band',
                  'FLAGS' => $ops->[134]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 135,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 77 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_and_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'band',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 136,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 81 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_and(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bands',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 137,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 105 "src/ops/bit.ops"
  Parrot_str_bitwise_and(interp, {{@1}}, {{@2}}, &{{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bands',
                  'FLAGS' => $ops->[137]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 138,
                  'ARGS' => [
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 105 "src/ops/bit.ops"
  Parrot_str_bitwise_and(interp, {{@1}}, {{@2}}, &{{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bands',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 139,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 109 "src/ops/bit.ops"
      VTABLE_i_bitwise_ands_str(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bands',
                  'FLAGS' => $ops->[139]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 140,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 109 "src/ops/bit.ops"
      VTABLE_i_bitwise_ands_str(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bands',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 141,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 113 "src/ops/bit.ops"
      VTABLE_i_bitwise_ands(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bands',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 142,
                  'ARGS' => [
                              's',
                              's',
                              's'
                            ],
                  'BODY' => '#line 117 "src/ops/bit.ops"
  {{@1}} = Parrot_str_bitwise_and(interp, {{@2}}, {{@3}}, NULL);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bands',
                  'FLAGS' => $ops->[142]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 143,
                  'ARGS' => [
                              's',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 117 "src/ops/bit.ops"
  {{@1}} = Parrot_str_bitwise_and(interp, {{@2}}, {{@3}}, NULL);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bands',
                  'FLAGS' => $ops->[142]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 144,
                  'ARGS' => [
                              's',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 117 "src/ops/bit.ops"
  {{@1}} = Parrot_str_bitwise_and(interp, {{@2}}, {{@3}}, NULL);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bands',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 145,
                  'ARGS' => [
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 121 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_ands_str(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bands',
                  'FLAGS' => $ops->[145]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 146,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 121 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_ands_str(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bands',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 147,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 125 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_ands(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bnot',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 148,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 143 "src/ops/bit.ops"
  {{@1}} = ~ {{@1}};

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bnot',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 149,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 147 "src/ops/bit.ops"
  {{@1}} = ~ {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bnot',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 150,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 151 "src/ops/bit.ops"
  VTABLE_i_bitwise_not(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bnot',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 151,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 155 "src/ops/bit.ops"
  {{@1}} = VTABLE_bitwise_not(interp, {{@2}}, {{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bnots',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 152,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 169 "src/ops/bit.ops"
  Parrot_str_bitwise_not(interp, {{@1}}, &{{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bnots',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 153,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 173 "src/ops/bit.ops"
  Parrot_str_bitwise_not(interp, {{@2}}, &{{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bnots',
                  'FLAGS' => $ops->[153]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 154,
                  'ARGS' => [
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 173 "src/ops/bit.ops"
  Parrot_str_bitwise_not(interp, {{@2}}, &{{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bnots',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 155,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 177 "src/ops/bit.ops"
  VTABLE_i_bitwise_nots(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bnots',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 156,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 181 "src/ops/bit.ops"
  {{@1}} = VTABLE_bitwise_nots(interp, {{@2}}, {{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 157,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 207 "src/ops/bit.ops"
  {{@1}} |= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bor',
                  'FLAGS' => $ops->[157]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 158,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 207 "src/ops/bit.ops"
  {{@1}} |= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 159,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 211 "src/ops/bit.ops"
      VTABLE_i_bitwise_or_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bor',
                  'FLAGS' => $ops->[159]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 160,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 211 "src/ops/bit.ops"
      VTABLE_i_bitwise_or_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 161,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 215 "src/ops/bit.ops"
      VTABLE_i_bitwise_or(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 162,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 219 "src/ops/bit.ops"
  {{@1}} = {{@2}} | {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bor',
                  'FLAGS' => $ops->[162]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 163,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 219 "src/ops/bit.ops"
  {{@1}} = {{@2}} | {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bor',
                  'FLAGS' => $ops->[162]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 164,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 219 "src/ops/bit.ops"
  {{@1}} = {{@2}} | {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 165,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 223 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_or_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bor',
                  'FLAGS' => $ops->[165]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 166,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 223 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_or_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 167,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 227 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_or(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bors',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 168,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 251 "src/ops/bit.ops"
  Parrot_str_bitwise_or(interp, {{@1}}, {{@2}}, &{{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bors',
                  'FLAGS' => $ops->[168]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 169,
                  'ARGS' => [
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 251 "src/ops/bit.ops"
  Parrot_str_bitwise_or(interp, {{@1}}, {{@2}}, &{{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bors',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 170,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 255 "src/ops/bit.ops"
      VTABLE_i_bitwise_ors_str(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bors',
                  'FLAGS' => $ops->[170]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 171,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 255 "src/ops/bit.ops"
      VTABLE_i_bitwise_ors_str(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bors',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 172,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 259 "src/ops/bit.ops"
      VTABLE_i_bitwise_ors(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bors',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 173,
                  'ARGS' => [
                              's',
                              's',
                              's'
                            ],
                  'BODY' => '#line 263 "src/ops/bit.ops"
  {{@1}} = Parrot_str_bitwise_or(interp, {{@2}}, {{@3}}, NULL);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bors',
                  'FLAGS' => $ops->[173]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 174,
                  'ARGS' => [
                              's',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 263 "src/ops/bit.ops"
  {{@1}} = Parrot_str_bitwise_or(interp, {{@2}}, {{@3}}, NULL);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bors',
                  'FLAGS' => $ops->[173]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 175,
                  'ARGS' => [
                              's',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 263 "src/ops/bit.ops"
  {{@1}} = Parrot_str_bitwise_or(interp, {{@2}}, {{@3}}, NULL);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bors',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 176,
                  'ARGS' => [
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 267 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_ors_str(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bors',
                  'FLAGS' => $ops->[176]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 177,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 267 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_ors_str(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bors',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 178,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 271 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_ors(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shl',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 179,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 295 "src/ops/bit.ops"
  {{@1}} = bit_shift_left({{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shl',
                  'FLAGS' => $ops->[179]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 180,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 295 "src/ops/bit.ops"
  {{@1}} = bit_shift_left({{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shl',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 181,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 299 "src/ops/bit.ops"
      VTABLE_i_bitwise_shl_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shl',
                  'FLAGS' => $ops->[181]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 182,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 299 "src/ops/bit.ops"
      VTABLE_i_bitwise_shl_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shl',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 183,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 303 "src/ops/bit.ops"
      VTABLE_i_bitwise_shl(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shl',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 184,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 307 "src/ops/bit.ops"
  {{@1}} = bit_shift_left({{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shl',
                  'FLAGS' => $ops->[184]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 185,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 307 "src/ops/bit.ops"
  {{@1}} = bit_shift_left({{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shl',
                  'FLAGS' => $ops->[184]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 186,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 307 "src/ops/bit.ops"
  {{@1}} = bit_shift_left({{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shl',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 187,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 311 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_shl_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shl',
                  'FLAGS' => $ops->[187]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 188,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 311 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_shl_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shl',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 189,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 315 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_shl(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 190,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 339 "src/ops/bit.ops"
  const INTVAL signed_shift = -{{@2}};
  {{@1}} = bit_shift_left({{@1}}, signed_shift);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shr',
                  'FLAGS' => $ops->[190]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 191,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 339 "src/ops/bit.ops"
  const INTVAL signed_shift = -{{@2}};
  {{@1}} = bit_shift_left({{@1}}, signed_shift);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 192,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 344 "src/ops/bit.ops"
      VTABLE_i_bitwise_shr_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shr',
                  'FLAGS' => $ops->[192]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 193,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 344 "src/ops/bit.ops"
      VTABLE_i_bitwise_shr_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 194,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 348 "src/ops/bit.ops"
      VTABLE_i_bitwise_shr(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 195,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 352 "src/ops/bit.ops"
  const INTVAL signed_shift = -{{@3}};
  {{@1}} = bit_shift_left({{@2}}, signed_shift);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shr',
                  'FLAGS' => $ops->[195]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 196,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 352 "src/ops/bit.ops"
  const INTVAL signed_shift = -{{@3}};
  {{@1}} = bit_shift_left({{@2}}, signed_shift);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shr',
                  'FLAGS' => $ops->[195]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 197,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 352 "src/ops/bit.ops"
  const INTVAL signed_shift = -{{@3}};
  {{@1}} = bit_shift_left({{@2}}, signed_shift);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 198,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 357 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_shr_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shr',
                  'FLAGS' => $ops->[198]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 199,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 357 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_shr_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 200,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 361 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_shr(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lsr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 201,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 385 "src/ops/bit.ops"
  /*
   * lvalue casts are evil, but this one isn\'t evil enough to kill.
   * it\'s just casting a signed integral to the equivalent unsigned.
   */
  LVALUE_CAST(UINTVAL, {{@1}}) >>= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lsr',
                  'FLAGS' => $ops->[201]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 202,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 385 "src/ops/bit.ops"
  /*
   * lvalue casts are evil, but this one isn\'t evil enough to kill.
   * it\'s just casting a signed integral to the equivalent unsigned.
   */
  LVALUE_CAST(UINTVAL, {{@1}}) >>= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lsr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 203,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 393 "src/ops/bit.ops"
      VTABLE_i_bitwise_lsr_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lsr',
                  'FLAGS' => $ops->[203]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 204,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 393 "src/ops/bit.ops"
      VTABLE_i_bitwise_lsr_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lsr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 205,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 397 "src/ops/bit.ops"
      VTABLE_i_bitwise_lsr(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lsr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 206,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 401 "src/ops/bit.ops"
  {{@1}} = (INTVAL)((UINTVAL){{@2}} >> {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lsr',
                  'FLAGS' => $ops->[206]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 207,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 401 "src/ops/bit.ops"
  {{@1}} = (INTVAL)((UINTVAL){{@2}} >> {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lsr',
                  'FLAGS' => $ops->[206]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 208,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 401 "src/ops/bit.ops"
  {{@1}} = (INTVAL)((UINTVAL){{@2}} >> {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lsr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 209,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 405 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_lsr_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lsr',
                  'FLAGS' => $ops->[209]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 210,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 405 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_lsr_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lsr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 211,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 409 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_lsr(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'rot',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 212,
                  'ARGS' => [
                              'i',
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 422 "src/ops/bit.ops"
  const INTVAL r = {{@2}};
  INTVAL s = {{@3}};
  const INTVAL w = {{@4}};
  INTVAL d, t;
  if (s < 0)
    s += w;
  d = r << s;
  t = w - s;
  t = (INTVAL)((UINTVAL)r >> t);
  d |= t;
  {{@1}} = d;

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'rot',
                  'FLAGS' => $ops->[212]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 213,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 422 "src/ops/bit.ops"
  const INTVAL r = {{@2}};
  INTVAL s = {{@3}};
  const INTVAL w = {{@4}};
  INTVAL d, t;
  if (s < 0)
    s += w;
  d = r << s;
  t = w - s;
  t = (INTVAL)((UINTVAL)r >> t);
  d |= t;
  {{@1}} = d;

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'rot',
                  'FLAGS' => $ops->[212]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 214,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 422 "src/ops/bit.ops"
  const INTVAL r = {{@2}};
  INTVAL s = {{@3}};
  const INTVAL w = {{@4}};
  INTVAL d, t;
  if (s < 0)
    s += w;
  d = r << s;
  t = w - s;
  t = (INTVAL)((UINTVAL)r >> t);
  d |= t;
  {{@1}} = d;

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 215,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 461 "src/ops/bit.ops"
  {{@1}} ^= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxor',
                  'FLAGS' => $ops->[215]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 216,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 461 "src/ops/bit.ops"
  {{@1}} ^= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 217,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 465 "src/ops/bit.ops"
      VTABLE_i_bitwise_xor_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxor',
                  'FLAGS' => $ops->[217]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 218,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 465 "src/ops/bit.ops"
      VTABLE_i_bitwise_xor_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 219,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 469 "src/ops/bit.ops"
      VTABLE_i_bitwise_xor(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 220,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 473 "src/ops/bit.ops"
  {{@1}} = {{@2}} ^ {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxor',
                  'FLAGS' => $ops->[220]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 221,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 473 "src/ops/bit.ops"
  {{@1}} = {{@2}} ^ {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxor',
                  'FLAGS' => $ops->[220]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 222,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 473 "src/ops/bit.ops"
  {{@1}} = {{@2}} ^ {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 223,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 477 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_xor_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxor',
                  'FLAGS' => $ops->[223]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 224,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 477 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_xor_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 225,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 481 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_xor(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxors',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 226,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 505 "src/ops/bit.ops"
  Parrot_str_bitwise_xor(interp, {{@1}}, {{@2}}, &{{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxors',
                  'FLAGS' => $ops->[226]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 227,
                  'ARGS' => [
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 505 "src/ops/bit.ops"
  Parrot_str_bitwise_xor(interp, {{@1}}, {{@2}}, &{{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxors',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 228,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 509 "src/ops/bit.ops"
      VTABLE_i_bitwise_xors_str(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxors',
                  'FLAGS' => $ops->[228]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 229,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 509 "src/ops/bit.ops"
      VTABLE_i_bitwise_xors_str(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxors',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 230,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 513 "src/ops/bit.ops"
      VTABLE_i_bitwise_xors(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxors',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 231,
                  'ARGS' => [
                              's',
                              's',
                              's'
                            ],
                  'BODY' => '#line 517 "src/ops/bit.ops"
  {{@1}} = Parrot_str_bitwise_xor(interp, {{@2}}, {{@3}}, NULL);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxors',
                  'FLAGS' => $ops->[231]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 232,
                  'ARGS' => [
                              's',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 517 "src/ops/bit.ops"
  {{@1}} = Parrot_str_bitwise_xor(interp, {{@2}}, {{@3}}, NULL);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxors',
                  'FLAGS' => $ops->[231]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 233,
                  'ARGS' => [
                              's',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 517 "src/ops/bit.ops"
  {{@1}} = Parrot_str_bitwise_xor(interp, {{@2}}, {{@3}}, NULL);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxors',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 234,
                  'ARGS' => [
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 521 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_xors_str(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxors',
                  'FLAGS' => $ops->[234]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 235,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 521 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_xors_str(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bxors',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 236,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 525 "src/ops/bit.ops"
      {{@1}} = VTABLE_bitwise_xors(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 237,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 68 "src/ops/cmp.ops"
  if ({{@1}} == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => $ops->[237]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 238,
                  'ARGS' => [
                              'ic',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 68 "src/ops/cmp.ops"
  if ({{@1}} == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => $ops->[237]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 239,
                  'ARGS' => [
                              'i',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 68 "src/ops/cmp.ops"
  if ({{@1}} == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 240,
                  'ARGS' => [
                              'n',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 74 "src/ops/cmp.ops"
  if ({{@1}} == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => $ops->[240]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 241,
                  'ARGS' => [
                              'nc',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 74 "src/ops/cmp.ops"
  if ({{@1}} == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => $ops->[240]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 242,
                  'ARGS' => [
                              'n',
                              'nc',
                              'ic'
                            ],
                  'BODY' => '#line 74 "src/ops/cmp.ops"
  if ({{@1}} == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 243,
                  'ARGS' => [
                              's',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 80 "src/ops/cmp.ops"
  if (Parrot_str_equal(interp, {{@1}}, {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => $ops->[243]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 244,
                  'ARGS' => [
                              'sc',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 80 "src/ops/cmp.ops"
  if (Parrot_str_equal(interp, {{@1}}, {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => $ops->[243]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 245,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 80 "src/ops/cmp.ops"
  if (Parrot_str_equal(interp, {{@1}}, {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 246,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 86 "src/ops/cmp.ops"
  if (VTABLE_is_equal(interp, {{@1}}, {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 247,
                  'ARGS' => [
                              'p',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 92 "src/ops/cmp.ops"
  PMC * temp = temporary_pmc_new(interp, enum_class_Integer);
  VTABLE_set_integer_native(interp, temp, {{@2}});

  if (VTABLE_is_equal(interp, {{@1}}, temp)) {
    temporary_pmc_free(interp, temp);
    {{+={{@3}}}};
  }

  temporary_pmc_free(interp, temp);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => $ops->[247]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 248,
                  'ARGS' => [
                              'p',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 92 "src/ops/cmp.ops"
  PMC * temp = temporary_pmc_new(interp, enum_class_Integer);
  VTABLE_set_integer_native(interp, temp, {{@2}});

  if (VTABLE_is_equal(interp, {{@1}}, temp)) {
    temporary_pmc_free(interp, temp);
    {{+={{@3}}}};
  }

  temporary_pmc_free(interp, temp);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 249,
                  'ARGS' => [
                              'p',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 104 "src/ops/cmp.ops"
  /*
   * the get_number and get_string should probably
   * be also replaced with code like above, as
   * overriding the compare multi subs wouldn\'t
   * have any effect with the current code
   */
  if (VTABLE_get_number(interp, {{@1}}) == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => $ops->[249]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 250,
                  'ARGS' => [
                              'p',
                              'nc',
                              'ic'
                            ],
                  'BODY' => '#line 104 "src/ops/cmp.ops"
  /*
   * the get_number and get_string should probably
   * be also replaced with code like above, as
   * overriding the compare multi subs wouldn\'t
   * have any effect with the current code
   */
  if (VTABLE_get_number(interp, {{@1}}) == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 251,
                  'ARGS' => [
                              'p',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 116 "src/ops/cmp.ops"
  if (Parrot_str_equal(interp,
      VTABLE_get_string(interp, {{@1}}), {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq',
                  'FLAGS' => $ops->[251]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 252,
                  'ARGS' => [
                              'p',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 116 "src/ops/cmp.ops"
  if (Parrot_str_equal(interp,
      VTABLE_get_string(interp, {{@1}}), {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq_str',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 253,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 123 "src/ops/cmp.ops"
  if (VTABLE_is_equal_string(interp, {{@1}}, {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq_num',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 254,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 129 "src/ops/cmp.ops"
  if (VTABLE_is_equal_num(interp, {{@1}}, {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq_addr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 255,
                  'ARGS' => [
                              's',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 135 "src/ops/cmp.ops"
  if ({{@1}} == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq_addr',
                  'FLAGS' => $ops->[255]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 256,
                  'ARGS' => [
                              'sc',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 135 "src/ops/cmp.ops"
  if ({{@1}} == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq_addr',
                  'FLAGS' => $ops->[255]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 257,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 135 "src/ops/cmp.ops"
  if ({{@1}} == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq_addr',
                  'FLAGS' => $ops->[255]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 258,
                  'ARGS' => [
                              'sc',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 135 "src/ops/cmp.ops"
  if ({{@1}} == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'eq_addr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 259,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 141 "src/ops/cmp.ops"
  if ({{@1}} == {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 260,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 175 "src/ops/cmp.ops"
  if ({{@1}} != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => $ops->[260]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 261,
                  'ARGS' => [
                              'ic',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 175 "src/ops/cmp.ops"
  if ({{@1}} != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => $ops->[260]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 262,
                  'ARGS' => [
                              'i',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 175 "src/ops/cmp.ops"
  if ({{@1}} != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 263,
                  'ARGS' => [
                              'n',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 181 "src/ops/cmp.ops"
  if ({{@1}} != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => $ops->[263]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 264,
                  'ARGS' => [
                              'nc',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 181 "src/ops/cmp.ops"
  if ({{@1}} != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => $ops->[263]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 265,
                  'ARGS' => [
                              'n',
                              'nc',
                              'ic'
                            ],
                  'BODY' => '#line 181 "src/ops/cmp.ops"
  if ({{@1}} != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 266,
                  'ARGS' => [
                              's',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 187 "src/ops/cmp.ops"
  if (Parrot_str_not_equal(interp, {{@1}}, {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => $ops->[266]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 267,
                  'ARGS' => [
                              'sc',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 187 "src/ops/cmp.ops"
  if (Parrot_str_not_equal(interp, {{@1}}, {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => $ops->[266]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 268,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 187 "src/ops/cmp.ops"
  if (Parrot_str_not_equal(interp, {{@1}}, {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 269,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 193 "src/ops/cmp.ops"
  if (!VTABLE_is_equal(interp, {{@1}}, {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 270,
                  'ARGS' => [
                              'p',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 199 "src/ops/cmp.ops"
  PMC * temp = temporary_pmc_new(interp, enum_class_Integer);
  VTABLE_set_integer_native(interp, temp, {{@2}});

  if (!VTABLE_is_equal(interp, {{@1}}, temp)) {
    temporary_pmc_free(interp, temp);
    {{+={{@3}}}};
  }

  temporary_pmc_free(interp, temp);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => $ops->[270]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 271,
                  'ARGS' => [
                              'p',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 199 "src/ops/cmp.ops"
  PMC * temp = temporary_pmc_new(interp, enum_class_Integer);
  VTABLE_set_integer_native(interp, temp, {{@2}});

  if (!VTABLE_is_equal(interp, {{@1}}, temp)) {
    temporary_pmc_free(interp, temp);
    {{+={{@3}}}};
  }

  temporary_pmc_free(interp, temp);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 272,
                  'ARGS' => [
                              'p',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 211 "src/ops/cmp.ops"
  if (VTABLE_get_number(interp, {{@1}}) != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => $ops->[272]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 273,
                  'ARGS' => [
                              'p',
                              'nc',
                              'ic'
                            ],
                  'BODY' => '#line 211 "src/ops/cmp.ops"
  if (VTABLE_get_number(interp, {{@1}}) != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 274,
                  'ARGS' => [
                              'p',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 217 "src/ops/cmp.ops"
  if (Parrot_str_not_equal(interp,
      VTABLE_get_string(interp, {{@1}}), {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne',
                  'FLAGS' => $ops->[274]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 275,
                  'ARGS' => [
                              'p',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 217 "src/ops/cmp.ops"
  if (Parrot_str_not_equal(interp,
      VTABLE_get_string(interp, {{@1}}), {{@2}})) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne_str',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 276,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 224 "src/ops/cmp.ops"
  if (VTABLE_cmp_string(interp, {{@1}}, {{@2}}) != 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne_num',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 277,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 230 "src/ops/cmp.ops"
  if (VTABLE_cmp_num(interp, {{@1}}, {{@2}}) != 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne_addr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 278,
                  'ARGS' => [
                              's',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 236 "src/ops/cmp.ops"
  if ({{@1}} != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne_addr',
                  'FLAGS' => $ops->[278]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 279,
                  'ARGS' => [
                              'sc',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 236 "src/ops/cmp.ops"
  if ({{@1}} != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne_addr',
                  'FLAGS' => $ops->[278]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 280,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 236 "src/ops/cmp.ops"
  if ({{@1}} != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne_addr',
                  'FLAGS' => $ops->[278]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 281,
                  'ARGS' => [
                              'sc',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 236 "src/ops/cmp.ops"
  if ({{@1}} != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ne_addr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 282,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 242 "src/ops/cmp.ops"
  if ({{@1}} != {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 283,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 272 "src/ops/cmp.ops"
  if ({{@1}} < {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => $ops->[283]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 284,
                  'ARGS' => [
                              'ic',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 272 "src/ops/cmp.ops"
  if ({{@1}} < {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => $ops->[283]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 285,
                  'ARGS' => [
                              'i',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 272 "src/ops/cmp.ops"
  if ({{@1}} < {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 286,
                  'ARGS' => [
                              'n',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 278 "src/ops/cmp.ops"
  if ({{@1}} < {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => $ops->[286]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 287,
                  'ARGS' => [
                              'nc',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 278 "src/ops/cmp.ops"
  if ({{@1}} < {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => $ops->[286]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 288,
                  'ARGS' => [
                              'n',
                              'nc',
                              'ic'
                            ],
                  'BODY' => '#line 278 "src/ops/cmp.ops"
  if ({{@1}} < {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 289,
                  'ARGS' => [
                              's',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 284 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp, {{@1}}, {{@2}}) < 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => $ops->[289]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 290,
                  'ARGS' => [
                              'sc',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 284 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp, {{@1}}, {{@2}}) < 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => $ops->[289]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 291,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 284 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp, {{@1}}, {{@2}}) < 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 292,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 290 "src/ops/cmp.ops"
  if (VTABLE_cmp(interp, {{@1}}, {{@2}}) < 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 293,
                  'ARGS' => [
                              'p',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 296 "src/ops/cmp.ops"
  PMC * temp  = temporary_pmc_new(interp, enum_class_Integer);
  VTABLE_set_integer_native(interp, temp, {{@2}});

  if (VTABLE_cmp(interp, {{@1}}, temp) < 0) {
    temporary_pmc_free(interp, temp);
    {{+={{@3}}}};
  }

  temporary_pmc_free(interp, temp);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => $ops->[293]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 294,
                  'ARGS' => [
                              'p',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 296 "src/ops/cmp.ops"
  PMC * temp  = temporary_pmc_new(interp, enum_class_Integer);
  VTABLE_set_integer_native(interp, temp, {{@2}});

  if (VTABLE_cmp(interp, {{@1}}, temp) < 0) {
    temporary_pmc_free(interp, temp);
    {{+={{@3}}}};
  }

  temporary_pmc_free(interp, temp);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 295,
                  'ARGS' => [
                              'p',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 308 "src/ops/cmp.ops"
  if (VTABLE_get_number(interp, {{@1}}) < {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => $ops->[295]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 296,
                  'ARGS' => [
                              'p',
                              'nc',
                              'ic'
                            ],
                  'BODY' => '#line 308 "src/ops/cmp.ops"
  if (VTABLE_get_number(interp, {{@1}}) < {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 297,
                  'ARGS' => [
                              'p',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 314 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp,
      VTABLE_get_string(interp, {{@1}}), {{@2}}) < 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt',
                  'FLAGS' => $ops->[297]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 298,
                  'ARGS' => [
                              'p',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 314 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp,
      VTABLE_get_string(interp, {{@1}}), {{@2}}) < 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt_str',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 299,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 321 "src/ops/cmp.ops"
  if (VTABLE_cmp_string(interp, {{@1}}, {{@2}}) < 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'lt_num',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 300,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 327 "src/ops/cmp.ops"
  if (VTABLE_cmp_num(interp, {{@1}}, {{@2}}) < 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 301,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 357 "src/ops/cmp.ops"
  if ({{@1}} <= {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => $ops->[301]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 302,
                  'ARGS' => [
                              'ic',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 357 "src/ops/cmp.ops"
  if ({{@1}} <= {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => $ops->[301]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 303,
                  'ARGS' => [
                              'i',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 357 "src/ops/cmp.ops"
  if ({{@1}} <= {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 304,
                  'ARGS' => [
                              'n',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 363 "src/ops/cmp.ops"
  if ({{@1}} <= {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => $ops->[304]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 305,
                  'ARGS' => [
                              'nc',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 363 "src/ops/cmp.ops"
  if ({{@1}} <= {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => $ops->[304]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 306,
                  'ARGS' => [
                              'n',
                              'nc',
                              'ic'
                            ],
                  'BODY' => '#line 363 "src/ops/cmp.ops"
  if ({{@1}} <= {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 307,
                  'ARGS' => [
                              's',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 369 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp, {{@1}}, {{@2}}) <= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => $ops->[307]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 308,
                  'ARGS' => [
                              'sc',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 369 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp, {{@1}}, {{@2}}) <= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => $ops->[307]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 309,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 369 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp, {{@1}}, {{@2}}) <= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 310,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 375 "src/ops/cmp.ops"
  if (VTABLE_cmp(interp, {{@1}}, {{@2}}) <= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 311,
                  'ARGS' => [
                              'p',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 381 "src/ops/cmp.ops"
  PMC * temp  = temporary_pmc_new(interp, enum_class_Integer);
  VTABLE_set_integer_native(interp, temp, {{@2}});

  if (VTABLE_cmp(interp, {{@1}}, temp) <= 0) {
    temporary_pmc_free(interp, temp);
    {{+={{@3}}}};
  }

  temporary_pmc_free(interp, temp);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => $ops->[311]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 312,
                  'ARGS' => [
                              'p',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 381 "src/ops/cmp.ops"
  PMC * temp  = temporary_pmc_new(interp, enum_class_Integer);
  VTABLE_set_integer_native(interp, temp, {{@2}});

  if (VTABLE_cmp(interp, {{@1}}, temp) <= 0) {
    temporary_pmc_free(interp, temp);
    {{+={{@3}}}};
  }

  temporary_pmc_free(interp, temp);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 313,
                  'ARGS' => [
                              'p',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 393 "src/ops/cmp.ops"
  if (VTABLE_get_number(interp, {{@1}}) <= {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => $ops->[313]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 314,
                  'ARGS' => [
                              'p',
                              'nc',
                              'ic'
                            ],
                  'BODY' => '#line 393 "src/ops/cmp.ops"
  if (VTABLE_get_number(interp, {{@1}}) <= {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 315,
                  'ARGS' => [
                              'p',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 399 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp,
      VTABLE_get_string(interp, {{@1}}), {{@2}}) <= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le',
                  'FLAGS' => $ops->[315]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 316,
                  'ARGS' => [
                              'p',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 399 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp,
      VTABLE_get_string(interp, {{@1}}), {{@2}}) <= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le_str',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 317,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 406 "src/ops/cmp.ops"
  if (VTABLE_cmp_string(interp, {{@1}}, {{@2}}) <= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'le_num',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 318,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 412 "src/ops/cmp.ops"
  if (VTABLE_cmp_num(interp, {{@1}}, {{@2}}) <= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'gt',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 319,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 436 "src/ops/cmp.ops"
  if (VTABLE_cmp(interp, {{@1}}, {{@2}}) > 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'gt',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 320,
                  'ARGS' => [
                              'p',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 442 "src/ops/cmp.ops"
  PMC * temp  = temporary_pmc_new(interp, enum_class_Integer);
  VTABLE_set_integer_native(interp, temp, {{@2}});

  if (VTABLE_cmp(interp, {{@1}}, temp) > 0) {
    temporary_pmc_free(interp, temp);
    {{+={{@3}}}};
  }

  temporary_pmc_free(interp, temp);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'gt',
                  'FLAGS' => $ops->[320]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 321,
                  'ARGS' => [
                              'p',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 442 "src/ops/cmp.ops"
  PMC * temp  = temporary_pmc_new(interp, enum_class_Integer);
  VTABLE_set_integer_native(interp, temp, {{@2}});

  if (VTABLE_cmp(interp, {{@1}}, temp) > 0) {
    temporary_pmc_free(interp, temp);
    {{+={{@3}}}};
  }

  temporary_pmc_free(interp, temp);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'gt',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 322,
                  'ARGS' => [
                              'p',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 454 "src/ops/cmp.ops"
  if (VTABLE_get_number(interp, {{@1}}) > {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'gt',
                  'FLAGS' => $ops->[322]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 323,
                  'ARGS' => [
                              'p',
                              'nc',
                              'ic'
                            ],
                  'BODY' => '#line 454 "src/ops/cmp.ops"
  if (VTABLE_get_number(interp, {{@1}}) > {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'gt',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 324,
                  'ARGS' => [
                              'p',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 460 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp,
      VTABLE_get_string(interp, {{@1}}), {{@2}}) > 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'gt',
                  'FLAGS' => $ops->[324]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 325,
                  'ARGS' => [
                              'p',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 460 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp,
      VTABLE_get_string(interp, {{@1}}), {{@2}}) > 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'gt_str',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 326,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 467 "src/ops/cmp.ops"
  if (VTABLE_cmp_string(interp, {{@1}}, {{@2}}) > 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'gt_num',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 327,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 473 "src/ops/cmp.ops"
  if (VTABLE_cmp_num(interp, {{@1}}, {{@2}}) > 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ge',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 328,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 497 "src/ops/cmp.ops"
  if (VTABLE_cmp(interp, {{@1}}, {{@2}}) >= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ge',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 329,
                  'ARGS' => [
                              'p',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 503 "src/ops/cmp.ops"
  PMC * temp  = temporary_pmc_new(interp, enum_class_Integer);
  VTABLE_set_integer_native(interp, temp, {{@2}});

  if (VTABLE_cmp(interp, {{@1}}, temp) >= 0) {
    temporary_pmc_free(interp, temp);
    {{+={{@3}}}};
  }

  temporary_pmc_free(interp, temp);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ge',
                  'FLAGS' => $ops->[329]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 330,
                  'ARGS' => [
                              'p',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 503 "src/ops/cmp.ops"
  PMC * temp  = temporary_pmc_new(interp, enum_class_Integer);
  VTABLE_set_integer_native(interp, temp, {{@2}});

  if (VTABLE_cmp(interp, {{@1}}, temp) >= 0) {
    temporary_pmc_free(interp, temp);
    {{+={{@3}}}};
  }

  temporary_pmc_free(interp, temp);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ge',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 331,
                  'ARGS' => [
                              'p',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 515 "src/ops/cmp.ops"
  if (VTABLE_get_number(interp, {{@1}}) >= {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ge',
                  'FLAGS' => $ops->[331]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 332,
                  'ARGS' => [
                              'p',
                              'nc',
                              'ic'
                            ],
                  'BODY' => '#line 515 "src/ops/cmp.ops"
  if (VTABLE_get_number(interp, {{@1}}) >= {{@2}}) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ge',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 333,
                  'ARGS' => [
                              'p',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 521 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp, VTABLE_get_string(interp, {{@1}}), {{@2}}) >= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ge',
                  'FLAGS' => $ops->[333]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 334,
                  'ARGS' => [
                              'p',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 521 "src/ops/cmp.ops"
  if (Parrot_str_compare(interp, VTABLE_get_string(interp, {{@1}}), {{@2}}) >= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ge_str',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 335,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 527 "src/ops/cmp.ops"
  if (VTABLE_cmp_string(interp, {{@1}}, {{@2}}) >= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'ge_num',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 336,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 533 "src/ops/cmp.ops"
  if (VTABLE_cmp_num(interp, {{@1}}, {{@2}}) >= 0) {
    {{+={{@3}}}};
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'if_null',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 337,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 551 "src/ops/cmp.ops"
  if (PMC_IS_NULL({{@1}})) {
    {{+={{@2}}}};
  }

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'if_null',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 338,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 557 "src/ops/cmp.ops"
  if (!{{@1}}) {
    {{+={{@2}}}};
  }

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'unless_null',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 339,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 575 "src/ops/cmp.ops"
  if (!PMC_IS_NULL({{@1}})) {
    {{+={{@2}}}};
  }

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'unless_null',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 340,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 581 "src/ops/cmp.ops"
  if ({{@1}}) {
    {{+={{@2}}}};
  }

{{+=3}};',
                  'LABELS' => [
                                0,
                                1
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 341,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 622 "src/ops/cmp.ops"
  {{@1}} = {{@2}} < {{@3}} ? -1 :
       {{@2}} > {{@3}} ? +1 :
       0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => $ops->[341]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 342,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 622 "src/ops/cmp.ops"
  {{@1}} = {{@2}} < {{@3}} ? -1 :
       {{@2}} > {{@3}} ? +1 :
       0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => $ops->[341]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 343,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 622 "src/ops/cmp.ops"
  {{@1}} = {{@2}} < {{@3}} ? -1 :
       {{@2}} > {{@3}} ? +1 :
       0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 344,
                  'ARGS' => [
                              'i',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 628 "src/ops/cmp.ops"
  {{@1}} = {{@2}} < {{@3}} ? -1 :
       {{@2}} > {{@3}} ? +1 :
       0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => $ops->[344]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 345,
                  'ARGS' => [
                              'i',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 628 "src/ops/cmp.ops"
  {{@1}} = {{@2}} < {{@3}} ? -1 :
       {{@2}} > {{@3}} ? +1 :
       0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => $ops->[344]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 346,
                  'ARGS' => [
                              'i',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 628 "src/ops/cmp.ops"
  {{@1}} = {{@2}} < {{@3}} ? -1 :
       {{@2}} > {{@3}} ? +1 :
       0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 347,
                  'ARGS' => [
                              'i',
                              's',
                              's'
                            ],
                  'BODY' => '#line 634 "src/ops/cmp.ops"
  {{@1}} = Parrot_str_compare(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => $ops->[347]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 348,
                  'ARGS' => [
                              'i',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 634 "src/ops/cmp.ops"
  {{@1}} = Parrot_str_compare(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => $ops->[347]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 349,
                  'ARGS' => [
                              'i',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 634 "src/ops/cmp.ops"
  {{@1}} = Parrot_str_compare(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 350,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 638 "src/ops/cmp.ops"
  {{@1}} = VTABLE_cmp(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 351,
                  'ARGS' => [
                              'i',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 642 "src/ops/cmp.ops"
  const INTVAL l = VTABLE_get_integer(interp, {{@2}});
  {{@1}} = l < {{@3}} ? -1 :
       l > {{@3}} ? +1 :
       0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => $ops->[351]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 352,
                  'ARGS' => [
                              'i',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 642 "src/ops/cmp.ops"
  const INTVAL l = VTABLE_get_integer(interp, {{@2}});
  {{@1}} = l < {{@3}} ? -1 :
       l > {{@3}} ? +1 :
       0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 353,
                  'ARGS' => [
                              'i',
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 649 "src/ops/cmp.ops"
  const FLOATVAL l = VTABLE_get_number(interp, {{@2}});
  {{@1}} = l < {{@3}} ? -1 :
       l > {{@3}} ? +1 :
       0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => $ops->[353]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 354,
                  'ARGS' => [
                              'i',
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 649 "src/ops/cmp.ops"
  const FLOATVAL l = VTABLE_get_number(interp, {{@2}});
  {{@1}} = l < {{@3}} ? -1 :
       l > {{@3}} ? +1 :
       0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 355,
                  'ARGS' => [
                              'i',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 656 "src/ops/cmp.ops"
  STRING* const l = VTABLE_get_string(interp, {{@2}});
  {{@1}} = Parrot_str_compare(interp, l, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp',
                  'FLAGS' => $ops->[355]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 356,
                  'ARGS' => [
                              'i',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 656 "src/ops/cmp.ops"
  STRING* const l = VTABLE_get_string(interp, {{@2}});
  {{@1}} = Parrot_str_compare(interp, l, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp_str',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 357,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 661 "src/ops/cmp.ops"
  {{@1}} = VTABLE_cmp_string(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp_num',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 358,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 665 "src/ops/cmp.ops"
  {{@1}} = VTABLE_cmp_num(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cmp_pmc',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 359,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 677 "src/ops/cmp.ops"
  {{@1}} = VTABLE_cmp_pmc(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'issame',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 360,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 714 "src/ops/cmp.ops"
    if ({{@2}} == {{@3}})
        {{@1}} = 1;
    else
        {{@1}} = VTABLE_is_same(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'issame',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 361,
                  'ARGS' => [
                              'i',
                              's',
                              's'
                            ],
                  'BODY' => '#line 721 "src/ops/cmp.ops"
    {{@1}} = {{@2}} == {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'issame',
                  'FLAGS' => $ops->[361]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 362,
                  'ARGS' => [
                              'i',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 721 "src/ops/cmp.ops"
    {{@1}} = {{@2}} == {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'issame',
                  'FLAGS' => $ops->[361]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 363,
                  'ARGS' => [
                              'i',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 721 "src/ops/cmp.ops"
    {{@1}} = {{@2}} == {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'issame',
                  'FLAGS' => $ops->[361]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 364,
                  'ARGS' => [
                              'i',
                              'sc',
                              'sc'
                            ],
                  'BODY' => '#line 721 "src/ops/cmp.ops"
    {{@1}} = {{@2}} == {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isntsame',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 365,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 725 "src/ops/cmp.ops"
    if ({{@2}} == {{@3}})
        {{@1}} = 0;
    else
        {{@1}} = !VTABLE_is_same(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isntsame',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 366,
                  'ARGS' => [
                              'i',
                              's',
                              's'
                            ],
                  'BODY' => '#line 732 "src/ops/cmp.ops"
    {{@1}} = {{@2}} != {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isntsame',
                  'FLAGS' => $ops->[366]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 367,
                  'ARGS' => [
                              'i',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 732 "src/ops/cmp.ops"
    {{@1}} = {{@2}} != {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isntsame',
                  'FLAGS' => $ops->[366]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 368,
                  'ARGS' => [
                              'i',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 732 "src/ops/cmp.ops"
    {{@1}} = {{@2}} != {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isntsame',
                  'FLAGS' => $ops->[366]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 369,
                  'ARGS' => [
                              'i',
                              'sc',
                              'sc'
                            ],
                  'BODY' => '#line 732 "src/ops/cmp.ops"
    {{@1}} = {{@2}} != {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'istrue',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 370,
                  'ARGS' => [
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 736 "src/ops/cmp.ops"
    {{@1}} = VTABLE_get_bool(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isfalse',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 371,
                  'ARGS' => [
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 740 "src/ops/cmp.ops"
    {{@1}} = !VTABLE_get_bool(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isnull',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 372,
                  'ARGS' => [
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 744 "src/ops/cmp.ops"
    {{@1}} = PMC_IS_NULL({{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isnull',
                  'FLAGS' => $ops->[372]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 373,
                  'ARGS' => [
                              'i',
                              'pc'
                            ],
                  'BODY' => '#line 744 "src/ops/cmp.ops"
    {{@1}} = PMC_IS_NULL({{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isgt',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 374,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 766 "src/ops/cmp.ops"
  {{@1}} = (VTABLE_cmp(interp, {{@2}}, {{@3}}) > 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isge',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 375,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 784 "src/ops/cmp.ops"
  {{@1}} = (VTABLE_cmp(interp, {{@2}}, {{@3}}) >= 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isle',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 376,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 800 "src/ops/cmp.ops"
  {{@1}} = {{@2}} <= {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isle',
                  'FLAGS' => $ops->[376]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 377,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 800 "src/ops/cmp.ops"
  {{@1}} = {{@2}} <= {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isle',
                  'FLAGS' => $ops->[376]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 378,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 800 "src/ops/cmp.ops"
  {{@1}} = {{@2}} <= {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isle',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 379,
                  'ARGS' => [
                              'i',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 804 "src/ops/cmp.ops"
  {{@1}} = {{@2}} <= {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isle',
                  'FLAGS' => $ops->[379]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 380,
                  'ARGS' => [
                              'i',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 804 "src/ops/cmp.ops"
  {{@1}} = {{@2}} <= {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isle',
                  'FLAGS' => $ops->[379]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 381,
                  'ARGS' => [
                              'i',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 804 "src/ops/cmp.ops"
  {{@1}} = {{@2}} <= {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isle',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 382,
                  'ARGS' => [
                              'i',
                              's',
                              's'
                            ],
                  'BODY' => '#line 808 "src/ops/cmp.ops"
  {{@1}} = Parrot_str_compare(interp, {{@2}}, {{@3}}) <= 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isle',
                  'FLAGS' => $ops->[382]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 383,
                  'ARGS' => [
                              'i',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 808 "src/ops/cmp.ops"
  {{@1}} = Parrot_str_compare(interp, {{@2}}, {{@3}}) <= 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isle',
                  'FLAGS' => $ops->[382]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 384,
                  'ARGS' => [
                              'i',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 808 "src/ops/cmp.ops"
  {{@1}} = Parrot_str_compare(interp, {{@2}}, {{@3}}) <= 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isle',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 385,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 812 "src/ops/cmp.ops"
  {{@1}} = (VTABLE_cmp(interp, {{@2}}, {{@3}}) <= 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'islt',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 386,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 828 "src/ops/cmp.ops"
  {{@1}} = ({{@2}} < {{@3}}) ? 1 : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'islt',
                  'FLAGS' => $ops->[386]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 387,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 828 "src/ops/cmp.ops"
  {{@1}} = ({{@2}} < {{@3}}) ? 1 : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'islt',
                  'FLAGS' => $ops->[386]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 388,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 828 "src/ops/cmp.ops"
  {{@1}} = ({{@2}} < {{@3}}) ? 1 : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'islt',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 389,
                  'ARGS' => [
                              'i',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 832 "src/ops/cmp.ops"
  {{@1}} = {{@2}} < {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'islt',
                  'FLAGS' => $ops->[389]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 390,
                  'ARGS' => [
                              'i',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 832 "src/ops/cmp.ops"
  {{@1}} = {{@2}} < {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'islt',
                  'FLAGS' => $ops->[389]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 391,
                  'ARGS' => [
                              'i',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 832 "src/ops/cmp.ops"
  {{@1}} = {{@2}} < {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'islt',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 392,
                  'ARGS' => [
                              'i',
                              's',
                              's'
                            ],
                  'BODY' => '#line 836 "src/ops/cmp.ops"
  {{@1}} = Parrot_str_compare(interp, {{@2}}, {{@3}}) < 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'islt',
                  'FLAGS' => $ops->[392]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 393,
                  'ARGS' => [
                              'i',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 836 "src/ops/cmp.ops"
  {{@1}} = Parrot_str_compare(interp, {{@2}}, {{@3}}) < 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'islt',
                  'FLAGS' => $ops->[392]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 394,
                  'ARGS' => [
                              'i',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 836 "src/ops/cmp.ops"
  {{@1}} = Parrot_str_compare(interp, {{@2}}, {{@3}}) < 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'islt',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 395,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 840 "src/ops/cmp.ops"
  {{@1}} = (VTABLE_cmp(interp, {{@2}}, {{@3}}) < 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'iseq',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 396,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 856 "src/ops/cmp.ops"
  {{@1}} = ({{@2}} == {{@3}}) ? 1 : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'iseq',
                  'FLAGS' => $ops->[396]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 397,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 856 "src/ops/cmp.ops"
  {{@1}} = ({{@2}} == {{@3}}) ? 1 : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'iseq',
                  'FLAGS' => $ops->[396]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 398,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 856 "src/ops/cmp.ops"
  {{@1}} = ({{@2}} == {{@3}}) ? 1 : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'iseq',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 399,
                  'ARGS' => [
                              'i',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 860 "src/ops/cmp.ops"
  {{@1}} = {{@2}} == {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'iseq',
                  'FLAGS' => $ops->[399]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 400,
                  'ARGS' => [
                              'i',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 860 "src/ops/cmp.ops"
  {{@1}} = {{@2}} == {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'iseq',
                  'FLAGS' => $ops->[399]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 401,
                  'ARGS' => [
                              'i',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 860 "src/ops/cmp.ops"
  {{@1}} = {{@2}} == {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'iseq',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 402,
                  'ARGS' => [
                              'i',
                              's',
                              's'
                            ],
                  'BODY' => '#line 864 "src/ops/cmp.ops"
  {{@1}} = (Parrot_str_equal(interp, {{@2}}, {{@3}}) ? 1 : 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'iseq',
                  'FLAGS' => $ops->[402]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 403,
                  'ARGS' => [
                              'i',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 864 "src/ops/cmp.ops"
  {{@1}} = (Parrot_str_equal(interp, {{@2}}, {{@3}}) ? 1 : 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'iseq',
                  'FLAGS' => $ops->[402]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 404,
                  'ARGS' => [
                              'i',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 864 "src/ops/cmp.ops"
  {{@1}} = (Parrot_str_equal(interp, {{@2}}, {{@3}}) ? 1 : 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'iseq',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 405,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 868 "src/ops/cmp.ops"
  if (&{{@2}} == &{{@3}})
    {{@1}} = 1;
  else
    {{@1}} = VTABLE_is_equal(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isne',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 406,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 887 "src/ops/cmp.ops"
  {{@1}} = ({{@2}} == {{@3}}) ? 0 : 1;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isne',
                  'FLAGS' => $ops->[406]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 407,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 887 "src/ops/cmp.ops"
  {{@1}} = ({{@2}} == {{@3}}) ? 0 : 1;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isne',
                  'FLAGS' => $ops->[406]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 408,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 887 "src/ops/cmp.ops"
  {{@1}} = ({{@2}} == {{@3}}) ? 0 : 1;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isne',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 409,
                  'ARGS' => [
                              'i',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 891 "src/ops/cmp.ops"
  {{@1}} = {{@2}} != {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isne',
                  'FLAGS' => $ops->[409]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 410,
                  'ARGS' => [
                              'i',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 891 "src/ops/cmp.ops"
  {{@1}} = {{@2}} != {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isne',
                  'FLAGS' => $ops->[409]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 411,
                  'ARGS' => [
                              'i',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 891 "src/ops/cmp.ops"
  {{@1}} = {{@2}} != {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isne',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 412,
                  'ARGS' => [
                              'i',
                              's',
                              's'
                            ],
                  'BODY' => '#line 895 "src/ops/cmp.ops"
  {{@1}} = (Parrot_str_not_equal(interp, {{@2}}, {{@3}}) ? 1 : 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isne',
                  'FLAGS' => $ops->[412]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 413,
                  'ARGS' => [
                              'i',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 895 "src/ops/cmp.ops"
  {{@1}} = (Parrot_str_not_equal(interp, {{@2}}, {{@3}}) ? 1 : 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isne',
                  'FLAGS' => $ops->[412]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 414,
                  'ARGS' => [
                              'i',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 895 "src/ops/cmp.ops"
  {{@1}} = (Parrot_str_not_equal(interp, {{@2}}, {{@3}}) ? 1 : 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isne',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 415,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 899 "src/ops/cmp.ops"
  if (&{{@2}} == &{{@3}})
    {{@1}} = 0;
  else
    {{@1}} = !VTABLE_is_equal(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'and',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 416,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 931 "src/ops/cmp.ops"
  {{@1}} = {{@2}} ? {{@3}} : {{@2}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'and',
                  'FLAGS' => $ops->[416]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 417,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 931 "src/ops/cmp.ops"
  {{@1}} = {{@2}} ? {{@3}} : {{@2}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'and',
                  'FLAGS' => $ops->[416]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 418,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 931 "src/ops/cmp.ops"
  {{@1}} = {{@2}} ? {{@3}} : {{@2}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'and',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 419,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 935 "src/ops/cmp.ops"
  {{@1}} = VTABLE_logical_and(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'not',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 420,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 953 "src/ops/cmp.ops"
  {{@1}} = ! {{@1}};

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'not',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 421,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 957 "src/ops/cmp.ops"
  {{@1}} = ! {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'not',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 422,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 961 "src/ops/cmp.ops"
  VTABLE_i_logical_not(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'not',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 423,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 965 "src/ops/cmp.ops"
  {{@1}} = VTABLE_logical_not(interp, {{@2}}, {{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'or',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 424,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 979 "src/ops/cmp.ops"
  {{@1}} = {{@2}} ? {{@2}} : {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'or',
                  'FLAGS' => $ops->[424]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 425,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 979 "src/ops/cmp.ops"
  {{@1}} = {{@2}} ? {{@2}} : {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'or',
                  'FLAGS' => $ops->[424]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 426,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 979 "src/ops/cmp.ops"
  {{@1}} = {{@2}} ? {{@2}} : {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'or',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 427,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 983 "src/ops/cmp.ops"
      {{@1}} = VTABLE_logical_or(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'xor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 428,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 998 "src/ops/cmp.ops"
  {{@1}} = ({{@2}} && ! {{@3}}) ? {{@2}} : ({{@3}} && ! {{@2}}) ? {{@3}} : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'xor',
                  'FLAGS' => $ops->[428]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 429,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 998 "src/ops/cmp.ops"
  {{@1}} = ({{@2}} && ! {{@3}}) ? {{@2}} : ({{@3}} && ! {{@2}}) ? {{@3}} : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'xor',
                  'FLAGS' => $ops->[428]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 430,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 998 "src/ops/cmp.ops"
  {{@1}} = ({{@2}} && ! {{@3}}) ? {{@2}} : ({{@3}} && ! {{@2}}) ? {{@3}} : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'xor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 431,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 1002 "src/ops/cmp.ops"
      {{@1}} = VTABLE_logical_xor(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'debug_init',
                  'FLAGS' => {
                               '' => undef,
                               'base_debug' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'function',
                  'CODE' => 432,
                  'ARGS' => [],
                  'BODY' => '#line 47 "src/ops/debug.ops"
    Parrot_debugger_init(interp);

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'debug_load',
                  'FLAGS' => {
                               '' => undef,
                               'base_debug' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 433,
                  'ARGS' => [
                              'sc'
                            ],
                  'BODY' => '#line 59 "src/ops/debug.ops"
    Parrot_debugger_load(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'debug_break',
                  'FLAGS' => {
                               '' => undef,
                               'base_debug' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'function',
                  'CODE' => 434,
                  'ARGS' => [],
                  'BODY' => '#line 79 "src/ops/debug.ops"
    Parrot_debugger_break(interp, cur_opcode);

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'debug_print',
                  'FLAGS' => {
                               '' => undef,
                               'base_debug' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'function',
                  'CODE' => 435,
                  'ARGS' => [],
                  'BODY' => '#line 91 "src/ops/debug.ops"
    if (!interp->pdb) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+1}},
            EXCEPTION_INVALID_OPERATION,
            "Initialize debugger with debug_init before using debug_print");
        {{=handler}};
    }

    if (!(interp->pdb->state & PDB_BREAK)) {
        PDB_print(interp, "I");
        PDB_print(interp, "N");
        PDB_print(interp, "S");
        PDB_print(interp, "P");
    }

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'backtrace',
                  'FLAGS' => {
                               '' => undef,
                               'base_debug' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'function',
                  'CODE' => 436,
                  'ARGS' => [],
                  'BODY' => '#line 113 "src/ops/debug.ops"
    PDB_backtrace(interp);

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getline',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 437,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 125 "src/ops/debug.ops"
  Parrot_Context_info info;
  Parrot_Context_get_info(interp, CONTEXT(interp), &info);
  {{@1}} = info.line;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getfile',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 438,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 137 "src/ops/debug.ops"
  Parrot_Context_info info;
  Parrot_Context_get_info(interp, CONTEXT(interp), &info);
  {{@1}} = info.file;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'close',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 439,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 42 "src/ops/io.ops"
  Parrot_io_close(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdopen',
                  'FLAGS' => {
                               '' => undef,
                               'filesys_open' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 440,
                  'ARGS' => [
                              'p',
                              'i',
                              's'
                            ],
                  'BODY' => '#line 57 "src/ops/io.ops"
    {{@1}} = Parrot_io_fdopen(interp, PMCNULL, (PIOHANDLE){{@2}}, {{@3}});
    if (!{{@1}})
        {{@1}} = pmc_new(interp, enum_class_Undef);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdopen',
                  'FLAGS' => $ops->[440]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 441,
                  'ARGS' => [
                              'p',
                              'ic',
                              's'
                            ],
                  'BODY' => '#line 57 "src/ops/io.ops"
    {{@1}} = Parrot_io_fdopen(interp, PMCNULL, (PIOHANDLE){{@2}}, {{@3}});
    if (!{{@1}})
        {{@1}} = pmc_new(interp, enum_class_Undef);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdopen',
                  'FLAGS' => $ops->[440]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 442,
                  'ARGS' => [
                              'p',
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 57 "src/ops/io.ops"
    {{@1}} = Parrot_io_fdopen(interp, PMCNULL, (PIOHANDLE){{@2}}, {{@3}});
    if (!{{@1}})
        {{@1}} = pmc_new(interp, enum_class_Undef);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdopen',
                  'FLAGS' => $ops->[440]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 443,
                  'ARGS' => [
                              'p',
                              'ic',
                              'sc'
                            ],
                  'BODY' => '#line 57 "src/ops/io.ops"
    {{@1}} = Parrot_io_fdopen(interp, PMCNULL, (PIOHANDLE){{@2}}, {{@3}});
    if (!{{@1}})
        {{@1}} = pmc_new(interp, enum_class_Undef);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getstdin',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 444,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 80 "src/ops/io.ops"
  {{@1}} = _PIO_STDIN(interp);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getstdout',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 445,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 84 "src/ops/io.ops"
  {{@1}} = _PIO_STDOUT(interp);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getstderr',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 446,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 88 "src/ops/io.ops"
  {{@1}} = _PIO_STDERR(interp);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setstdin',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 447,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 111 "src/ops/io.ops"
        _PIO_STDIN(interp) = {{@1}};

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setstdout',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 448,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 115 "src/ops/io.ops"
        _PIO_STDOUT(interp) = {{@1}};

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setstderr',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 449,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 119 "src/ops/io.ops"
        _PIO_STDERR(interp) = {{@1}};

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'open',
                  'FLAGS' => {
                               '' => undef,
                               'filesys_open' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 450,
                  'ARGS' => [
                              'p',
                              's',
                              's'
                            ],
                  'BODY' => '#line 144 "src/ops/io.ops"
    if (STRING_IS_NULL({{@2}}) || STRING_IS_NULL({{@3}})) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
            EXCEPTION_UNEXPECTED_NULL, "Invalid open");
        {{=handler}};
    }
    else {
        {{@1}} = Parrot_io_open(interp, PMCNULL, {{@2}}, {{@3}});
        PARROT_ASSERT(! PMC_IS_NULL({{@1}}));
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'open',
                  'FLAGS' => $ops->[450]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 451,
                  'ARGS' => [
                              'p',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 144 "src/ops/io.ops"
    if (STRING_IS_NULL({{@2}}) || STRING_IS_NULL({{@3}})) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
            EXCEPTION_UNEXPECTED_NULL, "Invalid open");
        {{=handler}};
    }
    else {
        {{@1}} = Parrot_io_open(interp, PMCNULL, {{@2}}, {{@3}});
        PARROT_ASSERT(! PMC_IS_NULL({{@1}}));
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'open',
                  'FLAGS' => $ops->[450]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 452,
                  'ARGS' => [
                              'p',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 144 "src/ops/io.ops"
    if (STRING_IS_NULL({{@2}}) || STRING_IS_NULL({{@3}})) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
            EXCEPTION_UNEXPECTED_NULL, "Invalid open");
        {{=handler}};
    }
    else {
        {{@1}} = Parrot_io_open(interp, PMCNULL, {{@2}}, {{@3}});
        PARROT_ASSERT(! PMC_IS_NULL({{@1}}));
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'open',
                  'FLAGS' => $ops->[450]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 453,
                  'ARGS' => [
                              'p',
                              'sc',
                              'sc'
                            ],
                  'BODY' => '#line 144 "src/ops/io.ops"
    if (STRING_IS_NULL({{@2}}) || STRING_IS_NULL({{@3}})) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
            EXCEPTION_UNEXPECTED_NULL, "Invalid open");
        {{=handler}};
    }
    else {
        {{@1}} = Parrot_io_open(interp, PMCNULL, {{@2}}, {{@3}});
        PARROT_ASSERT(! PMC_IS_NULL({{@1}}));
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'open',
                  'FLAGS' => {
                               '' => undef,
                               'filesys_open' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 454,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 156 "src/ops/io.ops"
    if (STRING_IS_NULL({{@2}})) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+3}},
            EXCEPTION_UNEXPECTED_NULL, "Invalid open");
        {{=handler}};
    }
    else {
        {{@1}} = Parrot_io_open(interp, PMCNULL, {{@2}}, NULL);
        PARROT_ASSERT(! PMC_IS_NULL({{@1}}));
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'open',
                  'FLAGS' => $ops->[454]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 455,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 156 "src/ops/io.ops"
    if (STRING_IS_NULL({{@2}})) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+3}},
            EXCEPTION_UNEXPECTED_NULL, "Invalid open");
        {{=handler}};
    }
    else {
        {{@1}} = Parrot_io_open(interp, PMCNULL, {{@2}}, NULL);
        PARROT_ASSERT(! PMC_IS_NULL({{@1}}));
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 456,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 182 "src/ops/io.ops"
  Parrot_io_printf(interp, INTVAL_FMT, (INTVAL){{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => $ops->[456]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 457,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 182 "src/ops/io.ops"
  Parrot_io_printf(interp, INTVAL_FMT, (INTVAL){{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 458,
                  'ARGS' => [
                              'n'
                            ],
                  'BODY' => '#line 186 "src/ops/io.ops"
#ifdef PARROT_HAS_NEGATIVE_ZERO
  Parrot_io_printf(interp, FLOATVAL_FMT, {{@1}});
#else
  /* Workaround for older msvcrt and openbsd. TT #313 */
  if (Parrot_is_nzero({{@1}})) {
    Parrot_io_printf(interp, "-0");
  }
  else {
    Parrot_io_printf(interp, FLOATVAL_FMT, {{@1}});
  }
#endif

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => $ops->[458]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 459,
                  'ARGS' => [
                              'nc'
                            ],
                  'BODY' => '#line 186 "src/ops/io.ops"
#ifdef PARROT_HAS_NEGATIVE_ZERO
  Parrot_io_printf(interp, FLOATVAL_FMT, {{@1}});
#else
  /* Workaround for older msvcrt and openbsd. TT #313 */
  if (Parrot_is_nzero({{@1}})) {
    Parrot_io_printf(interp, "-0");
  }
  else {
    Parrot_io_printf(interp, FLOATVAL_FMT, {{@1}});
  }
#endif

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 460,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 200 "src/ops/io.ops"
  STRING * const s = {{@1}};
  if (s && Parrot_str_byte_length(interp, s))
    Parrot_io_putps(interp, _PIO_STDOUT(interp), s);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => $ops->[460]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 461,
                  'ARGS' => [
                              'sc'
                            ],
                  'BODY' => '#line 200 "src/ops/io.ops"
  STRING * const s = {{@1}};
  if (s && Parrot_str_byte_length(interp, s))
    Parrot_io_putps(interp, _PIO_STDOUT(interp), s);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 462,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 206 "src/ops/io.ops"
  PMC * const p = {{@1}};
  STRING * const s = (VTABLE_get_string(interp, p));
  if (s)
    Parrot_io_putps(interp, _PIO_STDOUT(interp), s);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'say',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 463,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 225 "src/ops/io.ops"
  Parrot_io_printf(interp, INTVAL_FMT "\\n", (INTVAL){{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'say',
                  'FLAGS' => $ops->[463]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 464,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 225 "src/ops/io.ops"
  Parrot_io_printf(interp, INTVAL_FMT "\\n", (INTVAL){{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'say',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 465,
                  'ARGS' => [
                              'n'
                            ],
                  'BODY' => '#line 229 "src/ops/io.ops"
#ifdef PARROT_HAS_NEGATIVE_ZERO
  Parrot_io_printf(interp, FLOATVAL_FMT "\\n", {{@1}});
#else
  /* Workaround for older msvcrt and openbsd. TT #313 */
  if (Parrot_is_nzero({{@1}})) {
      Parrot_io_printf(interp, "-0\\n");
  }
  else {
      Parrot_io_printf(interp, FLOATVAL_FMT "\\n", {{@1}});
  }
#endif

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'say',
                  'FLAGS' => $ops->[465]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 466,
                  'ARGS' => [
                              'nc'
                            ],
                  'BODY' => '#line 229 "src/ops/io.ops"
#ifdef PARROT_HAS_NEGATIVE_ZERO
  Parrot_io_printf(interp, FLOATVAL_FMT "\\n", {{@1}});
#else
  /* Workaround for older msvcrt and openbsd. TT #313 */
  if (Parrot_is_nzero({{@1}})) {
      Parrot_io_printf(interp, "-0\\n");
  }
  else {
      Parrot_io_printf(interp, FLOATVAL_FMT "\\n", {{@1}});
  }
#endif

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'say',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 467,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 243 "src/ops/io.ops"
  STRING * const s = {{@1}};
  if (s && Parrot_str_byte_length(interp, s))
    Parrot_io_putps(interp, _PIO_STDOUT(interp), s);
  Parrot_io_putps(interp, _PIO_STDOUT(interp), Parrot_str_new_constant(interp, "\\n"));

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'say',
                  'FLAGS' => $ops->[467]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 468,
                  'ARGS' => [
                              'sc'
                            ],
                  'BODY' => '#line 243 "src/ops/io.ops"
  STRING * const s = {{@1}};
  if (s && Parrot_str_byte_length(interp, s))
    Parrot_io_putps(interp, _PIO_STDOUT(interp), s);
  Parrot_io_putps(interp, _PIO_STDOUT(interp), Parrot_str_new_constant(interp, "\\n"));

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'say',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 469,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 250 "src/ops/io.ops"
    PMC * const p = {{@1}};

    if (PMC_IS_NULL(p)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+2}},
             EXCEPTION_UNEXPECTED_NULL,
            "Null PMC in say");
        {{=handler}};
    }
    else {
        STRING * const s = VTABLE_get_string(interp, p);
        if (s)
            Parrot_io_putps(interp, _PIO_STDOUT(interp), s);
        Parrot_io_putps(interp, _PIO_STDOUT(interp), Parrot_str_new_constant(interp, "\\n"));
    }

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'printerr',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 470,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 284 "src/ops/io.ops"
  Parrot_io_eprintf(interp, INTVAL_FMT, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'printerr',
                  'FLAGS' => $ops->[470]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 471,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 284 "src/ops/io.ops"
  Parrot_io_eprintf(interp, INTVAL_FMT, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'printerr',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 472,
                  'ARGS' => [
                              'n'
                            ],
                  'BODY' => '#line 288 "src/ops/io.ops"
  Parrot_io_eprintf(interp, FLOATVAL_FMT, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'printerr',
                  'FLAGS' => $ops->[472]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 473,
                  'ARGS' => [
                              'nc'
                            ],
                  'BODY' => '#line 288 "src/ops/io.ops"
  Parrot_io_eprintf(interp, FLOATVAL_FMT, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'printerr',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 474,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 292 "src/ops/io.ops"
  STRING * const s = {{@1}};
  if (s && Parrot_str_byte_length(interp, s))
    Parrot_io_putps(interp, _PIO_STDERR(interp), s);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'printerr',
                  'FLAGS' => $ops->[474]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 475,
                  'ARGS' => [
                              'sc'
                            ],
                  'BODY' => '#line 292 "src/ops/io.ops"
  STRING * const s = {{@1}};
  if (s && Parrot_str_byte_length(interp, s))
    Parrot_io_putps(interp, _PIO_STDERR(interp), s);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'printerr',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 476,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 298 "src/ops/io.ops"
  PMC * const p = {{@1}};
  STRING * const s = (VTABLE_get_string(interp, p));
  if (s)
    Parrot_io_putps(interp, _PIO_STDERR(interp), s);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 477,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 319 "src/ops/io.ops"
  if ({{@1}}) {
    STRING * const s = Parrot_str_from_int(interp, {{@2}});
    Parrot_io_putps(interp, {{@1}}, s);
  }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => $ops->[477]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 478,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 319 "src/ops/io.ops"
  if ({{@1}}) {
    STRING * const s = Parrot_str_from_int(interp, {{@2}});
    Parrot_io_putps(interp, {{@1}}, s);
  }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 479,
                  'ARGS' => [
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 326 "src/ops/io.ops"
  if ({{@1}}) {
    STRING * const s = Parrot_sprintf_c(interp, FLOATVAL_FMT, {{@2}});
    Parrot_io_putps(interp, {{@1}}, s);
  }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => $ops->[479]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 480,
                  'ARGS' => [
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 326 "src/ops/io.ops"
  if ({{@1}}) {
    STRING * const s = Parrot_sprintf_c(interp, FLOATVAL_FMT, {{@2}});
    Parrot_io_putps(interp, {{@1}}, s);
  }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 481,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 333 "src/ops/io.ops"
  if ({{@2}} && {{@1}}) {
    Parrot_io_putps(interp, {{@1}}, {{@2}});
  }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => $ops->[481]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 482,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 333 "src/ops/io.ops"
  if ({{@2}} && {{@1}}) {
    Parrot_io_putps(interp, {{@1}}, {{@2}});
  }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'print',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 483,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 339 "src/ops/io.ops"
  if ({{@2}} && {{@1}}) {
    STRING * const s = VTABLE_get_string(interp, {{@2}});
    Parrot_io_putps(interp, {{@1}}, s);
  }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'read',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 484,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 358 "src/ops/io.ops"
  {{@1}} = Parrot_io_reads(interp, _PIO_STDIN(interp), (size_t){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'read',
                  'FLAGS' => $ops->[484]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 485,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 358 "src/ops/io.ops"
  {{@1}} = Parrot_io_reads(interp, _PIO_STDIN(interp), (size_t){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'read',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 486,
                  'ARGS' => [
                              's',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 362 "src/ops/io.ops"
  {{@1}} = Parrot_io_reads(interp, {{@2}}, (size_t){{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'read',
                  'FLAGS' => $ops->[486]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 487,
                  'ARGS' => [
                              's',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 362 "src/ops/io.ops"
  {{@1}} = Parrot_io_reads(interp, {{@2}}, (size_t){{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'readline',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 488,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 373 "src/ops/io.ops"
    {{@1}} = Parrot_io_readline(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'peek',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 489,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 391 "src/ops/io.ops"
  STRING ** const s = &{{@1}};

  *s = NULL;
  if (Parrot_io_peek(interp, _PIO_STDIN(interp), s) < 0) {
    {{@1}} = Parrot_str_new_noinit(interp, enum_stringrep_one, 0);
  }

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'peek',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 490,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 400 "src/ops/io.ops"
  STRING ** const s = &{{@1}};

  *s = NULL;
  if (Parrot_io_peek(interp, {{@2}}, s) < 0) {
    {{@1}} = Parrot_str_new_noinit(interp, enum_stringrep_one, 0);
  }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'stat',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 491,
                  'ARGS' => [
                              'i',
                              's',
                              'i'
                            ],
                  'BODY' => '#line 433 "src/ops/io.ops"
  {{@1}} = Parrot_stat_info_intval(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'stat',
                  'FLAGS' => $ops->[491]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 492,
                  'ARGS' => [
                              'i',
                              'sc',
                              'i'
                            ],
                  'BODY' => '#line 433 "src/ops/io.ops"
  {{@1}} = Parrot_stat_info_intval(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'stat',
                  'FLAGS' => $ops->[491]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 493,
                  'ARGS' => [
                              'i',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 433 "src/ops/io.ops"
  {{@1}} = Parrot_stat_info_intval(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'stat',
                  'FLAGS' => $ops->[491]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 494,
                  'ARGS' => [
                              'i',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 433 "src/ops/io.ops"
  {{@1}} = Parrot_stat_info_intval(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'stat',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 495,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 437 "src/ops/io.ops"
  {{@1}} = Parrot_fstat_info_intval(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'stat',
                  'FLAGS' => $ops->[495]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 496,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 437 "src/ops/io.ops"
  {{@1}} = Parrot_fstat_info_intval(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'stat',
                  'FLAGS' => $ops->[495]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 497,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 437 "src/ops/io.ops"
  {{@1}} = Parrot_fstat_info_intval(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'stat',
                  'FLAGS' => $ops->[495]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 498,
                  'ARGS' => [
                              'i',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 437 "src/ops/io.ops"
  {{@1}} = Parrot_fstat_info_intval(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'seek',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 499,
                  'ARGS' => [
                              'p',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 459 "src/ops/io.ops"
    if ({{@1}}) {
        if (Parrot_io_seek(interp, {{@1}}, Parrot_io_make_offset({{@2}}), {{@3}}) < 0) {
            opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
                EXCEPTION_PIO_ERROR,
                "seek failed (32bit)");
            {{=handler}};
        }
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'seek',
                  'FLAGS' => $ops->[499]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 500,
                  'ARGS' => [
                              'p',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 459 "src/ops/io.ops"
    if ({{@1}}) {
        if (Parrot_io_seek(interp, {{@1}}, Parrot_io_make_offset({{@2}}), {{@3}}) < 0) {
            opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
                EXCEPTION_PIO_ERROR,
                "seek failed (32bit)");
            {{=handler}};
        }
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'seek',
                  'FLAGS' => $ops->[499]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 501,
                  'ARGS' => [
                              'p',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 459 "src/ops/io.ops"
    if ({{@1}}) {
        if (Parrot_io_seek(interp, {{@1}}, Parrot_io_make_offset({{@2}}), {{@3}}) < 0) {
            opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
                EXCEPTION_PIO_ERROR,
                "seek failed (32bit)");
            {{=handler}};
        }
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'seek',
                  'FLAGS' => $ops->[499]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 502,
                  'ARGS' => [
                              'p',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 459 "src/ops/io.ops"
    if ({{@1}}) {
        if (Parrot_io_seek(interp, {{@1}}, Parrot_io_make_offset({{@2}}), {{@3}}) < 0) {
            opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
                EXCEPTION_PIO_ERROR,
                "seek failed (32bit)");
            {{=handler}};
        }
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'seek',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 503,
                  'ARGS' => [
                              'p',
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 470 "src/ops/io.ops"
    if ({{@1}}) {
        if (Parrot_io_seek(interp, {{@1}}, Parrot_io_make_offset32({{@2}}, {{@3}}), {{@4}}) < 0) {
            opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+5}},
                EXCEPTION_PIO_ERROR,
                "seek failed (64bit)");
            {{=handler}};
        }
    }

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'seek',
                  'FLAGS' => $ops->[503]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 504,
                  'ARGS' => [
                              'p',
                              'ic',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 470 "src/ops/io.ops"
    if ({{@1}}) {
        if (Parrot_io_seek(interp, {{@1}}, Parrot_io_make_offset32({{@2}}, {{@3}}), {{@4}}) < 0) {
            opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+5}},
                EXCEPTION_PIO_ERROR,
                "seek failed (64bit)");
            {{=handler}};
        }
    }

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'seek',
                  'FLAGS' => $ops->[503]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 505,
                  'ARGS' => [
                              'p',
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 470 "src/ops/io.ops"
    if ({{@1}}) {
        if (Parrot_io_seek(interp, {{@1}}, Parrot_io_make_offset32({{@2}}, {{@3}}), {{@4}}) < 0) {
            opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+5}},
                EXCEPTION_PIO_ERROR,
                "seek failed (64bit)");
            {{=handler}};
        }
    }

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'seek',
                  'FLAGS' => $ops->[503]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 506,
                  'ARGS' => [
                              'p',
                              'ic',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 470 "src/ops/io.ops"
    if ({{@1}}) {
        if (Parrot_io_seek(interp, {{@1}}, Parrot_io_make_offset32({{@2}}, {{@3}}), {{@4}}) < 0) {
            opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+5}},
                EXCEPTION_PIO_ERROR,
                "seek failed (64bit)");
            {{=handler}};
        }
    }

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'seek',
                  'FLAGS' => $ops->[503]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 507,
                  'ARGS' => [
                              'p',
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 470 "src/ops/io.ops"
    if ({{@1}}) {
        if (Parrot_io_seek(interp, {{@1}}, Parrot_io_make_offset32({{@2}}, {{@3}}), {{@4}}) < 0) {
            opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+5}},
                EXCEPTION_PIO_ERROR,
                "seek failed (64bit)");
            {{=handler}};
        }
    }

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'seek',
                  'FLAGS' => $ops->[503]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 508,
                  'ARGS' => [
                              'p',
                              'ic',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 470 "src/ops/io.ops"
    if ({{@1}}) {
        if (Parrot_io_seek(interp, {{@1}}, Parrot_io_make_offset32({{@2}}, {{@3}}), {{@4}}) < 0) {
            opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+5}},
                EXCEPTION_PIO_ERROR,
                "seek failed (64bit)");
            {{=handler}};
        }
    }

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'seek',
                  'FLAGS' => $ops->[503]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 509,
                  'ARGS' => [
                              'p',
                              'i',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 470 "src/ops/io.ops"
    if ({{@1}}) {
        if (Parrot_io_seek(interp, {{@1}}, Parrot_io_make_offset32({{@2}}, {{@3}}), {{@4}}) < 0) {
            opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+5}},
                EXCEPTION_PIO_ERROR,
                "seek failed (64bit)");
            {{=handler}};
        }
    }

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'seek',
                  'FLAGS' => $ops->[503]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 510,
                  'ARGS' => [
                              'p',
                              'ic',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 470 "src/ops/io.ops"
    if ({{@1}}) {
        if (Parrot_io_seek(interp, {{@1}}, Parrot_io_make_offset32({{@2}}, {{@3}}), {{@4}}) < 0) {
            opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+5}},
                EXCEPTION_PIO_ERROR,
                "seek failed (64bit)");
            {{=handler}};
        }
    }

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'tell',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 511,
                  'ARGS' => [
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 496 "src/ops/io.ops"
  if ({{@2}})
    {{@1}} = (INTVAL)Parrot_io_tell(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'tell',
                  'FLAGS' => {
                               '' => undef,
                               'base_io' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 512,
                  'ARGS' => [
                              'i',
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 501 "src/ops/io.ops"
  if ({{@3}}) {
    PIOOFF_T pos;
    pos = Parrot_io_tell(interp, {{@3}});
    {{@1}} = (INTVAL)(pos >> 31);
    {{@2}} = (INTVAL)(pos & 0xffffffff);
  }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'abs',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 513,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 49 "src/ops/math.ops"
  {{@1}} = abs({{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'abs',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 514,
                  'ARGS' => [
                              'n'
                            ],
                  'BODY' => '#line 53 "src/ops/math.ops"
  {{@1}} = fabs({{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'abs',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 515,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 57 "src/ops/math.ops"
  if ({{@2}} < 0)
    {{@1}} = - (INTVAL){{@2}};
  else
    {{@1}} = (INTVAL){{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'abs',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 516,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 64 "src/ops/math.ops"
  if ({{@2}} < 0)
    {{@1}} = - (FLOATVAL){{@2}};
  else
    {{@1}} = (FLOATVAL){{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'abs',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 517,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 71 "src/ops/math.ops"
  VTABLE_i_absolute(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'abs',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 518,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 75 "src/ops/math.ops"
  {{@1}} = VTABLE_absolute(interp, {{@2}}, {{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 519,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 107 "src/ops/math.ops"
  {{@1}} += {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => $ops->[519]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 520,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 107 "src/ops/math.ops"
  {{@1}} += {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 521,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 111 "src/ops/math.ops"
  {{@1}} += {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => $ops->[521]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 522,
                  'ARGS' => [
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 111 "src/ops/math.ops"
  {{@1}} += {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 523,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 115 "src/ops/math.ops"
      VTABLE_i_add(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 524,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 119 "src/ops/math.ops"
      VTABLE_i_add_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => $ops->[524]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 525,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 119 "src/ops/math.ops"
      VTABLE_i_add_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 526,
                  'ARGS' => [
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 123 "src/ops/math.ops"
      VTABLE_i_add_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => $ops->[526]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 527,
                  'ARGS' => [
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 123 "src/ops/math.ops"
      VTABLE_i_add_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 528,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 127 "src/ops/math.ops"
  {{@1}} = {{@2}} + {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => $ops->[528]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 529,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 127 "src/ops/math.ops"
  {{@1}} = {{@2}} + {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => $ops->[528]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 530,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 127 "src/ops/math.ops"
  {{@1}} = {{@2}} + {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 531,
                  'ARGS' => [
                              'n',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 131 "src/ops/math.ops"
  {{@1}} = {{@2}} + {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => $ops->[531]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 532,
                  'ARGS' => [
                              'n',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 131 "src/ops/math.ops"
  {{@1}} = {{@2}} + {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => $ops->[531]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 533,
                  'ARGS' => [
                              'n',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 131 "src/ops/math.ops"
  {{@1}} = {{@2}} + {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 534,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 135 "src/ops/math.ops"
      {{@1}} = VTABLE_add(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 535,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 139 "src/ops/math.ops"
      {{@1}} = VTABLE_add_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => $ops->[535]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 536,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 139 "src/ops/math.ops"
      {{@1}} = VTABLE_add_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 537,
                  'ARGS' => [
                              'p',
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 143 "src/ops/math.ops"
      {{@1}} = VTABLE_add_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add',
                  'FLAGS' => $ops->[537]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 538,
                  'ARGS' => [
                              'p',
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 143 "src/ops/math.ops"
      {{@1}} = VTABLE_add_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'cmod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 539,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 188 "src/ops/math.ops"
  INTVAL den = {{@3}};
  if ({{@3}} == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = {{@2}} % den;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'cmod',
                  'FLAGS' => $ops->[539]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 540,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 188 "src/ops/math.ops"
  INTVAL den = {{@3}};
  if ({{@3}} == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = {{@2}} % den;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'cmod',
                  'FLAGS' => $ops->[539]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 541,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 188 "src/ops/math.ops"
  INTVAL den = {{@3}};
  if ({{@3}} == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = {{@2}} % den;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'cmod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 542,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 199 "src/ops/math.ops"
  INTVAL result;

  if ({{@3}} == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }

  result = VTABLE_get_integer(interp, {{@2}}) % {{@3}};

  {{@1}} = pmc_new(interp, VTABLE_type(interp, {{@2}}));
  VTABLE_set_integer_native(interp, {{@1}}, result);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'cmod',
                  'FLAGS' => $ops->[542]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 543,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 199 "src/ops/math.ops"
  INTVAL result;

  if ({{@3}} == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }

  result = VTABLE_get_integer(interp, {{@2}}) % {{@3}};

  {{@1}} = pmc_new(interp, VTABLE_type(interp, {{@2}}));
  VTABLE_set_integer_native(interp, {{@1}}, result);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'cmod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 544,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 215 "src/ops/math.ops"
  INTVAL result;
  INTVAL value = VTABLE_get_integer(interp, {{@3}});

  if (value == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }

  result = VTABLE_get_integer(interp, {{@2}}) % value;

  {{@1}} = pmc_new(interp, VTABLE_type(interp, {{@2}}));
  VTABLE_set_integer_native(interp, {{@1}}, result);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'cmod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 545,
                  'ARGS' => [
                              'n',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 265 "src/ops/math.ops"
  FLOATVAL den = {{@3}};
  if (FLOAT_IS_ZERO({{@3}})) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = fmod({{@2}}, den);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'cmod',
                  'FLAGS' => $ops->[545]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 546,
                  'ARGS' => [
                              'n',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 265 "src/ops/math.ops"
  FLOATVAL den = {{@3}};
  if (FLOAT_IS_ZERO({{@3}})) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = fmod({{@2}}, den);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'cmod',
                  'FLAGS' => $ops->[545]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 547,
                  'ARGS' => [
                              'n',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 265 "src/ops/math.ops"
  FLOATVAL den = {{@3}};
  if (FLOAT_IS_ZERO({{@3}})) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = fmod({{@2}}, den);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'cmod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 548,
                  'ARGS' => [
                              'p',
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 276 "src/ops/math.ops"
  FLOATVAL result;
  FLOATVAL value = {{@3}};

  if (FLOAT_IS_ZERO(value)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }

  result = fmod(VTABLE_get_integer(interp, {{@2}}), value);

  {{@1}} = pmc_new(interp, VTABLE_type(interp, {{@2}}));
  VTABLE_set_integer_native(interp, {{@1}}, (INTVAL) result);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'cmod',
                  'FLAGS' => $ops->[548]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 549,
                  'ARGS' => [
                              'p',
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 276 "src/ops/math.ops"
  FLOATVAL result;
  FLOATVAL value = {{@3}};

  if (FLOAT_IS_ZERO(value)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }

  result = fmod(VTABLE_get_integer(interp, {{@2}}), value);

  {{@1}} = pmc_new(interp, VTABLE_type(interp, {{@2}}));
  VTABLE_set_integer_native(interp, {{@1}}, (INTVAL) result);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'dec',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 550,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 305 "src/ops/math.ops"
  {{@1}}--;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'dec',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 551,
                  'ARGS' => [
                              'n'
                            ],
                  'BODY' => '#line 309 "src/ops/math.ops"
  {{@1}}--;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'dec',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 552,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 313 "src/ops/math.ops"
  VTABLE_decrement(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'div',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 553,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 347 "src/ops/math.ops"
  INTVAL den = {{@2}};
  if (den == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+3}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} /= den;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'div',
                  'FLAGS' => $ops->[553]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 554,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 347 "src/ops/math.ops"
  INTVAL den = {{@2}};
  if (den == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+3}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} /= den;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'div',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 555,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 358 "src/ops/math.ops"
  FLOATVAL den = {{@2}};
  if (FLOAT_IS_ZERO(den)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+3}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} /= den;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'div',
                  'FLAGS' => $ops->[555]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 556,
                  'ARGS' => [
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 358 "src/ops/math.ops"
  FLOATVAL den = {{@2}};
  if (FLOAT_IS_ZERO(den)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+3}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} /= den;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'div',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 557,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 369 "src/ops/math.ops"
      VTABLE_i_divide(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'div',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 558,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 373 "src/ops/math.ops"
      VTABLE_i_divide_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'div',
                  'FLAGS' => $ops->[558]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 559,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 373 "src/ops/math.ops"
      VTABLE_i_divide_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'div',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 560,
                  'ARGS' => [
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 377 "src/ops/math.ops"
      VTABLE_i_divide_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'div',
                  'FLAGS' => $ops->[560]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 561,
                  'ARGS' => [
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 377 "src/ops/math.ops"
      VTABLE_i_divide_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'div',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 562,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 380 "src/ops/math.ops"
  INTVAL den = {{@3}};
  if (den == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = {{@2}} / den;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'div',
                  'FLAGS' => $ops->[562]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 563,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 380 "src/ops/math.ops"
  INTVAL den = {{@3}};
  if (den == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = {{@2}} / den;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'div',
                  'FLAGS' => $ops->[562]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 564,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 380 "src/ops/math.ops"
  INTVAL den = {{@3}};
  if (den == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = {{@2}} / den;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'div',
                  'FLAGS' => $ops->[562]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 565,
                  'ARGS' => [
                              'i',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 380 "src/ops/math.ops"
  INTVAL den = {{@3}};
  if (den == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = {{@2}} / den;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'div',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 566,
                  'ARGS' => [
                              'n',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 391 "src/ops/math.ops"
  FLOATVAL den = {{@3}};
  if (FLOAT_IS_ZERO(den)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = {{@2}} / den;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'div',
                  'FLAGS' => $ops->[566]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 567,
                  'ARGS' => [
                              'n',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 391 "src/ops/math.ops"
  FLOATVAL den = {{@3}};
  if (FLOAT_IS_ZERO(den)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = {{@2}} / den;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'div',
                  'FLAGS' => $ops->[566]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 568,
                  'ARGS' => [
                              'n',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 391 "src/ops/math.ops"
  FLOATVAL den = {{@3}};
  if (FLOAT_IS_ZERO(den)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = {{@2}} / den;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'div',
                  'FLAGS' => $ops->[566]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 569,
                  'ARGS' => [
                              'n',
                              'nc',
                              'nc'
                            ],
                  'BODY' => '#line 391 "src/ops/math.ops"
  FLOATVAL den = {{@3}};
  if (FLOAT_IS_ZERO(den)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = {{@2}} / den;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'div',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 570,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 402 "src/ops/math.ops"
      {{@1}} = VTABLE_divide(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'div',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 571,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 406 "src/ops/math.ops"
      {{@1}} = VTABLE_divide_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'div',
                  'FLAGS' => $ops->[571]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 572,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 406 "src/ops/math.ops"
      {{@1}} = VTABLE_divide_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'div',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 573,
                  'ARGS' => [
                              'p',
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 410 "src/ops/math.ops"
      {{@1}} = VTABLE_divide_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'div',
                  'FLAGS' => $ops->[573]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 574,
                  'ARGS' => [
                              'p',
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 410 "src/ops/math.ops"
      {{@1}} = VTABLE_divide_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'fdiv',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 575,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 443 "src/ops/math.ops"
  INTVAL   den = {{@2}};
  FLOATVAL f;

  if (den == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+3}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }

  f  = floor({{@1}} / den);
  {{@1}} = (INTVAL)f;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'fdiv',
                  'FLAGS' => $ops->[575]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 576,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 443 "src/ops/math.ops"
  INTVAL   den = {{@2}};
  FLOATVAL f;

  if (den == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+3}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }

  f  = floor({{@1}} / den);
  {{@1}} = (INTVAL)f;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'fdiv',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 577,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 458 "src/ops/math.ops"
  FLOATVAL den = {{@2}};
  if (FLOAT_IS_ZERO(den)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+3}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = floor({{@1}} / den);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'fdiv',
                  'FLAGS' => $ops->[577]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 578,
                  'ARGS' => [
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 458 "src/ops/math.ops"
  FLOATVAL den = {{@2}};
  if (FLOAT_IS_ZERO(den)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+3}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = floor({{@1}} / den);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdiv',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 579,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 469 "src/ops/math.ops"
      VTABLE_i_floor_divide(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdiv',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 580,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 473 "src/ops/math.ops"
      VTABLE_i_floor_divide_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdiv',
                  'FLAGS' => $ops->[580]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 581,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 473 "src/ops/math.ops"
      VTABLE_i_floor_divide_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdiv',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 582,
                  'ARGS' => [
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 477 "src/ops/math.ops"
      VTABLE_i_floor_divide_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdiv',
                  'FLAGS' => $ops->[582]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 583,
                  'ARGS' => [
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 477 "src/ops/math.ops"
      VTABLE_i_floor_divide_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'fdiv',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 584,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 481 "src/ops/math.ops"
  INTVAL   den = {{@3}};
  FLOATVAL f;

  if (den == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }

  f  = floor({{@2}} / den);
  {{@1}} = (INTVAL)f;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'fdiv',
                  'FLAGS' => $ops->[584]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 585,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 481 "src/ops/math.ops"
  INTVAL   den = {{@3}};
  FLOATVAL f;

  if (den == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }

  f  = floor({{@2}} / den);
  {{@1}} = (INTVAL)f;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'fdiv',
                  'FLAGS' => $ops->[584]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 586,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 481 "src/ops/math.ops"
  INTVAL   den = {{@3}};
  FLOATVAL f;

  if (den == 0) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }

  f  = floor({{@2}} / den);
  {{@1}} = (INTVAL)f;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'fdiv',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 587,
                  'ARGS' => [
                              'n',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 496 "src/ops/math.ops"
  FLOATVAL den = {{@3}};
  if (FLOAT_IS_ZERO(den)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = floor({{@2}} / den);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'fdiv',
                  'FLAGS' => $ops->[587]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 588,
                  'ARGS' => [
                              'n',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 496 "src/ops/math.ops"
  FLOATVAL den = {{@3}};
  if (FLOAT_IS_ZERO(den)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = floor({{@2}} / den);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'fdiv',
                  'FLAGS' => $ops->[587]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 589,
                  'ARGS' => [
                              'n',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 496 "src/ops/math.ops"
  FLOATVAL den = {{@3}};
  if (FLOAT_IS_ZERO(den)) {
    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, {{^+4}},
        EXCEPTION_DIV_BY_ZERO,
        "Divide by zero");
    {{=handler}};
  }
  {{@1}} = floor({{@2}} / den);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdiv',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 590,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 507 "src/ops/math.ops"
      {{@1}} = VTABLE_floor_divide(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdiv',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 591,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 511 "src/ops/math.ops"
      {{@1}} = VTABLE_floor_divide_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdiv',
                  'FLAGS' => $ops->[591]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 592,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 511 "src/ops/math.ops"
      {{@1}} = VTABLE_floor_divide_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdiv',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 593,
                  'ARGS' => [
                              'p',
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 515 "src/ops/math.ops"
      {{@1}} = VTABLE_floor_divide_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fdiv',
                  'FLAGS' => $ops->[593]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 594,
                  'ARGS' => [
                              'p',
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 515 "src/ops/math.ops"
      {{@1}} = VTABLE_floor_divide_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'ceil',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 595,
                  'ARGS' => [
                              'n'
                            ],
                  'BODY' => '#line 533 "src/ops/math.ops"
  {{@1}} = ceil({{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'ceil',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 596,
                  'ARGS' => [
                              'i',
                              'n'
                            ],
                  'BODY' => '#line 537 "src/ops/math.ops"
  FLOATVAL f = ceil({{@2}});
  {{@1}}         = (INTVAL)f;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'ceil',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 597,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 542 "src/ops/math.ops"
  {{@1}} = ceil({{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'floor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 598,
                  'ARGS' => [
                              'n'
                            ],
                  'BODY' => '#line 560 "src/ops/math.ops"
  {{@1}} = floor({{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'floor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 599,
                  'ARGS' => [
                              'i',
                              'n'
                            ],
                  'BODY' => '#line 564 "src/ops/math.ops"
  FLOATVAL f = floor({{@2}});
  {{@1}}         = (INTVAL)f;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'floor',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 600,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 569 "src/ops/math.ops"
  {{@1}} = floor({{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'inc',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 601,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 585 "src/ops/math.ops"
  {{@1}}++;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'inc',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 602,
                  'ARGS' => [
                              'n'
                            ],
                  'BODY' => '#line 589 "src/ops/math.ops"
  {{@1}}++;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'inc',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 603,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 593 "src/ops/math.ops"
  VTABLE_increment(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 604,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 645 "src/ops/math.ops"
  {{@1}} = intval_mod({{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => $ops->[604]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 605,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 645 "src/ops/math.ops"
  {{@1}} = intval_mod({{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 606,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 649 "src/ops/math.ops"
  {{@1}} = floatval_mod({{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => $ops->[606]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 607,
                  'ARGS' => [
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 649 "src/ops/math.ops"
  {{@1}} = floatval_mod({{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 608,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 653 "src/ops/math.ops"
      VTABLE_i_modulus(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 609,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 657 "src/ops/math.ops"
      VTABLE_i_modulus_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => $ops->[609]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 610,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 657 "src/ops/math.ops"
      VTABLE_i_modulus_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 611,
                  'ARGS' => [
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 661 "src/ops/math.ops"
      VTABLE_i_modulus_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => $ops->[611]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 612,
                  'ARGS' => [
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 661 "src/ops/math.ops"
      VTABLE_i_modulus_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 613,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 665 "src/ops/math.ops"
  {{@1}} = intval_mod({{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => $ops->[613]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 614,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 665 "src/ops/math.ops"
  {{@1}} = intval_mod({{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => $ops->[613]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 615,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 665 "src/ops/math.ops"
  {{@1}} = intval_mod({{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 616,
                  'ARGS' => [
                              'n',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 669 "src/ops/math.ops"
  {{@1}} = floatval_mod({{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => $ops->[616]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 617,
                  'ARGS' => [
                              'n',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 669 "src/ops/math.ops"
  {{@1}} = floatval_mod({{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => $ops->[616]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 618,
                  'ARGS' => [
                              'n',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 669 "src/ops/math.ops"
  {{@1}} = floatval_mod({{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 619,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 673 "src/ops/math.ops"
      {{@1}} = VTABLE_modulus(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 620,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 677 "src/ops/math.ops"
      {{@1}} = VTABLE_modulus_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => $ops->[620]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 621,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 677 "src/ops/math.ops"
      {{@1}} = VTABLE_modulus_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 622,
                  'ARGS' => [
                              'p',
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 681 "src/ops/math.ops"
      {{@1}} = VTABLE_modulus_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mod',
                  'FLAGS' => $ops->[622]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 623,
                  'ARGS' => [
                              'p',
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 681 "src/ops/math.ops"
      {{@1}} = VTABLE_modulus_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 624,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 713 "src/ops/math.ops"
  {{@1}} *= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => $ops->[624]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 625,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 713 "src/ops/math.ops"
  {{@1}} *= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 626,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 717 "src/ops/math.ops"
  {{@1}} *= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => $ops->[626]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 627,
                  'ARGS' => [
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 717 "src/ops/math.ops"
  {{@1}} *= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 628,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 721 "src/ops/math.ops"
      VTABLE_i_multiply(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 629,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 725 "src/ops/math.ops"
      VTABLE_i_multiply_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => $ops->[629]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 630,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 725 "src/ops/math.ops"
      VTABLE_i_multiply_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 631,
                  'ARGS' => [
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 729 "src/ops/math.ops"
      VTABLE_i_multiply_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => $ops->[631]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 632,
                  'ARGS' => [
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 729 "src/ops/math.ops"
      VTABLE_i_multiply_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 633,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 733 "src/ops/math.ops"
  {{@1}} = {{@2}} * {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => $ops->[633]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 634,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 733 "src/ops/math.ops"
  {{@1}} = {{@2}} * {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => $ops->[633]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 635,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 733 "src/ops/math.ops"
  {{@1}} = {{@2}} * {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 636,
                  'ARGS' => [
                              'n',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 737 "src/ops/math.ops"
  {{@1}} = {{@2}} * {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => $ops->[636]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 637,
                  'ARGS' => [
                              'n',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 737 "src/ops/math.ops"
  {{@1}} = {{@2}} * {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => $ops->[636]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 638,
                  'ARGS' => [
                              'n',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 737 "src/ops/math.ops"
  {{@1}} = {{@2}} * {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 639,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 741 "src/ops/math.ops"
      {{@1}} = VTABLE_multiply(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 640,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 745 "src/ops/math.ops"
      {{@1}} = VTABLE_multiply_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => $ops->[640]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 641,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 745 "src/ops/math.ops"
      {{@1}} = VTABLE_multiply_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 642,
                  'ARGS' => [
                              'p',
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 749 "src/ops/math.ops"
      {{@1}} = VTABLE_multiply_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'mul',
                  'FLAGS' => $ops->[642]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 643,
                  'ARGS' => [
                              'p',
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 749 "src/ops/math.ops"
      {{@1}} = VTABLE_multiply_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'neg',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 644,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 773 "src/ops/math.ops"
  {{@1}} = - {{@1}};

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'neg',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 645,
                  'ARGS' => [
                              'n'
                            ],
                  'BODY' => '#line 777 "src/ops/math.ops"
  {{@1}} = - {{@1}};

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'neg',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 646,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 781 "src/ops/math.ops"
  VTABLE_i_neg(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'neg',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 647,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 785 "src/ops/math.ops"
  {{@1}} = - {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'neg',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 648,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 789 "src/ops/math.ops"
  {{@1}} = - {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'neg',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 649,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 793 "src/ops/math.ops"
  {{@1}} = VTABLE_neg(interp, {{@2}}, {{@1}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pow',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 650,
                  'ARGS' => [
                              'n',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 813 "src/ops/math.ops"
   {{@1}} = pow((FLOATVAL){{@2}}, (FLOATVAL){{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pow',
                  'FLAGS' => $ops->[650]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 651,
                  'ARGS' => [
                              'n',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 813 "src/ops/math.ops"
   {{@1}} = pow((FLOATVAL){{@2}}, (FLOATVAL){{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pow',
                  'FLAGS' => $ops->[650]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 652,
                  'ARGS' => [
                              'n',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 813 "src/ops/math.ops"
   {{@1}} = pow((FLOATVAL){{@2}}, (FLOATVAL){{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pow',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 653,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 817 "src/ops/math.ops"
      {{@1}} = VTABLE_pow(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pow',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 654,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 821 "src/ops/math.ops"
      {{@1}} = VTABLE_pow_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pow',
                  'FLAGS' => $ops->[654]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 655,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 821 "src/ops/math.ops"
      {{@1}} = VTABLE_pow_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pow',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 656,
                  'ARGS' => [
                              'p',
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 825 "src/ops/math.ops"
      {{@1}} = VTABLE_pow_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pow',
                  'FLAGS' => $ops->[656]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 657,
                  'ARGS' => [
                              'p',
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 825 "src/ops/math.ops"
      {{@1}} = VTABLE_pow_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pow',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 658,
                  'ARGS' => [
                              'n',
                              'n',
                              'i'
                            ],
                  'BODY' => '#line 829 "src/ops/math.ops"
    FLOATVAL n2 = {{@2}};
    FLOATVAL res = 1.0;
    INTVAL   e  = {{@3}};
    int s = 1;
    if (e != 0) {
        if (e < 0) {
            s = -1;
            e = -e;
        }
    }
    while (e) {
        if (e & 1) {
            res *= n2;
        }
        n2 *= n2;
        e >>= 1;
    }
    if (s < 0) {
        res = 1.0/res;
    }
    {{@1}} = res;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pow',
                  'FLAGS' => $ops->[658]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 659,
                  'ARGS' => [
                              'n',
                              'nc',
                              'i'
                            ],
                  'BODY' => '#line 829 "src/ops/math.ops"
    FLOATVAL n2 = {{@2}};
    FLOATVAL res = 1.0;
    INTVAL   e  = {{@3}};
    int s = 1;
    if (e != 0) {
        if (e < 0) {
            s = -1;
            e = -e;
        }
    }
    while (e) {
        if (e & 1) {
            res *= n2;
        }
        n2 *= n2;
        e >>= 1;
    }
    if (s < 0) {
        res = 1.0/res;
    }
    {{@1}} = res;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pow',
                  'FLAGS' => $ops->[658]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 660,
                  'ARGS' => [
                              'n',
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 829 "src/ops/math.ops"
    FLOATVAL n2 = {{@2}};
    FLOATVAL res = 1.0;
    INTVAL   e  = {{@3}};
    int s = 1;
    if (e != 0) {
        if (e < 0) {
            s = -1;
            e = -e;
        }
    }
    while (e) {
        if (e & 1) {
            res *= n2;
        }
        n2 *= n2;
        e >>= 1;
    }
    if (s < 0) {
        res = 1.0/res;
    }
    {{@1}} = res;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pow',
                  'FLAGS' => $ops->[658]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 661,
                  'ARGS' => [
                              'n',
                              'nc',
                              'ic'
                            ],
                  'BODY' => '#line 829 "src/ops/math.ops"
    FLOATVAL n2 = {{@2}};
    FLOATVAL res = 1.0;
    INTVAL   e  = {{@3}};
    int s = 1;
    if (e != 0) {
        if (e < 0) {
            s = -1;
            e = -e;
        }
    }
    while (e) {
        if (e & 1) {
            res *= n2;
        }
        n2 *= n2;
        e >>= 1;
    }
    if (s < 0) {
        res = 1.0/res;
    }
    {{@1}} = res;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 662,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 881 "src/ops/math.ops"
  {{@1}} -= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => $ops->[662]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 663,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 881 "src/ops/math.ops"
  {{@1}} -= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 664,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 885 "src/ops/math.ops"
  {{@1}} -= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => $ops->[664]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 665,
                  'ARGS' => [
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 885 "src/ops/math.ops"
  {{@1}} -= {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 666,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 889 "src/ops/math.ops"
      VTABLE_i_subtract(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 667,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 893 "src/ops/math.ops"
      VTABLE_i_subtract_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => $ops->[667]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 668,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 893 "src/ops/math.ops"
      VTABLE_i_subtract_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 669,
                  'ARGS' => [
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 897 "src/ops/math.ops"
      VTABLE_i_subtract_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => $ops->[669]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 670,
                  'ARGS' => [
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 897 "src/ops/math.ops"
      VTABLE_i_subtract_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 671,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 901 "src/ops/math.ops"
  {{@1}} = {{@2}} - {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => $ops->[671]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 672,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 901 "src/ops/math.ops"
  {{@1}} = {{@2}} - {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => $ops->[671]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 673,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 901 "src/ops/math.ops"
  {{@1}} = {{@2}} - {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 674,
                  'ARGS' => [
                              'n',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 905 "src/ops/math.ops"
  {{@1}} = {{@2}} - {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => $ops->[674]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 675,
                  'ARGS' => [
                              'n',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 905 "src/ops/math.ops"
  {{@1}} = {{@2}} - {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => $ops->[674]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 676,
                  'ARGS' => [
                              'n',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 905 "src/ops/math.ops"
  {{@1}} = {{@2}} - {{@3}};

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 677,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 909 "src/ops/math.ops"
      {{@1}} = VTABLE_subtract(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 678,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 913 "src/ops/math.ops"
      {{@1}} = VTABLE_subtract_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => $ops->[678]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 679,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 913 "src/ops/math.ops"
      {{@1}} = VTABLE_subtract_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 680,
                  'ARGS' => [
                              'p',
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 917 "src/ops/math.ops"
      {{@1}} = VTABLE_subtract_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sub',
                  'FLAGS' => $ops->[680]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 681,
                  'ARGS' => [
                              'p',
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 917 "src/ops/math.ops"
      {{@1}} = VTABLE_subtract_float(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sqrt',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 682,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 929 "src/ops/math.ops"
  {{@1}} = sqrt((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'acos',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 683,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 958 "src/ops/math.ops"
  {{@1}} = acos((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'asec',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 684,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 970 "src/ops/math.ops"
  {{@1}} = acos(((FLOATVAL)1) / ((FLOATVAL){{@2}}));

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'asin',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 685,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 983 "src/ops/math.ops"
  {{@1}} = asin((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'atan',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 686,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1001 "src/ops/math.ops"
  {{@1}} = atan((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'atan',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 687,
                  'ARGS' => [
                              'n',
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1005 "src/ops/math.ops"
  {{@1}} = atan2((FLOATVAL){{@2}}, (FLOATVAL){{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'atan',
                  'FLAGS' => $ops->[687]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 688,
                  'ARGS' => [
                              'n',
                              'nc',
                              'n'
                            ],
                  'BODY' => '#line 1005 "src/ops/math.ops"
  {{@1}} = atan2((FLOATVAL){{@2}}, (FLOATVAL){{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'atan',
                  'FLAGS' => $ops->[687]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 689,
                  'ARGS' => [
                              'n',
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 1005 "src/ops/math.ops"
  {{@1}} = atan2((FLOATVAL){{@2}}, (FLOATVAL){{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cos',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 690,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1017 "src/ops/math.ops"
  {{@1}} = cos((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cosh',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 691,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1029 "src/ops/math.ops"
  {{@1}} = cosh((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'exp',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 692,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1042 "src/ops/math.ops"
  {{@1}} = exp((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'ln',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 693,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1054 "src/ops/math.ops"
  {{@1}} = log((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'log10',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 694,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1066 "src/ops/math.ops"
  {{@1}} = log10((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'log2',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 695,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1078 "src/ops/math.ops"
   FLOATVAL temp = log((FLOATVAL)2.0);
  {{@1}} = log((FLOATVAL){{@2}}) / temp;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sec',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 696,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1091 "src/ops/math.ops"
  {{@1}} = ((FLOATVAL)1) / cos((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sech',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 697,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1103 "src/ops/math.ops"
  {{@1}} = ((FLOATVAL)1) / cosh((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sin',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 698,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1115 "src/ops/math.ops"
  {{@1}} = sin((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sinh',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 699,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1127 "src/ops/math.ops"
  {{@1}} = sinh((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'tan',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 700,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1139 "src/ops/math.ops"
  {{@1}} = tan((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'tanh',
                  'FLAGS' => {
                               '' => undef,
                               'base_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 701,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 1151 "src/ops/math.ops"
  {{@1}} = tanh((FLOATVAL){{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'gcd',
                  'FLAGS' => {
                               '' => undef,
                               'advanced_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 702,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 1177 "src/ops/math.ops"
 INTVAL p = 0;
 INTVAL a = {{@2}} < 0 ? -{{@2}} : {{@2}};
 INTVAL b = {{@3}} < 0 ? -{{@3}} : {{@3}};

 if (a==0) { {{@1}}=b; {{+=4}}; }
 if (b==0) { {{@1}}=a; {{+=4}}; }

 while (!((a | b) & 1)) {
   a>>=1;
   b>>=1;
   p++;
 }

 while (a>0) {
   if (!(a & 1)) a>>=1;
   else if (!(b & 1)) b>>=1;
   else if (a<b)      b = (b-a)>>1;
   else               a = (a-b)>>1;
 }

 {{@1}} = b<<p;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'gcd',
                  'FLAGS' => $ops->[702]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 703,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 1177 "src/ops/math.ops"
 INTVAL p = 0;
 INTVAL a = {{@2}} < 0 ? -{{@2}} : {{@2}};
 INTVAL b = {{@3}} < 0 ? -{{@3}} : {{@3}};

 if (a==0) { {{@1}}=b; {{+=4}}; }
 if (b==0) { {{@1}}=a; {{+=4}}; }

 while (!((a | b) & 1)) {
   a>>=1;
   b>>=1;
   p++;
 }

 while (a>0) {
   if (!(a & 1)) a>>=1;
   else if (!(b & 1)) b>>=1;
   else if (a<b)      b = (b-a)>>1;
   else               a = (a-b)>>1;
 }

 {{@1}} = b<<p;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'gcd',
                  'FLAGS' => $ops->[702]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 704,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 1177 "src/ops/math.ops"
 INTVAL p = 0;
 INTVAL a = {{@2}} < 0 ? -{{@2}} : {{@2}};
 INTVAL b = {{@3}} < 0 ? -{{@3}} : {{@3}};

 if (a==0) { {{@1}}=b; {{+=4}}; }
 if (b==0) { {{@1}}=a; {{+=4}}; }

 while (!((a | b) & 1)) {
   a>>=1;
   b>>=1;
   p++;
 }

 while (a>0) {
   if (!(a & 1)) a>>=1;
   else if (!(b & 1)) b>>=1;
   else if (a<b)      b = (b-a)>>1;
   else               a = (a-b)>>1;
 }

 {{@1}} = b<<p;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lcm',
                  'FLAGS' => {
                               '' => undef,
                               'advanced_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 705,
                  'ARGS' => [
                              'i',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 1210 "src/ops/math.ops"
 INTVAL gcd = 0;
 INTVAL p = 0;
 INTVAL a = {{@2}} < 0 ? -{{@2}} : {{@2}};
 INTVAL b = {{@3}} < 0 ? -{{@3}} : {{@3}};
 INTVAL saved_var1 = a, saved_var2 = b;

 if (a==0 || b==0) { {{@1}}=0; {{+=4}}; }

 while (!((a | b) & 1)) {
   a>>=1;
   b>>=1;
   p++;
 }

 while (a>0) {
   if (!(a & 1)) a>>=1;
   else if (!(b & 1)) b>>=1;
   else if (a<b)      b = (b-a)>>1;
   else               a = (a-b)>>1;
 }

 gcd = b<<p;
 saved_var1 /= gcd;
 {{@1}} = saved_var1*saved_var2;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lcm',
                  'FLAGS' => $ops->[705]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 706,
                  'ARGS' => [
                              'i',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 1210 "src/ops/math.ops"
 INTVAL gcd = 0;
 INTVAL p = 0;
 INTVAL a = {{@2}} < 0 ? -{{@2}} : {{@2}};
 INTVAL b = {{@3}} < 0 ? -{{@3}} : {{@3}};
 INTVAL saved_var1 = a, saved_var2 = b;

 if (a==0 || b==0) { {{@1}}=0; {{+=4}}; }

 while (!((a | b) & 1)) {
   a>>=1;
   b>>=1;
   p++;
 }

 while (a>0) {
   if (!(a & 1)) a>>=1;
   else if (!(b & 1)) b>>=1;
   else if (a<b)      b = (b-a)>>1;
   else               a = (a-b)>>1;
 }

 gcd = b<<p;
 saved_var1 /= gcd;
 {{@1}} = saved_var1*saved_var2;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'lcm',
                  'FLAGS' => $ops->[705]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 707,
                  'ARGS' => [
                              'i',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 1210 "src/ops/math.ops"
 INTVAL gcd = 0;
 INTVAL p = 0;
 INTVAL a = {{@2}} < 0 ? -{{@2}} : {{@2}};
 INTVAL b = {{@3}} < 0 ? -{{@3}} : {{@3}};
 INTVAL saved_var1 = a, saved_var2 = b;

 if (a==0 || b==0) { {{@1}}=0; {{+=4}}; }

 while (!((a | b) & 1)) {
   a>>=1;
   b>>=1;
   p++;
 }

 while (a>0) {
   if (!(a & 1)) a>>=1;
   else if (!(b & 1)) b>>=1;
   else if (a<b)      b = (b-a)>>1;
   else               a = (a-b)>>1;
 }

 gcd = b<<p;
 saved_var1 /= gcd;
 {{@1}} = saved_var1*saved_var2;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fact',
                  'FLAGS' => {
                               '' => undef,
                               'advanced_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 708,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 1247 "src/ops/math.ops"
  /* Coercing a negative to a UINT can get pretty ugly
   * in this situation. */
  INTVAL i = {{@2}};
  UINTVAL q = 1;
  while (i>0) {
    q = q*i;
    i--;
  }
  {{@1}} = q;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'fact',
                  'FLAGS' => {
                               '' => undef,
                               'advanced_math' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 709,
                  'ARGS' => [
                              'n',
                              'i'
                            ],
                  'BODY' => '#line 1259 "src/ops/math.ops"
  /* Coercing a negative to a UINT can get pretty ugly
   * in this situation. */
  INTVAL i = {{@2}};
  FLOATVAL q = 1;
  while (i>0) {
    q = q*i;
    i--;
  }
  {{@1}} = q;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'callmethodcc',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'object_base' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 710,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 53 "src/ops/object.ops"
  PMC      * const object     = {{@1}};
  STRING   * const meth       = {{@2}};
  opcode_t * const next       = {{^+3}};

  /* a class-specific find_method can overwrite interp->current_args()! */
  opcode_t *current_args      = interp->current_args;
  PMC      * const method_pmc = VTABLE_find_method(interp, object, meth);
  opcode_t *dest              = NULL;
  interp->current_args        = current_args;

  if (PMC_IS_NULL(method_pmc)) {
    PMC * const _class = VTABLE_get_class(interp, object);
    if (PMC_IS_NULL(_class)) {
      dest = Parrot_ex_throw_from_op_args(interp, next,
          EXCEPTION_METHOD_NOT_FOUND,
          "Method \'%Ss\' not found for non-object", meth);
    }
    else {
      dest = Parrot_ex_throw_from_op_args(interp, next,
          EXCEPTION_METHOD_NOT_FOUND,
          "Method \'%Ss\' not found for invocant of class \'%Ss\'", meth,
          VTABLE_get_string(interp, _class));
    }
  }
  else {
    interp->current_object = object;
    interp->current_cont   = NEED_CONTINUATION;
    dest                   = VTABLE_invoke(interp, method_pmc, next);
  }
  {{=dest}};
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'callmethodcc',
                  'FLAGS' => $ops->[710]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 711,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 53 "src/ops/object.ops"
  PMC      * const object     = {{@1}};
  STRING   * const meth       = {{@2}};
  opcode_t * const next       = {{^+3}};

  /* a class-specific find_method can overwrite interp->current_args()! */
  opcode_t *current_args      = interp->current_args;
  PMC      * const method_pmc = VTABLE_find_method(interp, object, meth);
  opcode_t *dest              = NULL;
  interp->current_args        = current_args;

  if (PMC_IS_NULL(method_pmc)) {
    PMC * const _class = VTABLE_get_class(interp, object);
    if (PMC_IS_NULL(_class)) {
      dest = Parrot_ex_throw_from_op_args(interp, next,
          EXCEPTION_METHOD_NOT_FOUND,
          "Method \'%Ss\' not found for non-object", meth);
    }
    else {
      dest = Parrot_ex_throw_from_op_args(interp, next,
          EXCEPTION_METHOD_NOT_FOUND,
          "Method \'%Ss\' not found for invocant of class \'%Ss\'", meth,
          VTABLE_get_string(interp, _class));
    }
  }
  else {
    interp->current_object = object;
    interp->current_cont   = NEED_CONTINUATION;
    dest                   = VTABLE_invoke(interp, method_pmc, next);
  }
  {{=dest}};
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'callmethodcc',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'object_base' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 712,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 86 "src/ops/object.ops"
  opcode_t        *dest;
  opcode_t * const next  = {{^+3}};

  interp->current_object = {{@1}};
  interp->current_cont   = NEED_CONTINUATION;
  dest                   = VTABLE_invoke(interp, {{@2}}, next);

  {{=dest}};
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'callmethod',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'object_base' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 713,
                  'ARGS' => [
                              'p',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 97 "src/ops/object.ops"
  PMC      * const object     = {{@1}};
  STRING   * const meth       = {{@2}};
  opcode_t * const next       = {{^+4}};

  /* a class-specific find_method can overwrite interp->current_args()! */
  opcode_t *current_args      = interp->current_args;
  PMC      * const method_pmc = VTABLE_find_method(interp, object, meth);
  opcode_t *dest              = NULL;
  interp->current_args        = current_args;


  if (PMC_IS_NULL(method_pmc)) {
    dest = Parrot_ex_throw_from_op_args(interp, next, EXCEPTION_METHOD_NOT_FOUND,
        "Method \'%Ss\' not found for invocant of class \'%Ss\'", meth,
        VTABLE_get_string(interp, VTABLE_get_class(interp, object)));
  }
  else {
    interp->current_object = object;
    interp->current_cont = {{@3}};
    dest = (opcode_t *)VTABLE_invoke(interp, method_pmc, next);
  }
  {{=dest}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'callmethod',
                  'FLAGS' => $ops->[713]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 714,
                  'ARGS' => [
                              'p',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 97 "src/ops/object.ops"
  PMC      * const object     = {{@1}};
  STRING   * const meth       = {{@2}};
  opcode_t * const next       = {{^+4}};

  /* a class-specific find_method can overwrite interp->current_args()! */
  opcode_t *current_args      = interp->current_args;
  PMC      * const method_pmc = VTABLE_find_method(interp, object, meth);
  opcode_t *dest              = NULL;
  interp->current_args        = current_args;


  if (PMC_IS_NULL(method_pmc)) {
    dest = Parrot_ex_throw_from_op_args(interp, next, EXCEPTION_METHOD_NOT_FOUND,
        "Method \'%Ss\' not found for invocant of class \'%Ss\'", meth,
        VTABLE_get_string(interp, VTABLE_get_class(interp, object)));
  }
  else {
    interp->current_object = object;
    interp->current_cont = {{@3}};
    dest = (opcode_t *)VTABLE_invoke(interp, method_pmc, next);
  }
  {{=dest}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'callmethod',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'object_base' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 715,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 122 "src/ops/object.ops"
  PMC      * const object     = {{@1}};
  PMC      * const method_pmc = {{@2}};
  opcode_t * const next       = {{^+4}};

  opcode_t *dest;

  interp->current_object = object;
  interp->current_cont = {{@3}};
  dest = (opcode_t *)VTABLE_invoke(interp, method_pmc, next);
  {{=dest}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'tailcallmethod',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'object_base' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 716,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 135 "src/ops/object.ops"
  opcode_t * const next       = {{^+3}};
  PMC      * const object     = {{@1}};
  STRING   * const meth       = {{@2}};
  PMC      * const method_pmc = VTABLE_find_method(interp, object, meth);

  opcode_t *dest;

  if (PMC_IS_NULL(method_pmc)) {
    dest = Parrot_ex_throw_from_op_args(interp, next, EXCEPTION_METHOD_NOT_FOUND,
        "Method \'%Ss\' not found for invocant of class \'%Ss\'", meth,
        VTABLE_get_string(interp, VTABLE_get_class(interp, object)));
  }
  else {
    interp->current_cont = CONTEXT(interp)->current_cont;
    PObj_get_FLAGS(interp->current_cont) |= SUB_FLAG_TAILCALL;
    interp->current_object = object;
    dest = (opcode_t *)VTABLE_invoke(interp, method_pmc, next);
  }
  {{=dest}};
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'tailcallmethod',
                  'FLAGS' => $ops->[716]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 717,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 135 "src/ops/object.ops"
  opcode_t * const next       = {{^+3}};
  PMC      * const object     = {{@1}};
  STRING   * const meth       = {{@2}};
  PMC      * const method_pmc = VTABLE_find_method(interp, object, meth);

  opcode_t *dest;

  if (PMC_IS_NULL(method_pmc)) {
    dest = Parrot_ex_throw_from_op_args(interp, next, EXCEPTION_METHOD_NOT_FOUND,
        "Method \'%Ss\' not found for invocant of class \'%Ss\'", meth,
        VTABLE_get_string(interp, VTABLE_get_class(interp, object)));
  }
  else {
    interp->current_cont = CONTEXT(interp)->current_cont;
    PObj_get_FLAGS(interp->current_cont) |= SUB_FLAG_TAILCALL;
    interp->current_object = object;
    dest = (opcode_t *)VTABLE_invoke(interp, method_pmc, next);
  }
  {{=dest}};
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'tailcallmethod',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'object_base' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 718,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 157 "src/ops/object.ops"
  opcode_t * const next       = {{^+3}};
  PMC      * const object     = {{@1}};
  PMC      * const method_pmc = {{@2}};

  opcode_t *dest;

  interp->current_cont = CONTEXT(interp)->current_cont;
  PObj_get_FLAGS(interp->current_cont) |= SUB_FLAG_TAILCALL;
  interp->current_object = object;
  dest = (opcode_t *)VTABLE_invoke(interp, method_pmc, next);
  {{=dest}};
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'addmethod',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 719,
                  'ARGS' => [
                              'p',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 177 "src/ops/object.ops"
  VTABLE_add_method(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'addmethod',
                  'FLAGS' => $ops->[719]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 720,
                  'ARGS' => [
                              'p',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 177 "src/ops/object.ops"
  VTABLE_add_method(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'can',
                  'FLAGS' => {
                               '' => undef,
                               'object_base' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 721,
                  'ARGS' => [
                              'i',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 189 "src/ops/object.ops"
  {{@1}} = VTABLE_can(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'can',
                  'FLAGS' => $ops->[721]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 722,
                  'ARGS' => [
                              'i',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 189 "src/ops/object.ops"
  {{@1}} = VTABLE_can(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'does',
                  'FLAGS' => {
                               '' => undef,
                               'object_base' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 723,
                  'ARGS' => [
                              'i',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 201 "src/ops/object.ops"
  {{@1}} = {{@3}} ? VTABLE_does(interp, {{@2}}, {{@3}}) : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'does',
                  'FLAGS' => $ops->[723]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 724,
                  'ARGS' => [
                              'i',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 201 "src/ops/object.ops"
  {{@1}} = {{@3}} ? VTABLE_does(interp, {{@2}}, {{@3}}) : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'does',
                  'FLAGS' => {
                               '' => undef,
                               'object_base' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 725,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 212 "src/ops/object.ops"
  {{@1}} = {{@3}} ? VTABLE_does_pmc(interp, {{@2}}, {{@3}}) : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'does',
                  'FLAGS' => $ops->[725]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 726,
                  'ARGS' => [
                              'i',
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 212 "src/ops/object.ops"
  {{@1}} = {{@3}} ? VTABLE_does_pmc(interp, {{@2}}, {{@3}}) : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isa',
                  'FLAGS' => {
                               '' => undef,
                               'object_base' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 727,
                  'ARGS' => [
                              'i',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 225 "src/ops/object.ops"
  {{@1}} = {{@3}} ? VTABLE_isa(interp, {{@2}}, {{@3}}) : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isa',
                  'FLAGS' => $ops->[727]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 728,
                  'ARGS' => [
                              'i',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 225 "src/ops/object.ops"
  {{@1}} = {{@3}} ? VTABLE_isa(interp, {{@2}}, {{@3}}) : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isa',
                  'FLAGS' => {
                               '' => undef,
                               'object_base' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 729,
                  'ARGS' => [
                              'i',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 229 "src/ops/object.ops"
    {{@1}} = {{@3}} ? VTABLE_isa_pmc(interp, {{@2}}, {{@3}}) : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isa',
                  'FLAGS' => $ops->[729]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 730,
                  'ARGS' => [
                              'i',
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 229 "src/ops/object.ops"
    {{@1}} = {{@3}} ? VTABLE_isa_pmc(interp, {{@2}}, {{@3}}) : 0;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'newclass',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 731,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 247 "src/ops/object.ops"
  PMC * const name = pmc_new(interp, enum_class_String);
  VTABLE_set_string_native(interp, name, {{@2}});
  {{@1}} = pmc_new_init(interp, enum_class_Class, name);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'newclass',
                  'FLAGS' => $ops->[731]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 732,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 247 "src/ops/object.ops"
  PMC * const name = pmc_new(interp, enum_class_String);
  VTABLE_set_string_native(interp, name, {{@2}});
  {{@1}} = pmc_new_init(interp, enum_class_Class, name);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'newclass',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 733,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 253 "src/ops/object.ops"
    {{@1}} = pmc_new_init(interp, enum_class_Class, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'newclass',
                  'FLAGS' => $ops->[733]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 734,
                  'ARGS' => [
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 253 "src/ops/object.ops"
    {{@1}} = pmc_new_init(interp, enum_class_Class, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 735,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 269 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class(interp, {{@2}});
    opcode_t * const next         = {{^+3}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", VTABLE_get_string(interp, {{@2}}));
        {{=handler}};
    }
    {{@1}} = pmc_new(interp, enum_class_Class);
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[735]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 736,
                  'ARGS' => [
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 269 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class(interp, {{@2}});
    opcode_t * const next         = {{^+3}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", VTABLE_get_string(interp, {{@2}}));
        {{=handler}};
    }
    {{@1}} = pmc_new(interp, enum_class_Class);
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 737,
                  'ARGS' => [
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 284 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t * handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", VTABLE_get_string(interp, {{@2}}));
        {{=handler}};
    }
    {{@1}} = Parrot_oo_newclass_from_str(interp, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[737]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 738,
                  'ARGS' => [
                              'p',
                              'pc',
                              's'
                            ],
                  'BODY' => '#line 284 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t * handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", VTABLE_get_string(interp, {{@2}}));
        {{=handler}};
    }
    {{@1}} = Parrot_oo_newclass_from_str(interp, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[737]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 739,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 284 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t * handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", VTABLE_get_string(interp, {{@2}}));
        {{=handler}};
    }
    {{@1}} = Parrot_oo_newclass_from_str(interp, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[737]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 740,
                  'ARGS' => [
                              'p',
                              'pc',
                              'sc'
                            ],
                  'BODY' => '#line 284 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t * handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", VTABLE_get_string(interp, {{@2}}));
        {{=handler}};
    }
    {{@1}} = Parrot_oo_newclass_from_str(interp, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 741,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 299 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", VTABLE_get_string(interp, {{@2}}));
        {{=handler}};
    }
    {{@1}} = pmc_new_init(interp, enum_class_Class, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[741]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 742,
                  'ARGS' => [
                              'p',
                              'pc',
                              'p'
                            ],
                  'BODY' => '#line 299 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", VTABLE_get_string(interp, {{@2}}));
        {{=handler}};
    }
    {{@1}} = pmc_new_init(interp, enum_class_Class, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[741]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 743,
                  'ARGS' => [
                              'p',
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 299 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", VTABLE_get_string(interp, {{@2}}));
        {{=handler}};
    }
    {{@1}} = pmc_new_init(interp, enum_class_Class, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[741]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 744,
                  'ARGS' => [
                              'p',
                              'pc',
                              'pc'
                            ],
                  'BODY' => '#line 299 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", VTABLE_get_string(interp, {{@2}}));
        {{=handler}};
    }
    {{@1}} = pmc_new_init(interp, enum_class_Class, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 745,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 327 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class_str(interp, {{@2}});
    opcode_t * const next         = {{^+3}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", {{@2}});
        {{=handler}};
    }

    {{@1}} = pmc_new(interp, enum_class_Class);
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[745]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 746,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 327 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class_str(interp, {{@2}});
    opcode_t * const next         = {{^+3}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", {{@2}});
        {{=handler}};
    }

    {{@1}} = pmc_new(interp, enum_class_Class);
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 747,
                  'ARGS' => [
                              'p',
                              's',
                              's'
                            ],
                  'BODY' => '#line 343 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class_str(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", {{@2}});
        {{=handler}};
    }

    {{@1}}  = Parrot_oo_newclass_from_str(interp, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[747]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 748,
                  'ARGS' => [
                              'p',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 343 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class_str(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", {{@2}});
        {{=handler}};
    }

    {{@1}}  = Parrot_oo_newclass_from_str(interp, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[747]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 749,
                  'ARGS' => [
                              'p',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 343 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class_str(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", {{@2}});
        {{=handler}};
    }

    {{@1}}  = Parrot_oo_newclass_from_str(interp, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[747]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 750,
                  'ARGS' => [
                              'p',
                              'sc',
                              'sc'
                            ],
                  'BODY' => '#line 343 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class_str(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", {{@2}});
        {{=handler}};
    }

    {{@1}}  = Parrot_oo_newclass_from_str(interp, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 751,
                  'ARGS' => [
                              'p',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 359 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class_str(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", {{@2}});
        {{=handler}};
    }

    {{@1}} = pmc_new_init(interp, enum_class_Class, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[751]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 752,
                  'ARGS' => [
                              'p',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 359 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class_str(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", {{@2}});
        {{=handler}};
    }

    {{@1}} = pmc_new_init(interp, enum_class_Class, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[751]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 753,
                  'ARGS' => [
                              'p',
                              's',
                              'pc'
                            ],
                  'BODY' => '#line 359 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class_str(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", {{@2}});
        {{=handler}};
    }

    {{@1}} = pmc_new_init(interp, enum_class_Class, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'subclass',
                  'FLAGS' => $ops->[751]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 754,
                  'ARGS' => [
                              'p',
                              'sc',
                              'pc'
                            ],
                  'BODY' => '#line 359 "src/ops/object.ops"
    PMC      * const parent_class = Parrot_oo_get_class_str(interp, {{@2}});
    opcode_t * const next         = {{^+4}};

    if (PMC_IS_NULL(parent_class)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, next,
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' doesn\'t exist", {{@2}});
        {{=handler}};
    }

    {{@1}} = pmc_new_init(interp, enum_class_Class, {{@3}});
    VTABLE_add_parent(interp, {{@1}}, parent_class);
    {{=next}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_class',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 755,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 385 "src/ops/object.ops"
  {{@1}} = Parrot_oo_get_class_str(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_class',
                  'FLAGS' => $ops->[755]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 756,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 385 "src/ops/object.ops"
  {{@1}} = Parrot_oo_get_class_str(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_class',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 757,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 389 "src/ops/object.ops"
  {{@1}} = Parrot_oo_get_class(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_class',
                  'FLAGS' => $ops->[757]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 758,
                  'ARGS' => [
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 389 "src/ops/object.ops"
  {{@1}} = Parrot_oo_get_class(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'class',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 759,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 401 "src/ops/object.ops"
    {{@1}} = VTABLE_get_class(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'addparent',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 760,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 414 "src/ops/object.ops"
    VTABLE_add_parent(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'removeparent',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 761,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 424 "src/ops/object.ops"
    VTABLE_remove_parent(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'addrole',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 762,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 434 "src/ops/object.ops"
    VTABLE_add_role(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'addattribute',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 763,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 444 "src/ops/object.ops"
    STRING * const class_name  = string_from_literal(interp, "Class");
    STRING * const role_name   = string_from_literal(interp, "Role");

    if (VTABLE_isa(interp, {{@1}}, class_name) || VTABLE_isa(interp, {{@1}}, role_name))
        VTABLE_add_attribute(interp, {{@1}}, {{@2}}, PMCNULL);
    else {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
            EXCEPTION_INVALID_OPERATION,
            "Cannot add attribute to non-class");
        {{=handler}};
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'addattribute',
                  'FLAGS' => $ops->[763]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 764,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 444 "src/ops/object.ops"
    STRING * const class_name  = string_from_literal(interp, "Class");
    STRING * const role_name   = string_from_literal(interp, "Role");

    if (VTABLE_isa(interp, {{@1}}, class_name) || VTABLE_isa(interp, {{@1}}, role_name))
        VTABLE_add_attribute(interp, {{@1}}, {{@2}}, PMCNULL);
    else {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
            EXCEPTION_INVALID_OPERATION,
            "Cannot add attribute to non-class");
        {{=handler}};
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'removeattribute',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 765,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 464 "src/ops/object.ops"
    VTABLE_remove_attribute(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'removeattribute',
                  'FLAGS' => $ops->[765]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 766,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 464 "src/ops/object.ops"
    VTABLE_remove_attribute(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getattribute',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 767,
                  'ARGS' => [
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 481 "src/ops/object.ops"
    {{@1}} = VTABLE_get_attr_str(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getattribute',
                  'FLAGS' => $ops->[767]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 768,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 481 "src/ops/object.ops"
    {{@1}} = VTABLE_get_attr_str(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getattribute',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 769,
                  'ARGS' => [
                              'p',
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 485 "src/ops/object.ops"
    {{@1}} = VTABLE_get_attr_keyed(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getattribute',
                  'FLAGS' => $ops->[769]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 770,
                  'ARGS' => [
                              'p',
                              'p',
                              'pc',
                              's'
                            ],
                  'BODY' => '#line 485 "src/ops/object.ops"
    {{@1}} = VTABLE_get_attr_keyed(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getattribute',
                  'FLAGS' => $ops->[769]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 771,
                  'ARGS' => [
                              'p',
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 485 "src/ops/object.ops"
    {{@1}} = VTABLE_get_attr_keyed(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getattribute',
                  'FLAGS' => $ops->[769]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 772,
                  'ARGS' => [
                              'p',
                              'p',
                              'pc',
                              'sc'
                            ],
                  'BODY' => '#line 485 "src/ops/object.ops"
    {{@1}} = VTABLE_get_attr_keyed(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setattribute',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 773,
                  'ARGS' => [
                              'p',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 501 "src/ops/object.ops"
    VTABLE_set_attr_str(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setattribute',
                  'FLAGS' => $ops->[773]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 774,
                  'ARGS' => [
                              'p',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 501 "src/ops/object.ops"
    VTABLE_set_attr_str(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setattribute',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 775,
                  'ARGS' => [
                              'p',
                              'p',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 505 "src/ops/object.ops"
    VTABLE_set_attr_keyed(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setattribute',
                  'FLAGS' => $ops->[775]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 776,
                  'ARGS' => [
                              'p',
                              'pc',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 505 "src/ops/object.ops"
    VTABLE_set_attr_keyed(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setattribute',
                  'FLAGS' => $ops->[775]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 777,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 505 "src/ops/object.ops"
    VTABLE_set_attr_keyed(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setattribute',
                  'FLAGS' => $ops->[775]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 778,
                  'ARGS' => [
                              'p',
                              'pc',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 505 "src/ops/object.ops"
    VTABLE_set_attr_keyed(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'inspect',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 779,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 523 "src/ops/object.ops"
  {{@1}} = VTABLE_inspect(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'inspect',
                  'FLAGS' => $ops->[779]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 780,
                  'ARGS' => [
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 523 "src/ops/object.ops"
  {{@1}} = VTABLE_inspect(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'inspect',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 781,
                  'ARGS' => [
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 527 "src/ops/object.ops"
  {{@1}} = VTABLE_inspect_str(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'inspect',
                  'FLAGS' => $ops->[781]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 782,
                  'ARGS' => [
                              'p',
                              'pc',
                              's'
                            ],
                  'BODY' => '#line 527 "src/ops/object.ops"
  {{@1}} = VTABLE_inspect_str(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'inspect',
                  'FLAGS' => $ops->[781]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 783,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 527 "src/ops/object.ops"
  {{@1}} = VTABLE_inspect_str(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'inspect',
                  'FLAGS' => $ops->[781]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 784,
                  'ARGS' => [
                              'p',
                              'pc',
                              'sc'
                            ],
                  'BODY' => '#line 527 "src/ops/object.ops"
  {{@1}} = VTABLE_inspect_str(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'pic_infix__',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'pic' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 785,
                  'ARGS' => [
                              'ic',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 40 "src/ops/pic.ops"
    Parrot_MIC *mic;
    Parrot_PIC_lru *lru;
    PMC *left, *right;
    INTVAL lr_types;

    mic = (Parrot_MIC *) cur_opcode[1];
    left = {{@2}};
    right = {{@3}};
    lru = &mic->lru;
    lr_types = (VTABLE_type(interp, left) << 16) | VTABLE_type(interp, right);
    if (lru->u.type == lr_types) {
runit_v_pp:
        ((mmd_f_v_pp)lru->f.real_function)(interp, left, right);
        {{+=4}};
    }
    if (mic->pic) {
        lru = mic->pic->lru;
        if (lru->u.type == lr_types)
            goto runit_v_pp;
        if (++lru->u.type == lr_types)
            goto runit_v_pp;
        if (++lru->u.type == lr_types)
            goto runit_v_pp;
        mic->pic->miss_count++;
        /*
         * RT#42353 if we got too often here just do a dynamic lookup
         */
    }
    parrot_pic_find_infix_v_pp(interp, left, right, mic, cur_opcode);
    /* rerun this opcode */
    {{+=0}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_RELATIVE',
                  'NAME' => 'pic_inline_sub__',
                  'FLAGS' => {
                               '' => undef,
                               'pic' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 786,
                  'ARGS' => [
                              'ic',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 80 "src/ops/pic.ops"
    Parrot_MIC *mic;
    Parrot_PIC_lru *lru;
    PMC *left, *right;
    INTVAL lr_types, lt, rt;

    left = {{@2}};
    mic = (Parrot_MIC *) cur_opcode[1];
    lt = VTABLE_type(interp, left);
    right = {{@3}};
    lru = &mic->lru;
    rt = VTABLE_type(interp, right);
    lr_types = (lt << 16) | rt;
    if (lru->u.type == lr_types) {
        INTVAL a = VTABLE_get_integer(interp, left);
        INTVAL b = VTABLE_get_integer(interp, right);
        INTVAL c = a - b;
        if ((c^a) >= 0 || (c^~b) >= 0) {
            VTABLE_set_integer_native(interp, left, c);
        }
        else {
            if (PARROT_ERRORS_test(interp, PARROT_ERRORS_OVERFLOW_FLAG)) {
                opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                        EXCEPTION_ERR_OVERFLOW,
                        "Integer overflow");
                {{=handler}};
            }
            /* #RT42354 preserve type system */
            VTABLE_morph(interp, left, interp->vtables[enum_class_BigInt]->pmc_class);
            VTABLE_set_integer_native(interp, left, a);
            {{@2}} = VTABLE_subtract_int(interp, left, b, left);
        }
    }
    else {
        ((void**)cur_opcode)[0] =
            parrot_pic_opcode(interp, PARROT_OP_pic_infix___ic_p_p);
        {{+=0}};
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'pic_get_params__',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'pic' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 787,
                  'ARGS' => [
                              'pc'
                            ],
                  'BODY' => '#line 130 "src/ops/pic.ops"
    Parrot_MIC *mic;
    Parrot_PIC_lru *lru;
    PMC *sig, *ccont;
    opcode_t *src_pc;
    void **src_pred;
    Parrot_Context *caller_ctx, *ctx;
    int n;

    /* avoid load dependencies - intermix derefs
     * - yes, confusing but faster
     */
    ctx = CONTEXT(interp);
    src_pc = interp->current_args;
    mic = (Parrot_MIC *) cur_opcode[1];
    caller_ctx = ctx->caller_ctx;
    if (src_pc) {
        src_pred = (void**) src_pc - caller_ctx->pred_offset;
        sig = (PMC*)(src_pred[1]);
    }
    else {
        sig = NULL;
        src_pred = NULL;        /* just for gcc */
    }
    lru = &mic->lru;
    if (lru->u.signature == sig) {
        if (sig) {
            n = ((arg_pass_f)lru->f.real_function)(interp, sig,
                    (char*)caller_ctx->bp.regs_i, src_pred,
                    _reg_base, (void**)cur_opcode);
        }
        else
            n = 2;
        ccont = ctx->current_cont;
        if (PObj_get_FLAGS(ccont) & SUB_FLAG_TAILCALL) {
            PObj_get_FLAGS(ccont) &= ~SUB_FLAG_TAILCALL;
            --ctx->recursion_depth;
            ctx->caller_ctx = caller_ctx->caller_ctx;
            Parrot_free_context(interp, caller_ctx, 1);
            interp->current_args = NULL;
        }

        {{+=n}};
    }
    /* no match redo plain opcode */
    ((void**)cur_opcode)[0] =
        parrot_pic_opcode(interp, PARROT_OP_get_params_pc);
    ((void**)cur_opcode)[1] = mic->m.sig;
    {{+=0}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_RELATIVE',
                  'NAME' => 'pic_set_returns__',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'pic' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 788,
                  'ARGS' => [
                              'pc'
                            ],
                  'BODY' => '#line 181 "src/ops/pic.ops"
    Parrot_MIC *mic;
    Parrot_PIC_lru *lru;
    PMC *sig, *ccont;
    opcode_t *dest_pc;
    void **dest_pred;
    Parrot_Context *caller_ctx, *ctx;
    Parrot_cont *cc;
    int n;

    ctx = CONTEXT(interp);
    mic = (Parrot_MIC *) cur_opcode[1];
    ccont = ctx->current_cont;
    cc = PMC_cont(ccont);
    if (!cc->address) {
        interp->current_returns = CUR_OPCODE;
        n = VTABLE_get_integer(interp, mic->m.sig);
        {{+=n + 2}};
    }
    caller_ctx = cc->to_ctx;
    interp->current_args = NULL;
    dest_pc = caller_ctx->current_results;
    if (dest_pc) {
        dest_pred = (void**) dest_pc - caller_ctx->pred_offset;
        sig = (PMC*)(dest_pred[1]);
    }
    else {
        sig = NULL;
        dest_pred = NULL;
    }
    lru = &mic->lru;
    if (lru->u.signature == sig) {
        if (sig) {
            n = ((arg_pass_f)lru->f.real_function)(interp, mic->m.sig,
                    _reg_base, (void**)cur_opcode,
                    (char*)caller_ctx->bp.regs_i, dest_pred);
        }
        else
            n = 2;
        {{+=n}};
    }
    /* no match redo plain opcode */
    ((void**)cur_opcode)[0] =
        parrot_pic_opcode(interp, PARROT_OP_set_returns_pc);
    ((void**)cur_opcode)[1] = mic->m.sig;
    {{+=0}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'pic_callr__',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef,
                               'pic' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 789,
                  'ARGS' => [
                              'pc'
                            ],
                  'BODY' => '#line 239 "src/ops/pic.ops"
    Parrot_MIC *mic;
    Parrot_PIC_lru *lru;
    void *args[6];      /* RT#42355 ARG_MAX */
    Parrot_Context *ctx;
    opcode_t *pc;
    void **pred_pc;
    INTVAL i, n_args, *sig_bits;
    PMC *sig;

    ctx = CONTEXT(interp);
    mic = (Parrot_MIC *) cur_opcode[1];
    /* get_results */
    pc = ctx->current_results;
    if (pc) {
        pred_pc = (void**) pc - ctx->pred_offset;
        sig = (PMC*)(pred_pc[1]);
        ASSERT_SIG_PMC(sig);
        PARROT_ASSERT(VTABLE_elements(interp, sig) <= 1);
        args[0] = VTABLE_elements(interp, sig) ?
            (_reg_base + ((opcode_t*)pred_pc)[2]) : NULL;
    }
    else
        args[0] = NULL;
    /* set_args */
    n_args = 0;
    sig = mic->m.sig;
    ASSERT_SIG_PMC(sig);
    n_args = VTABLE_elements(interp, sig);
    GETATTR_FixedIntegerArray_int_array(interp, sig, sig_bits);
    for (i = 0; i < n_args; ++i) {
        switch (sig_bits[i]) {
            case PARROT_ARG_INTVAL:
                args[1 + i] = (void*)*(INTVAL*)(_reg_base +
                        ((opcode_t*)cur_opcode)[2 + i]);
                break;
            case PARROT_ARG_INTVAL|PARROT_ARG_CONSTANT:
            case PARROT_ARG_FLOATVAL|PARROT_ARG_CONSTANT:
                args[1 + i] = (void**)cur_opcode[2 + i];
                break;
            case PARROT_ARG_FLOATVAL:
                args[1 + i] = (_reg_base +
                        ((opcode_t*)cur_opcode)[2 + i]);
                break;
            default:
                {
                    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                        EXCEPTION_INVALID_OPERATION,
                        "unhandled sig_bits");
                    {{=handler}};
                }
        }
    }
    /* set_args(); set_p_pc; get_results(1), x; invokecc_p */
    pc = CUR_OPCODE + 2 + n_args + 3 + 3 + 2;
    args[1 + n_args] = pc;
    lru = &mic->lru;
    /* RT#42356 verify {{@1}} didn\'t change */
    (void) ((interface_f)lru->f.real_function)(interp, sig_bits, args);
    {{=pc}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'new',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 790,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 55 "src/ops/pmc.ops"
    STRING * const classname = {{@2}};
    PMC * const classobj = Parrot_oo_get_class_str(interp, classname);

    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, PMCNULL);
    else {
        const INTVAL type = pmc_type(interp, classname);
        if (type <= 0) {
            opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+3}},
                EXCEPTION_NO_CLASS,
                "Class \'%Ss\' not found", classname);
            {{=dest}};
        }
        {{@1}} = pmc_new(interp, type);
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'new',
                  'FLAGS' => $ops->[790]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 791,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 55 "src/ops/pmc.ops"
    STRING * const classname = {{@2}};
    PMC * const classobj = Parrot_oo_get_class_str(interp, classname);

    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, PMCNULL);
    else {
        const INTVAL type = pmc_type(interp, classname);
        if (type <= 0) {
            opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+3}},
                EXCEPTION_NO_CLASS,
                "Class \'%Ss\' not found", classname);
            {{=dest}};
        }
        {{@1}} = pmc_new(interp, type);
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'new',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 792,
                  'ARGS' => [
                              'p',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 73 "src/ops/pmc.ops"
    STRING * const classname = {{@2}};
    PMC * const classobj = Parrot_oo_get_class_str(interp, classname);

    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, {{@3}});
    else {
        const INTVAL type = pmc_type(interp, classname);
        if (type <= 0) {
            opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+4}},
                EXCEPTION_NO_CLASS,
                "Class \'%Ss\' not found", classname);
            {{=dest}};
        }
        {{@1}} = pmc_new_init(interp, type, {{@3}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'new',
                  'FLAGS' => $ops->[792]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 793,
                  'ARGS' => [
                              'p',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 73 "src/ops/pmc.ops"
    STRING * const classname = {{@2}};
    PMC * const classobj = Parrot_oo_get_class_str(interp, classname);

    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, {{@3}});
    else {
        const INTVAL type = pmc_type(interp, classname);
        if (type <= 0) {
            opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+4}},
                EXCEPTION_NO_CLASS,
                "Class \'%Ss\' not found", classname);
            {{=dest}};
        }
        {{@1}} = pmc_new_init(interp, type, {{@3}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'new',
                  'FLAGS' => $ops->[792]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 794,
                  'ARGS' => [
                              'p',
                              's',
                              'pc'
                            ],
                  'BODY' => '#line 73 "src/ops/pmc.ops"
    STRING * const classname = {{@2}};
    PMC * const classobj = Parrot_oo_get_class_str(interp, classname);

    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, {{@3}});
    else {
        const INTVAL type = pmc_type(interp, classname);
        if (type <= 0) {
            opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+4}},
                EXCEPTION_NO_CLASS,
                "Class \'%Ss\' not found", classname);
            {{=dest}};
        }
        {{@1}} = pmc_new_init(interp, type, {{@3}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'new',
                  'FLAGS' => $ops->[792]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 795,
                  'ARGS' => [
                              'p',
                              'sc',
                              'pc'
                            ],
                  'BODY' => '#line 73 "src/ops/pmc.ops"
    STRING * const classname = {{@2}};
    PMC * const classobj = Parrot_oo_get_class_str(interp, classname);

    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, {{@3}});
    else {
        const INTVAL type = pmc_type(interp, classname);
        if (type <= 0) {
            opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+4}},
                EXCEPTION_NO_CLASS,
                "Class \'%Ss\' not found", classname);
            {{=dest}};
        }
        {{@1}} = pmc_new_init(interp, type, {{@3}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'new',
                  'FLAGS' => {
                               '' => undef,
                               'object_classes' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 796,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 91 "src/ops/pmc.ops"
    PMC * const classname_key = {{@2}};
    PMC * const classobj = Parrot_oo_get_class(interp, classname_key);

    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, PMCNULL);
    else {
        const INTVAL type = pmc_type_p(interp, classname_key);
        if (type <= 0) {
            opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+3}},
                EXCEPTION_NO_CLASS,
                "Class \'%Ss\' not found", VTABLE_get_repr(interp, classname_key));
            {{=dest}};
        }
        {{@1}} = pmc_new(interp, type);
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'new',
                  'FLAGS' => $ops->[796]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 797,
                  'ARGS' => [
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 91 "src/ops/pmc.ops"
    PMC * const classname_key = {{@2}};
    PMC * const classobj = Parrot_oo_get_class(interp, classname_key);

    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, PMCNULL);
    else {
        const INTVAL type = pmc_type_p(interp, classname_key);
        if (type <= 0) {
            opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+3}},
                EXCEPTION_NO_CLASS,
                "Class \'%Ss\' not found", VTABLE_get_repr(interp, classname_key));
            {{=dest}};
        }
        {{@1}} = pmc_new(interp, type);
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'new',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 798,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 109 "src/ops/pmc.ops"
    PMC * const classname_key = {{@2}};
    PMC * const classobj = Parrot_oo_get_class(interp, classname_key);

    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, {{@3}});
    else {
        const INTVAL type = pmc_type_p(interp, classname_key);
        if (type <= 0) {
            opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+4}},
                EXCEPTION_NO_CLASS,
                "Class \'%Ss\' not found", VTABLE_get_repr(interp, classname_key));
            {{=dest}};
        }
        {{@1}} = pmc_new_init(interp, type, {{@3}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'new',
                  'FLAGS' => $ops->[798]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 799,
                  'ARGS' => [
                              'p',
                              'pc',
                              'p'
                            ],
                  'BODY' => '#line 109 "src/ops/pmc.ops"
    PMC * const classname_key = {{@2}};
    PMC * const classobj = Parrot_oo_get_class(interp, classname_key);

    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, {{@3}});
    else {
        const INTVAL type = pmc_type_p(interp, classname_key);
        if (type <= 0) {
            opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+4}},
                EXCEPTION_NO_CLASS,
                "Class \'%Ss\' not found", VTABLE_get_repr(interp, classname_key));
            {{=dest}};
        }
        {{@1}} = pmc_new_init(interp, type, {{@3}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'new',
                  'FLAGS' => $ops->[798]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 800,
                  'ARGS' => [
                              'p',
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 109 "src/ops/pmc.ops"
    PMC * const classname_key = {{@2}};
    PMC * const classobj = Parrot_oo_get_class(interp, classname_key);

    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, {{@3}});
    else {
        const INTVAL type = pmc_type_p(interp, classname_key);
        if (type <= 0) {
            opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+4}},
                EXCEPTION_NO_CLASS,
                "Class \'%Ss\' not found", VTABLE_get_repr(interp, classname_key));
            {{=dest}};
        }
        {{@1}} = pmc_new_init(interp, type, {{@3}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'new',
                  'FLAGS' => $ops->[798]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 801,
                  'ARGS' => [
                              'p',
                              'pc',
                              'pc'
                            ],
                  'BODY' => '#line 109 "src/ops/pmc.ops"
    PMC * const classname_key = {{@2}};
    PMC * const classobj = Parrot_oo_get_class(interp, classname_key);

    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, {{@3}});
    else {
        const INTVAL type = pmc_type_p(interp, classname_key);
        if (type <= 0) {
            opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+4}},
                EXCEPTION_NO_CLASS,
                "Class \'%Ss\' not found", VTABLE_get_repr(interp, classname_key));
            {{=dest}};
        }
        {{@1}} = pmc_new_init(interp, type, {{@3}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'root_new',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 802,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 142 "src/ops/pmc.ops"
    PMC * const key      = {{@2}};
    PMC * const root_ns  = interp->root_namespace;
    PMC * const ns       = Parrot_get_namespace_keyed(interp, root_ns, key);
    PMC * classobj       = PMCNULL;

    if (!PMC_IS_NULL(ns))
        classobj = Parrot_oo_get_class(interp, ns);
    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, PMCNULL);
    else {
        opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+3}},
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' not found", VTABLE_get_repr(interp, key));
        {{=dest}};
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'root_new',
                  'FLAGS' => $ops->[802]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 803,
                  'ARGS' => [
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 142 "src/ops/pmc.ops"
    PMC * const key      = {{@2}};
    PMC * const root_ns  = interp->root_namespace;
    PMC * const ns       = Parrot_get_namespace_keyed(interp, root_ns, key);
    PMC * classobj       = PMCNULL;

    if (!PMC_IS_NULL(ns))
        classobj = Parrot_oo_get_class(interp, ns);
    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, PMCNULL);
    else {
        opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+3}},
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' not found", VTABLE_get_repr(interp, key));
        {{=dest}};
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'root_new',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 804,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 160 "src/ops/pmc.ops"
    PMC * const key      = {{@2}};
    PMC * const root_ns  = interp->root_namespace;
    PMC * const ns       = Parrot_get_namespace_keyed(interp, root_ns, key);
    PMC * classobj       = PMCNULL;

    if (!PMC_IS_NULL(ns))
        classobj = Parrot_oo_get_class(interp, ns);
    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, {{@3}});
    else {
        opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+4}},
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' not found", VTABLE_get_repr(interp, key));
        {{=dest}};
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'root_new',
                  'FLAGS' => $ops->[804]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 805,
                  'ARGS' => [
                              'p',
                              'pc',
                              'p'
                            ],
                  'BODY' => '#line 160 "src/ops/pmc.ops"
    PMC * const key      = {{@2}};
    PMC * const root_ns  = interp->root_namespace;
    PMC * const ns       = Parrot_get_namespace_keyed(interp, root_ns, key);
    PMC * classobj       = PMCNULL;

    if (!PMC_IS_NULL(ns))
        classobj = Parrot_oo_get_class(interp, ns);
    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, {{@3}});
    else {
        opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+4}},
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' not found", VTABLE_get_repr(interp, key));
        {{=dest}};
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'root_new',
                  'FLAGS' => $ops->[804]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 806,
                  'ARGS' => [
                              'p',
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 160 "src/ops/pmc.ops"
    PMC * const key      = {{@2}};
    PMC * const root_ns  = interp->root_namespace;
    PMC * const ns       = Parrot_get_namespace_keyed(interp, root_ns, key);
    PMC * classobj       = PMCNULL;

    if (!PMC_IS_NULL(ns))
        classobj = Parrot_oo_get_class(interp, ns);
    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, {{@3}});
    else {
        opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+4}},
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' not found", VTABLE_get_repr(interp, key));
        {{=dest}};
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'root_new',
                  'FLAGS' => $ops->[804]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 807,
                  'ARGS' => [
                              'p',
                              'pc',
                              'pc'
                            ],
                  'BODY' => '#line 160 "src/ops/pmc.ops"
    PMC * const key      = {{@2}};
    PMC * const root_ns  = interp->root_namespace;
    PMC * const ns       = Parrot_get_namespace_keyed(interp, root_ns, key);
    PMC * classobj       = PMCNULL;

    if (!PMC_IS_NULL(ns))
        classobj = Parrot_oo_get_class(interp, ns);
    if (!PMC_IS_NULL(classobj))
        {{@1}} = VTABLE_instantiate(interp, classobj, {{@3}});
    else {
        opcode_t *dest = Parrot_ex_throw_from_op_args(interp, {{^+4}},
            EXCEPTION_NO_CLASS,
            "Class \'%Ss\' not found", VTABLE_get_repr(interp, key));
        {{=dest}};
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'typeof',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 808,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 189 "src/ops/pmc.ops"
  {{@1}} = VTABLE_name(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'typeof',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 809,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 193 "src/ops/pmc.ops"
  {{@1}} = VTABLE_get_class(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_repr',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 810,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 205 "src/ops/pmc.ops"
    {{@1}} = VTABLE_get_repr(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_RESTART',
                  'NAME' => 'find_method',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 811,
                  'ARGS' => [
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 232 "src/ops/pmc.ops"
    opcode_t * const resume = {{^+4}};
    {{@1}} = VTABLE_find_method(interp, {{@2}}, {{@3}});
    if (PMC_IS_NULL({{@1}}) || !VTABLE_defined(interp, {{@1}})) {
        opcode_t *dest = Parrot_ex_throw_from_op_args(interp, resume,
            EXCEPTION_METHOD_NOT_FOUND,
            "Method \'%Ss\' not found for invocant of class \'%Ss\'", {{@3}},
            VTABLE_get_string(interp, VTABLE_get_class(interp, {{@2}})));
        {{=dest}};
    }
    {{=resume}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_RESTART',
                  'NAME' => 'find_method',
                  'FLAGS' => $ops->[811]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 812,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 232 "src/ops/pmc.ops"
    opcode_t * const resume = {{^+4}};
    {{@1}} = VTABLE_find_method(interp, {{@2}}, {{@3}});
    if (PMC_IS_NULL({{@1}}) || !VTABLE_defined(interp, {{@1}})) {
        opcode_t *dest = Parrot_ex_throw_from_op_args(interp, resume,
            EXCEPTION_METHOD_NOT_FOUND,
            "Method \'%Ss\' not found for invocant of class \'%Ss\'", {{@3}},
            VTABLE_get_string(interp, VTABLE_get_class(interp, {{@2}})));
        {{=dest}};
    }
    {{=resume}};
',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'defined',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 813,
                  'ARGS' => [
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 264 "src/ops/pmc.ops"
  {{@1}} = PMC_IS_NULL({{@2}}) ? 0 : VTABLE_defined(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'defined',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 814,
                  'ARGS' => [
                              'i',
                              'p',
                              'ki'
                            ],
                  'BODY' => '#line 268 "src/ops/pmc.ops"
  {{@1}} = PMC_IS_NULL({{@2}}) ? 0 : VTABLE_defined_keyed_int(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'defined',
                  'FLAGS' => $ops->[814]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 815,
                  'ARGS' => [
                              'i',
                              'p',
                              'kic'
                            ],
                  'BODY' => '#line 268 "src/ops/pmc.ops"
  {{@1}} = PMC_IS_NULL({{@2}}) ? 0 : VTABLE_defined_keyed_int(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'defined',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 816,
                  'ARGS' => [
                              'i',
                              'p',
                              'k'
                            ],
                  'BODY' => '#line 272 "src/ops/pmc.ops"
  {{@1}} = PMC_IS_NULL({{@2}}) ? 0 : VTABLE_defined_keyed(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'defined',
                  'FLAGS' => $ops->[816]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 817,
                  'ARGS' => [
                              'i',
                              'p',
                              'kc'
                            ],
                  'BODY' => '#line 272 "src/ops/pmc.ops"
  {{@1}} = PMC_IS_NULL({{@2}}) ? 0 : VTABLE_defined_keyed(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'exists',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 818,
                  'ARGS' => [
                              'i',
                              'p',
                              'ki'
                            ],
                  'BODY' => '#line 276 "src/ops/pmc.ops"
  {{@1}} = PMC_IS_NULL({{@2}}) ? 0 : VTABLE_exists_keyed_int(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'exists',
                  'FLAGS' => $ops->[818]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 819,
                  'ARGS' => [
                              'i',
                              'p',
                              'kic'
                            ],
                  'BODY' => '#line 276 "src/ops/pmc.ops"
  {{@1}} = PMC_IS_NULL({{@2}}) ? 0 : VTABLE_exists_keyed_int(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'exists',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 820,
                  'ARGS' => [
                              'i',
                              'p',
                              'k'
                            ],
                  'BODY' => '#line 280 "src/ops/pmc.ops"
  {{@1}} = PMC_IS_NULL({{@2}}) ? 0: VTABLE_exists_keyed(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'exists',
                  'FLAGS' => $ops->[820]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 821,
                  'ARGS' => [
                              'i',
                              'p',
                              'kc'
                            ],
                  'BODY' => '#line 280 "src/ops/pmc.ops"
  {{@1}} = PMC_IS_NULL({{@2}}) ? 0: VTABLE_exists_keyed(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'delete',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 822,
                  'ARGS' => [
                              'p',
                              'k'
                            ],
                  'BODY' => '#line 294 "src/ops/pmc.ops"
  VTABLE_delete_keyed(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'delete',
                  'FLAGS' => $ops->[822]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 823,
                  'ARGS' => [
                              'p',
                              'kc'
                            ],
                  'BODY' => '#line 294 "src/ops/pmc.ops"
  VTABLE_delete_keyed(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'delete',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 824,
                  'ARGS' => [
                              'p',
                              'ki'
                            ],
                  'BODY' => '#line 298 "src/ops/pmc.ops"
  VTABLE_delete_keyed_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'delete',
                  'FLAGS' => $ops->[824]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 825,
                  'ARGS' => [
                              'p',
                              'kic'
                            ],
                  'BODY' => '#line 298 "src/ops/pmc.ops"
  VTABLE_delete_keyed_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'elements',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 826,
                  'ARGS' => [
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 310 "src/ops/pmc.ops"
  {{@1}} = VTABLE_elements(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'push',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 827,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 342 "src/ops/pmc.ops"
    VTABLE_push_integer(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'push',
                  'FLAGS' => $ops->[827]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 828,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 342 "src/ops/pmc.ops"
    VTABLE_push_integer(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'push',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 829,
                  'ARGS' => [
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 346 "src/ops/pmc.ops"
    VTABLE_push_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'push',
                  'FLAGS' => $ops->[829]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 830,
                  'ARGS' => [
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 346 "src/ops/pmc.ops"
    VTABLE_push_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'push',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 831,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 350 "src/ops/pmc.ops"
    VTABLE_push_string(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'push',
                  'FLAGS' => $ops->[831]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 832,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 350 "src/ops/pmc.ops"
    VTABLE_push_string(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'push',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 833,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 354 "src/ops/pmc.ops"
    VTABLE_push_pmc(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pop',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 834,
                  'ARGS' => [
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 372 "src/ops/pmc.ops"
    {{@1}} = VTABLE_pop_integer(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pop',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 835,
                  'ARGS' => [
                              'n',
                              'p'
                            ],
                  'BODY' => '#line 376 "src/ops/pmc.ops"
    {{@1}} = VTABLE_pop_float(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pop',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 836,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 380 "src/ops/pmc.ops"
    {{@1}} = VTABLE_pop_string(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pop',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 837,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 384 "src/ops/pmc.ops"
    {{@1}} = VTABLE_pop_pmc(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'unshift',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 838,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 402 "src/ops/pmc.ops"
    VTABLE_unshift_integer(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'unshift',
                  'FLAGS' => $ops->[838]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 839,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 402 "src/ops/pmc.ops"
    VTABLE_unshift_integer(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'unshift',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 840,
                  'ARGS' => [
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 406 "src/ops/pmc.ops"
    VTABLE_unshift_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'unshift',
                  'FLAGS' => $ops->[840]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 841,
                  'ARGS' => [
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 406 "src/ops/pmc.ops"
    VTABLE_unshift_float(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'unshift',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 842,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 410 "src/ops/pmc.ops"
    VTABLE_unshift_string(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'unshift',
                  'FLAGS' => $ops->[842]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 843,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 410 "src/ops/pmc.ops"
    VTABLE_unshift_string(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'unshift',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 844,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 414 "src/ops/pmc.ops"
    VTABLE_unshift_pmc(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shift',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 845,
                  'ARGS' => [
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 432 "src/ops/pmc.ops"
    {{@1}} = VTABLE_shift_integer(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shift',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 846,
                  'ARGS' => [
                              'n',
                              'p'
                            ],
                  'BODY' => '#line 436 "src/ops/pmc.ops"
    {{@1}} = VTABLE_shift_float(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shift',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 847,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 440 "src/ops/pmc.ops"
    {{@1}} = VTABLE_shift_string(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'shift',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 848,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 444 "src/ops/pmc.ops"
    {{@1}} = VTABLE_shift_pmc(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'splice',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 849,
                  'ARGS' => [
                              'p',
                              'p',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 456 "src/ops/pmc.ops"
    VTABLE_splice(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'splice',
                  'FLAGS' => $ops->[849]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 850,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 456 "src/ops/pmc.ops"
    VTABLE_splice(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'splice',
                  'FLAGS' => $ops->[849]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 851,
                  'ARGS' => [
                              'p',
                              'p',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 456 "src/ops/pmc.ops"
    VTABLE_splice(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'splice',
                  'FLAGS' => $ops->[849]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 852,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 456 "src/ops/pmc.ops"
    VTABLE_splice(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setprop',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 853,
                  'ARGS' => [
                              'p',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 483 "src/ops/pmc.ops"
      VTABLE_setprop(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setprop',
                  'FLAGS' => $ops->[853]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 854,
                  'ARGS' => [
                              'p',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 483 "src/ops/pmc.ops"
      VTABLE_setprop(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getprop',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 855,
                  'ARGS' => [
                              'p',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 495 "src/ops/pmc.ops"
   {{@1}} = VTABLE_getprop(interp, {{@3}}, {{@2}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'getprop',
                  'FLAGS' => $ops->[855]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 856,
                  'ARGS' => [
                              'p',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 495 "src/ops/pmc.ops"
   {{@1}} = VTABLE_getprop(interp, {{@3}}, {{@2}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'delprop',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 857,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 507 "src/ops/pmc.ops"
   VTABLE_delprop(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'delprop',
                  'FLAGS' => $ops->[857]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 858,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 507 "src/ops/pmc.ops"
   VTABLE_delprop(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'prophash',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 859,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 520 "src/ops/pmc.ops"
   {{@1}} = VTABLE_getprops(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'freeze',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 860,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 550 "src/ops/pmc.ops"
   {{@1}} = Parrot_freeze(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'thaw',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 861,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 554 "src/ops/pmc.ops"
   {{@1}} = Parrot_thaw(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'thaw',
                  'FLAGS' => $ops->[861]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 862,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 554 "src/ops/pmc.ops"
   {{@1}} = Parrot_thaw(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add_multi',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 863,
                  'ARGS' => [
                              's',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 585 "src/ops/pmc.ops"
  Parrot_mmd_add_multi_from_long_sig(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add_multi',
                  'FLAGS' => $ops->[863]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 864,
                  'ARGS' => [
                              'sc',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 585 "src/ops/pmc.ops"
  Parrot_mmd_add_multi_from_long_sig(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add_multi',
                  'FLAGS' => $ops->[863]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 865,
                  'ARGS' => [
                              's',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 585 "src/ops/pmc.ops"
  Parrot_mmd_add_multi_from_long_sig(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'add_multi',
                  'FLAGS' => $ops->[863]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 866,
                  'ARGS' => [
                              'sc',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 585 "src/ops/pmc.ops"
  Parrot_mmd_add_multi_from_long_sig(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_multi',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 867,
                  'ARGS' => [
                              'p',
                              's',
                              's'
                            ],
                  'BODY' => '#line 595 "src/ops/pmc.ops"
  {{@1}} = Parrot_mmd_find_multi_from_long_sig(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_multi',
                  'FLAGS' => $ops->[867]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 868,
                  'ARGS' => [
                              'p',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 595 "src/ops/pmc.ops"
  {{@1}} = Parrot_mmd_find_multi_from_long_sig(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_multi',
                  'FLAGS' => $ops->[867]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 869,
                  'ARGS' => [
                              'p',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 595 "src/ops/pmc.ops"
  {{@1}} = Parrot_mmd_find_multi_from_long_sig(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_multi',
                  'FLAGS' => $ops->[867]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 870,
                  'ARGS' => [
                              'p',
                              'sc',
                              'sc'
                            ],
                  'BODY' => '#line 595 "src/ops/pmc.ops"
  {{@1}} = Parrot_mmd_find_multi_from_long_sig(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'register',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 871,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 628 "src/ops/pmc.ops"
  gc_register_pmc(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'unregister',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 872,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 632 "src/ops/pmc.ops"
  gc_unregister_pmc(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'box',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 873,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 649 "src/ops/pmc.ops"
    {{@1}} = pmc_new(interp, Parrot_get_ctx_HLL_type(interp, enum_class_Integer));
    VTABLE_set_integer_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'box',
                  'FLAGS' => $ops->[873]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 874,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 649 "src/ops/pmc.ops"
    {{@1}} = pmc_new(interp, Parrot_get_ctx_HLL_type(interp, enum_class_Integer));
    VTABLE_set_integer_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'box',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 875,
                  'ARGS' => [
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 654 "src/ops/pmc.ops"
    {{@1}} = pmc_new(interp, Parrot_get_ctx_HLL_type(interp, enum_class_Float));
    VTABLE_set_number_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'box',
                  'FLAGS' => $ops->[875]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 876,
                  'ARGS' => [
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 654 "src/ops/pmc.ops"
    {{@1}} = pmc_new(interp, Parrot_get_ctx_HLL_type(interp, enum_class_Float));
    VTABLE_set_number_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'box',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 877,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 659 "src/ops/pmc.ops"
    {{@1}} = pmc_new(interp, Parrot_get_ctx_HLL_type(interp, enum_class_String));
    VTABLE_set_string_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'box',
                  'FLAGS' => $ops->[877]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 878,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 659 "src/ops/pmc.ops"
    {{@1}} = pmc_new(interp, Parrot_get_ctx_HLL_type(interp, enum_class_String));
    VTABLE_set_string_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'iter',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 879,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 672 "src/ops/pmc.ops"
    {{@1}} = VTABLE_get_iter(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'morph',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 880,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 684 "src/ops/pmc.ops"
  VTABLE_morph(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'morph',
                  'FLAGS' => $ops->[880]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 881,
                  'ARGS' => [
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 684 "src/ops/pmc.ops"
  VTABLE_morph(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'clone',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 882,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 30 "src/ops/set.ops"
  {{@1}} = Parrot_str_copy(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'clone',
                  'FLAGS' => $ops->[882]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 883,
                  'ARGS' => [
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 30 "src/ops/set.ops"
  {{@1}} = Parrot_str_copy(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'exchange',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'io'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 884,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 50 "src/ops/set.ops"
   const INTVAL temp = {{@1}};
   {{@1}} = {{@2}};
   {{@2}} = temp;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'exchange',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'io'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 885,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 56 "src/ops/set.ops"
   PMC * const temp = {{@1}};
   {{@1}} = {{@2}};
   {{@2}} = temp;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'exchange',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'io'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 886,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 62 "src/ops/set.ops"
   FLOATVAL temp = {{@1}};
   {{@1}} = {{@2}};
   {{@2}} = temp;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'exchange',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'io'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 887,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 68 "src/ops/set.ops"
   STRING * const temp = {{@1}};
   {{@1}} = {{@2}};
   {{@2}} = temp;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 888,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 120 "src/ops/set.ops"
  {{@1}} = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[888]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 889,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 120 "src/ops/set.ops"
  {{@1}} = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 890,
                  'ARGS' => [
                              'i',
                              'n'
                            ],
                  'BODY' => '#line 124 "src/ops/set.ops"
  {{@1}} = (INTVAL)({{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[890]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 891,
                  'ARGS' => [
                              'i',
                              'nc'
                            ],
                  'BODY' => '#line 124 "src/ops/set.ops"
  {{@1}} = (INTVAL)({{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 892,
                  'ARGS' => [
                              'i',
                              's'
                            ],
                  'BODY' => '#line 128 "src/ops/set.ops"
  {{@1}} = Parrot_str_to_int(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[892]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 893,
                  'ARGS' => [
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 128 "src/ops/set.ops"
  {{@1}} = Parrot_str_to_int(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 894,
                  'ARGS' => [
                              'n',
                              'n'
                            ],
                  'BODY' => '#line 132 "src/ops/set.ops"
  {{@1}} = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[894]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 895,
                  'ARGS' => [
                              'n',
                              'nc'
                            ],
                  'BODY' => '#line 132 "src/ops/set.ops"
  {{@1}} = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 896,
                  'ARGS' => [
                              'n',
                              'i'
                            ],
                  'BODY' => '#line 136 "src/ops/set.ops"
  {{@1}} = (FLOATVAL){{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[896]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 897,
                  'ARGS' => [
                              'n',
                              'ic'
                            ],
                  'BODY' => '#line 136 "src/ops/set.ops"
  {{@1}} = (FLOATVAL){{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 898,
                  'ARGS' => [
                              'n',
                              's'
                            ],
                  'BODY' => '#line 140 "src/ops/set.ops"
  {{@1}} = Parrot_str_to_num(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[898]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 899,
                  'ARGS' => [
                              'n',
                              'sc'
                            ],
                  'BODY' => '#line 140 "src/ops/set.ops"
  {{@1}} = Parrot_str_to_num(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 900,
                  'ARGS' => [
                              'n',
                              'p'
                            ],
                  'BODY' => '#line 144 "src/ops/set.ops"
  {{@1}} = VTABLE_get_number(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 901,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 148 "src/ops/set.ops"
  {{@1}} = VTABLE_get_string(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 902,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 152 "src/ops/set.ops"
  {{@1}} = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 903,
                  'ARGS' => [
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 156 "src/ops/set.ops"
  {{@1}} = Parrot_str_copy(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 904,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 160 "src/ops/set.ops"
  {{@1}} = Parrot_str_from_int(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[904]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 905,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 160 "src/ops/set.ops"
  {{@1}} = Parrot_str_from_int(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 906,
                  'ARGS' => [
                              's',
                              'n'
                            ],
                  'BODY' => '#line 164 "src/ops/set.ops"
  {{@1}} = Parrot_str_from_num(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[906]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 907,
                  'ARGS' => [
                              's',
                              'nc'
                            ],
                  'BODY' => '#line 164 "src/ops/set.ops"
  {{@1}} = Parrot_str_from_num(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 908,
                  'ARGS' => [
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 168 "src/ops/set.ops"
  {{@1}} = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 909,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 172 "src/ops/set.ops"
  {{@1}} = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 910,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 176 "src/ops/set.ops"
  VTABLE_set_integer_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[910]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 911,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 176 "src/ops/set.ops"
  VTABLE_set_integer_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 912,
                  'ARGS' => [
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 180 "src/ops/set.ops"
  VTABLE_set_number_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[912]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 913,
                  'ARGS' => [
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 180 "src/ops/set.ops"
  VTABLE_set_number_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 914,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 184 "src/ops/set.ops"
  VTABLE_set_string_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 915,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 188 "src/ops/set.ops"
  VTABLE_set_string_native(interp, {{@1}},
    Parrot_str_copy(interp, {{@2}}));

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 916,
                  'ARGS' => [
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 192 "src/ops/set.ops"
  {{@1}} = VTABLE_get_integer(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'assign',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 917,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 233 "src/ops/set.ops"
  VTABLE_assign_pmc(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'assign',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 918,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 237 "src/ops/set.ops"
  VTABLE_set_integer_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'assign',
                  'FLAGS' => $ops->[918]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 919,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 237 "src/ops/set.ops"
  VTABLE_set_integer_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'assign',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 920,
                  'ARGS' => [
                              'p',
                              'n'
                            ],
                  'BODY' => '#line 241 "src/ops/set.ops"
  VTABLE_set_number_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'assign',
                  'FLAGS' => $ops->[920]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 921,
                  'ARGS' => [
                              'p',
                              'nc'
                            ],
                  'BODY' => '#line 241 "src/ops/set.ops"
  VTABLE_set_number_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'assign',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 922,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 245 "src/ops/set.ops"
  VTABLE_assign_string_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'assign',
                  'FLAGS' => $ops->[922]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 923,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 245 "src/ops/set.ops"
  VTABLE_assign_string_native(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'assign',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 924,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 249 "src/ops/set.ops"
  {{@1}} = Parrot_str_set(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'assign',
                  'FLAGS' => $ops->[924]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 925,
                  'ARGS' => [
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 249 "src/ops/set.ops"
  {{@1}} = Parrot_str_set(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setref',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 926,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 253 "src/ops/set.ops"
  VTABLE_set_pmc(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'deref',
                  'FLAGS' => {
                               '' => undef,
                               'base_ref' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 927,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 257 "src/ops/set.ops"
  {{@1}} = VTABLE_get_pmc(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setp_ind',
                  'FLAGS' => {
                               '' => undef,
                               'base_ref' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 928,
                  'ARGS' => [
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 275 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_PMC(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setp_ind',
                  'FLAGS' => $ops->[928]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 929,
                  'ARGS' => [
                              'ic',
                              'p'
                            ],
                  'BODY' => '#line 275 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_PMC(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setn_ind',
                  'FLAGS' => {
                               '' => undef,
                               'base_ref' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 930,
                  'ARGS' => [
                              'i',
                              'n'
                            ],
                  'BODY' => '#line 289 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_NUM(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setn_ind',
                  'FLAGS' => $ops->[930]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 931,
                  'ARGS' => [
                              'ic',
                              'n'
                            ],
                  'BODY' => '#line 289 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_NUM(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setn_ind',
                  'FLAGS' => $ops->[930]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 932,
                  'ARGS' => [
                              'i',
                              'nc'
                            ],
                  'BODY' => '#line 289 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_NUM(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'setn_ind',
                  'FLAGS' => $ops->[930]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 933,
                  'ARGS' => [
                              'ic',
                              'nc'
                            ],
                  'BODY' => '#line 289 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_NUM(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sets_ind',
                  'FLAGS' => {
                               '' => undef,
                               'base_ref' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 934,
                  'ARGS' => [
                              'i',
                              's'
                            ],
                  'BODY' => '#line 303 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_STR(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sets_ind',
                  'FLAGS' => $ops->[934]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 935,
                  'ARGS' => [
                              'ic',
                              's'
                            ],
                  'BODY' => '#line 303 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_STR(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sets_ind',
                  'FLAGS' => $ops->[934]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 936,
                  'ARGS' => [
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 303 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_STR(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sets_ind',
                  'FLAGS' => $ops->[934]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 937,
                  'ARGS' => [
                              'ic',
                              'sc'
                            ],
                  'BODY' => '#line 303 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_STR(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'seti_ind',
                  'FLAGS' => {
                               '' => undef,
                               'base_ref' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 938,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 317 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_INT(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'seti_ind',
                  'FLAGS' => $ops->[938]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 939,
                  'ARGS' => [
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 317 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_INT(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'seti_ind',
                  'FLAGS' => $ops->[938]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 940,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 317 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_INT(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'seti_ind',
                  'FLAGS' => $ops->[938]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 941,
                  'ARGS' => [
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 317 "src/ops/set.ops"
    if ({{@1}} < 0 || {{@1}} >= NUM_REGISTERS)
        PANIC(interp, "Out of bound register access");
    REG_INT(interp, {{@1}}) = {{@2}};

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 942,
                  'ARGS' => [
                              'p',
                              'ki',
                              'i'
                            ],
                  'BODY' => '#line 343 "src/ops/set.ops"
    VTABLE_set_integer_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[942]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 943,
                  'ARGS' => [
                              'p',
                              'kic',
                              'i'
                            ],
                  'BODY' => '#line 343 "src/ops/set.ops"
    VTABLE_set_integer_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[942]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 944,
                  'ARGS' => [
                              'p',
                              'ki',
                              'ic'
                            ],
                  'BODY' => '#line 343 "src/ops/set.ops"
    VTABLE_set_integer_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[942]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 945,
                  'ARGS' => [
                              'p',
                              'kic',
                              'ic'
                            ],
                  'BODY' => '#line 343 "src/ops/set.ops"
    VTABLE_set_integer_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 946,
                  'ARGS' => [
                              'p',
                              'ki',
                              'n'
                            ],
                  'BODY' => '#line 347 "src/ops/set.ops"
    VTABLE_set_number_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[946]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 947,
                  'ARGS' => [
                              'p',
                              'kic',
                              'n'
                            ],
                  'BODY' => '#line 347 "src/ops/set.ops"
    VTABLE_set_number_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[946]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 948,
                  'ARGS' => [
                              'p',
                              'ki',
                              'nc'
                            ],
                  'BODY' => '#line 347 "src/ops/set.ops"
    VTABLE_set_number_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[946]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 949,
                  'ARGS' => [
                              'p',
                              'kic',
                              'nc'
                            ],
                  'BODY' => '#line 347 "src/ops/set.ops"
    VTABLE_set_number_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 950,
                  'ARGS' => [
                              'p',
                              'ki',
                              's'
                            ],
                  'BODY' => '#line 351 "src/ops/set.ops"
    VTABLE_set_string_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[950]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 951,
                  'ARGS' => [
                              'p',
                              'kic',
                              's'
                            ],
                  'BODY' => '#line 351 "src/ops/set.ops"
    VTABLE_set_string_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[950]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 952,
                  'ARGS' => [
                              'p',
                              'ki',
                              'sc'
                            ],
                  'BODY' => '#line 351 "src/ops/set.ops"
    VTABLE_set_string_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[950]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 953,
                  'ARGS' => [
                              'p',
                              'kic',
                              'sc'
                            ],
                  'BODY' => '#line 351 "src/ops/set.ops"
    VTABLE_set_string_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 954,
                  'ARGS' => [
                              'p',
                              'ki',
                              'p'
                            ],
                  'BODY' => '#line 355 "src/ops/set.ops"
    VTABLE_set_pmc_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[954]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 955,
                  'ARGS' => [
                              'p',
                              'kic',
                              'p'
                            ],
                  'BODY' => '#line 355 "src/ops/set.ops"
    VTABLE_set_pmc_keyed_int(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 956,
                  'ARGS' => [
                              'i',
                              'p',
                              'ki'
                            ],
                  'BODY' => '#line 379 "src/ops/set.ops"
    {{@1}} = VTABLE_get_integer_keyed_int(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[956]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 957,
                  'ARGS' => [
                              'i',
                              'p',
                              'kic'
                            ],
                  'BODY' => '#line 379 "src/ops/set.ops"
    {{@1}} = VTABLE_get_integer_keyed_int(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 958,
                  'ARGS' => [
                              'n',
                              'p',
                              'ki'
                            ],
                  'BODY' => '#line 383 "src/ops/set.ops"
    {{@1}} = VTABLE_get_number_keyed_int(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[958]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 959,
                  'ARGS' => [
                              'n',
                              'p',
                              'kic'
                            ],
                  'BODY' => '#line 383 "src/ops/set.ops"
    {{@1}} = VTABLE_get_number_keyed_int(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 960,
                  'ARGS' => [
                              's',
                              'p',
                              'ki'
                            ],
                  'BODY' => '#line 387 "src/ops/set.ops"
    {{@1}} = VTABLE_get_string_keyed_int(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[960]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 961,
                  'ARGS' => [
                              's',
                              'p',
                              'kic'
                            ],
                  'BODY' => '#line 387 "src/ops/set.ops"
    {{@1}} = VTABLE_get_string_keyed_int(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 962,
                  'ARGS' => [
                              'p',
                              'p',
                              'ki'
                            ],
                  'BODY' => '#line 391 "src/ops/set.ops"
    {{@1}} = VTABLE_get_pmc_keyed_int(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[962]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 963,
                  'ARGS' => [
                              'p',
                              'p',
                              'kic'
                            ],
                  'BODY' => '#line 391 "src/ops/set.ops"
    {{@1}} = VTABLE_get_pmc_keyed_int(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 964,
                  'ARGS' => [
                              'p',
                              'k',
                              'i'
                            ],
                  'BODY' => '#line 415 "src/ops/set.ops"
    VTABLE_set_integer_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[964]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 965,
                  'ARGS' => [
                              'p',
                              'kc',
                              'i'
                            ],
                  'BODY' => '#line 415 "src/ops/set.ops"
    VTABLE_set_integer_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[964]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 966,
                  'ARGS' => [
                              'p',
                              'k',
                              'ic'
                            ],
                  'BODY' => '#line 415 "src/ops/set.ops"
    VTABLE_set_integer_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[964]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 967,
                  'ARGS' => [
                              'p',
                              'kc',
                              'ic'
                            ],
                  'BODY' => '#line 415 "src/ops/set.ops"
    VTABLE_set_integer_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 968,
                  'ARGS' => [
                              'p',
                              'k',
                              'n'
                            ],
                  'BODY' => '#line 419 "src/ops/set.ops"
    VTABLE_set_number_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[968]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 969,
                  'ARGS' => [
                              'p',
                              'kc',
                              'n'
                            ],
                  'BODY' => '#line 419 "src/ops/set.ops"
    VTABLE_set_number_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[968]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 970,
                  'ARGS' => [
                              'p',
                              'k',
                              'nc'
                            ],
                  'BODY' => '#line 419 "src/ops/set.ops"
    VTABLE_set_number_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[968]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 971,
                  'ARGS' => [
                              'p',
                              'kc',
                              'nc'
                            ],
                  'BODY' => '#line 419 "src/ops/set.ops"
    VTABLE_set_number_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 972,
                  'ARGS' => [
                              'p',
                              'k',
                              's'
                            ],
                  'BODY' => '#line 423 "src/ops/set.ops"
    VTABLE_set_string_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[972]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 973,
                  'ARGS' => [
                              'p',
                              'kc',
                              's'
                            ],
                  'BODY' => '#line 423 "src/ops/set.ops"
    VTABLE_set_string_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[972]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 974,
                  'ARGS' => [
                              'p',
                              'k',
                              'sc'
                            ],
                  'BODY' => '#line 423 "src/ops/set.ops"
    VTABLE_set_string_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[972]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 975,
                  'ARGS' => [
                              'p',
                              'kc',
                              'sc'
                            ],
                  'BODY' => '#line 423 "src/ops/set.ops"
    VTABLE_set_string_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 976,
                  'ARGS' => [
                              'p',
                              'k',
                              'p'
                            ],
                  'BODY' => '#line 427 "src/ops/set.ops"
    VTABLE_set_pmc_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[976]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 977,
                  'ARGS' => [
                              'p',
                              'kc',
                              'p'
                            ],
                  'BODY' => '#line 427 "src/ops/set.ops"
    VTABLE_set_pmc_keyed(interp, {{@1}}, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 978,
                  'ARGS' => [
                              'i',
                              'p',
                              'k'
                            ],
                  'BODY' => '#line 451 "src/ops/set.ops"
    {{@1}} = VTABLE_get_integer_keyed(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[978]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 979,
                  'ARGS' => [
                              'i',
                              'p',
                              'kc'
                            ],
                  'BODY' => '#line 451 "src/ops/set.ops"
    {{@1}} = VTABLE_get_integer_keyed(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 980,
                  'ARGS' => [
                              'n',
                              'p',
                              'k'
                            ],
                  'BODY' => '#line 455 "src/ops/set.ops"
    {{@1}} = VTABLE_get_number_keyed(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[980]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 981,
                  'ARGS' => [
                              'n',
                              'p',
                              'kc'
                            ],
                  'BODY' => '#line 455 "src/ops/set.ops"
    {{@1}} = VTABLE_get_number_keyed(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 982,
                  'ARGS' => [
                              's',
                              'p',
                              'k'
                            ],
                  'BODY' => '#line 459 "src/ops/set.ops"
    {{@1}} = VTABLE_get_string_keyed(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[982]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 983,
                  'ARGS' => [
                              's',
                              'p',
                              'kc'
                            ],
                  'BODY' => '#line 459 "src/ops/set.ops"
    {{@1}} = VTABLE_get_string_keyed(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 984,
                  'ARGS' => [
                              'p',
                              'p',
                              'k'
                            ],
                  'BODY' => '#line 463 "src/ops/set.ops"
    {{@1}} = VTABLE_get_pmc_keyed(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set',
                  'FLAGS' => $ops->[984]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 985,
                  'ARGS' => [
                              'p',
                              'p',
                              'kc'
                            ],
                  'BODY' => '#line 463 "src/ops/set.ops"
    {{@1}} = VTABLE_get_pmc_keyed(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'clone',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 986,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 473 "src/ops/set.ops"
  {{@1}} = VTABLE_clone(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'clone',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 987,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 483 "src/ops/set.ops"
  {{@1}} = VTABLE_clone_pmc(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'clone',
                  'FLAGS' => $ops->[987]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 988,
                  'ARGS' => [
                              'p',
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 483 "src/ops/set.ops"
  {{@1}} = VTABLE_clone_pmc(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'copy',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 989,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 493 "src/ops/set.ops"
    if (PMC_IS_NULL({{@1}})) {
        opcode_t *dest = {{^+3}};
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, dest,
                EXCEPTION_NULL_REG_ACCESS, "Null PMC in copy");
        {{=handler}};
    }
    else {
        PMC   * const clone = VTABLE_clone(interp, {{@2}});
        /* Preserve the metadata on the destination. */
        PMC   * const meta  = VTABLE_getprops(interp, {{@1}});

        /* avoid leaks and unreachable memory by destroying the destination PMC */
        if (PObj_active_destroy_TEST({{@1}}))
            VTABLE_destroy(interp, {{@1}});

        /* the source PMC knows how to clone itself, but we must reuse the
         * destination header */
        memmove({{@1}}, clone, sizeof (PMC));

        /* don\'t let the clone\'s destruction destroy the destination\'s data */
        PObj_active_destroy_CLEAR(clone);
        if (PObj_is_PMC_EXT_TEST(clone))
            clone->pmc_ext = NULL;

        /* Restore metadata. */
        if (!PMC_IS_NULL(meta)) {
            PMC * const iter = VTABLE_get_iter(interp, meta);
            while (VTABLE_get_bool(interp, iter)) {
                STRING * const key = VTABLE_shift_string(interp, iter);
                PMC * const value  = VTABLE_get_pmc_keyed_str(interp, meta, key);
                VTABLE_setprop(interp, {{@1}}, key, value);
            }
        }
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'null',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 990,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 562 "src/ops/set.ops"
  {{@1}} = NULL;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'null',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 991,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 566 "src/ops/set.ops"
  {{@1}} = 0;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'null',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 992,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 570 "src/ops/set.ops"
  {{@1}} = PMCNULL;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'null',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 993,
                  'ARGS' => [
                              'n'
                            ],
                  'BODY' => '#line 574 "src/ops/set.ops"
  {{@1}} = 0;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'cleari',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 994,
                  'ARGS' => [],
                  'BODY' => '#line 596 "src/ops/set.ops"
  Parrot_clear_i(interp);

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'clearn',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 995,
                  'ARGS' => [],
                  'BODY' => '#line 600 "src/ops/set.ops"
  Parrot_clear_n(interp);

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'clears',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 996,
                  'ARGS' => [],
                  'BODY' => '#line 604 "src/ops/set.ops"
  Parrot_clear_s(interp);

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'clearp',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'inline',
                  'CODE' => 997,
                  'ARGS' => [],
                  'BODY' => '#line 608 "src/ops/set.ops"
  Parrot_clear_p(interp);

{{+=1}};',
                  'LABELS' => []
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'ord',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 998,
                  'ARGS' => [
                              'i',
                              's'
                            ],
                  'BODY' => '#line 42 "src/ops/string.ops"
    {{@1}} = string_ord(interp, {{@2}}, 0);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'ord',
                  'FLAGS' => $ops->[998]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 999,
                  'ARGS' => [
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 42 "src/ops/string.ops"
    {{@1}} = string_ord(interp, {{@2}}, 0);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'ord',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1000,
                  'ARGS' => [
                              'i',
                              's',
                              'i'
                            ],
                  'BODY' => '#line 46 "src/ops/string.ops"
    {{@1}} = string_ord(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'ord',
                  'FLAGS' => $ops->[1000]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1001,
                  'ARGS' => [
                              'i',
                              'sc',
                              'i'
                            ],
                  'BODY' => '#line 46 "src/ops/string.ops"
    {{@1}} = string_ord(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'ord',
                  'FLAGS' => $ops->[1000]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1002,
                  'ARGS' => [
                              'i',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 46 "src/ops/string.ops"
    {{@1}} = string_ord(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'ord',
                  'FLAGS' => $ops->[1000]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1003,
                  'ARGS' => [
                              'i',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 46 "src/ops/string.ops"
    {{@1}} = string_ord(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'chr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1004,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 57 "src/ops/string.ops"
    STRING * const s = string_chr(interp, (UINTVAL){{@2}});
    {{@1}} = s;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'chr',
                  'FLAGS' => $ops->[1004]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1005,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 57 "src/ops/string.ops"
    STRING * const s = string_chr(interp, (UINTVAL){{@2}});
    {{@1}} = s;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'chopn',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1006,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 76 "src/ops/string.ops"
    Parrot_str_chopn_inplace(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'chopn',
                  'FLAGS' => $ops->[1006]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1007,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 76 "src/ops/string.ops"
    Parrot_str_chopn_inplace(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'chopn',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1008,
                  'ARGS' => [
                              's',
                              's',
                              'i'
                            ],
                  'BODY' => '#line 80 "src/ops/string.ops"
    {{@1}} = Parrot_str_chopn(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'chopn',
                  'FLAGS' => $ops->[1008]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1009,
                  'ARGS' => [
                              's',
                              'sc',
                              'i'
                            ],
                  'BODY' => '#line 80 "src/ops/string.ops"
    {{@1}} = Parrot_str_chopn(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'chopn',
                  'FLAGS' => $ops->[1008]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1010,
                  'ARGS' => [
                              's',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 80 "src/ops/string.ops"
    {{@1}} = Parrot_str_chopn(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'chopn',
                  'FLAGS' => $ops->[1008]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1011,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 80 "src/ops/string.ops"
    {{@1}} = Parrot_str_chopn(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'concat',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1012,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 103 "src/ops/string.ops"
    {{@1}} = Parrot_str_append(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'concat',
                  'FLAGS' => $ops->[1012]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1013,
                  'ARGS' => [
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 103 "src/ops/string.ops"
    {{@1}} = Parrot_str_append(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'concat',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1014,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 107 "src/ops/string.ops"
      VTABLE_i_concatenate(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'concat',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1015,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 111 "src/ops/string.ops"
      VTABLE_i_concatenate_str(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'concat',
                  'FLAGS' => $ops->[1015]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1016,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 111 "src/ops/string.ops"
      VTABLE_i_concatenate_str(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'concat',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1017,
                  'ARGS' => [
                              's',
                              's',
                              's'
                            ],
                  'BODY' => '#line 115 "src/ops/string.ops"
    {{@1}} = Parrot_str_concat(interp, {{@2}}, {{@3}}, 1);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'concat',
                  'FLAGS' => $ops->[1017]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1018,
                  'ARGS' => [
                              's',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 115 "src/ops/string.ops"
    {{@1}} = Parrot_str_concat(interp, {{@2}}, {{@3}}, 1);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'concat',
                  'FLAGS' => $ops->[1017]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1019,
                  'ARGS' => [
                              's',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 115 "src/ops/string.ops"
    {{@1}} = Parrot_str_concat(interp, {{@2}}, {{@3}}, 1);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'concat',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1020,
                  'ARGS' => [
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 119 "src/ops/string.ops"
      {{@1}} = VTABLE_concatenate_str(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'concat',
                  'FLAGS' => $ops->[1020]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1021,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 119 "src/ops/string.ops"
      {{@1}} = VTABLE_concatenate_str(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'concat',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1022,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 123 "src/ops/string.ops"
      {{@1}} = VTABLE_concatenate(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_GNEXT',
                  'NAME' => 'repeat',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1023,
                  'ARGS' => [
                              's',
                              's',
                              'i'
                            ],
                  'BODY' => '#line 138 "src/ops/string.ops"
    if ({{@3}} < 0) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_NEG_REPEAT,
                "Cannot repeat with negative arg");
        {{=handler}};
    }
    {{@1}} = Parrot_str_repeat(interp, {{@2}}, (UINTVAL){{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_GNEXT',
                  'NAME' => 'repeat',
                  'FLAGS' => $ops->[1023]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1024,
                  'ARGS' => [
                              's',
                              'sc',
                              'i'
                            ],
                  'BODY' => '#line 138 "src/ops/string.ops"
    if ({{@3}} < 0) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_NEG_REPEAT,
                "Cannot repeat with negative arg");
        {{=handler}};
    }
    {{@1}} = Parrot_str_repeat(interp, {{@2}}, (UINTVAL){{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'repeat',
                  'FLAGS' => $ops->[1023]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1025,
                  'ARGS' => [
                              's',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 138 "src/ops/string.ops"
    if ({{@3}} < 0) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_NEG_REPEAT,
                "Cannot repeat with negative arg");
        {{=handler}};
    }
    {{@1}} = Parrot_str_repeat(interp, {{@2}}, (UINTVAL){{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'repeat',
                  'FLAGS' => $ops->[1023]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1026,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 138 "src/ops/string.ops"
    if ({{@3}} < 0) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_NEG_REPEAT,
                "Cannot repeat with negative arg");
        {{=handler}};
    }
    {{@1}} = Parrot_str_repeat(interp, {{@2}}, (UINTVAL){{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_GNEXT',
                  'NAME' => 'repeat',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1027,
                  'ARGS' => [
                              'p',
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 148 "src/ops/string.ops"
    if ({{@3}} < 0) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_NEG_REPEAT,
                "Cannot repeat with negative arg");
        {{=handler}};
    }
      {{@1}} = VTABLE_repeat_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'repeat',
                  'FLAGS' => $ops->[1027]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1028,
                  'ARGS' => [
                              'p',
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 148 "src/ops/string.ops"
    if ({{@3}} < 0) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_NEG_REPEAT,
                "Cannot repeat with negative arg");
        {{=handler}};
    }
      {{@1}} = VTABLE_repeat_int(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'repeat',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1029,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 158 "src/ops/string.ops"
    if (VTABLE_get_integer(interp, {{@3}}) < 0) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_NEG_REPEAT,
                "Cannot repeat with negative arg");
        {{=handler}};
    }
      {{@1}} = VTABLE_repeat(interp, {{@2}}, {{@3}}, {{@1}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'repeat',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1030,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 177 "src/ops/string.ops"
      VTABLE_i_repeat_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'repeat',
                  'FLAGS' => $ops->[1030]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1031,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 177 "src/ops/string.ops"
      VTABLE_i_repeat_int(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'repeat',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1032,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 181 "src/ops/string.ops"
      VTABLE_i_repeat(interp, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'length',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1033,
                  'ARGS' => [
                              'i',
                              's'
                            ],
                  'BODY' => '#line 198 "src/ops/string.ops"
    {{@1}} = {{@2}} ? Parrot_str_byte_length(interp, {{@2}}) : 0;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'length',
                  'FLAGS' => $ops->[1033]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1034,
                  'ARGS' => [
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 198 "src/ops/string.ops"
    {{@1}} = {{@2}} ? Parrot_str_byte_length(interp, {{@2}}) : 0;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bytelength',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1035,
                  'ARGS' => [
                              'i',
                              's'
                            ],
                  'BODY' => '#line 202 "src/ops/string.ops"
    UINTVAL n;
    STRING * const s = {{@2}};
    if (!s)
        n = 0;
    else {
        n = s->bufused;
        PARROT_ASSERT(n == ENCODING_BYTES(interp, {{@2}}));
    }
    {{@1}} = n;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'bytelength',
                  'FLAGS' => $ops->[1035]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1036,
                  'ARGS' => [
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 202 "src/ops/string.ops"
    UINTVAL n;
    STRING * const s = {{@2}};
    if (!s)
        n = 0;
    else {
        n = s->bufused;
        PARROT_ASSERT(n == ENCODING_BYTES(interp, {{@2}}));
    }
    {{@1}} = n;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'pin',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1037,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 225 "src/ops/string.ops"
    Parrot_str_pin(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'unpin',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1038,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 237 "src/ops/string.ops"
    Parrot_str_unpin(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1039,
                  'ARGS' => [
                              's',
                              's',
                              'i'
                            ],
                  'BODY' => '#line 273 "src/ops/string.ops"
    const INTVAL len = Parrot_str_byte_length(interp, {{@2}});
    {{@1}} = Parrot_str_substr(interp, {{@2}}, {{@3}}, len, &{{@1}}, 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1039]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1040,
                  'ARGS' => [
                              's',
                              'sc',
                              'i'
                            ],
                  'BODY' => '#line 273 "src/ops/string.ops"
    const INTVAL len = Parrot_str_byte_length(interp, {{@2}});
    {{@1}} = Parrot_str_substr(interp, {{@2}}, {{@3}}, len, &{{@1}}, 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1039]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1041,
                  'ARGS' => [
                              's',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 273 "src/ops/string.ops"
    const INTVAL len = Parrot_str_byte_length(interp, {{@2}});
    {{@1}} = Parrot_str_substr(interp, {{@2}}, {{@3}}, len, &{{@1}}, 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1039]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1042,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 273 "src/ops/string.ops"
    const INTVAL len = Parrot_str_byte_length(interp, {{@2}});
    {{@1}} = Parrot_str_substr(interp, {{@2}}, {{@3}}, len, &{{@1}}, 0);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1043,
                  'ARGS' => [
                              's',
                              's',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 278 "src/ops/string.ops"
    {{@1}} = Parrot_str_substr(interp, {{@2}}, {{@3}}, {{@4}}, &{{@1}}, 0);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1043]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1044,
                  'ARGS' => [
                              's',
                              'sc',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 278 "src/ops/string.ops"
    {{@1}} = Parrot_str_substr(interp, {{@2}}, {{@3}}, {{@4}}, &{{@1}}, 0);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1043]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1045,
                  'ARGS' => [
                              's',
                              's',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 278 "src/ops/string.ops"
    {{@1}} = Parrot_str_substr(interp, {{@2}}, {{@3}}, {{@4}}, &{{@1}}, 0);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1043]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1046,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 278 "src/ops/string.ops"
    {{@1}} = Parrot_str_substr(interp, {{@2}}, {{@3}}, {{@4}}, &{{@1}}, 0);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1043]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1047,
                  'ARGS' => [
                              's',
                              's',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 278 "src/ops/string.ops"
    {{@1}} = Parrot_str_substr(interp, {{@2}}, {{@3}}, {{@4}}, &{{@1}}, 0);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1043]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1048,
                  'ARGS' => [
                              's',
                              'sc',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 278 "src/ops/string.ops"
    {{@1}} = Parrot_str_substr(interp, {{@2}}, {{@3}}, {{@4}}, &{{@1}}, 0);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1043]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1049,
                  'ARGS' => [
                              's',
                              's',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 278 "src/ops/string.ops"
    {{@1}} = Parrot_str_substr(interp, {{@2}}, {{@3}}, {{@4}}, &{{@1}}, 0);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1043]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1050,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 278 "src/ops/string.ops"
    {{@1}} = Parrot_str_substr(interp, {{@2}}, {{@3}}, {{@4}}, &{{@1}}, 0);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1051,
                  'ARGS' => [
                              's',
                              's',
                              'i',
                              'i',
                              's'
                            ],
                  'BODY' => '#line 282 "src/ops/string.ops"
    {{@1}} = Parrot_str_replace(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}}, &{{@1}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1051]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1052,
                  'ARGS' => [
                              's',
                              's',
                              'ic',
                              'i',
                              's'
                            ],
                  'BODY' => '#line 282 "src/ops/string.ops"
    {{@1}} = Parrot_str_replace(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}}, &{{@1}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1051]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1053,
                  'ARGS' => [
                              's',
                              's',
                              'i',
                              'ic',
                              's'
                            ],
                  'BODY' => '#line 282 "src/ops/string.ops"
    {{@1}} = Parrot_str_replace(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}}, &{{@1}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1051]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1054,
                  'ARGS' => [
                              's',
                              's',
                              'ic',
                              'ic',
                              's'
                            ],
                  'BODY' => '#line 282 "src/ops/string.ops"
    {{@1}} = Parrot_str_replace(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}}, &{{@1}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1051]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1055,
                  'ARGS' => [
                              's',
                              's',
                              'i',
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 282 "src/ops/string.ops"
    {{@1}} = Parrot_str_replace(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}}, &{{@1}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1051]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1056,
                  'ARGS' => [
                              's',
                              's',
                              'ic',
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 282 "src/ops/string.ops"
    {{@1}} = Parrot_str_replace(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}}, &{{@1}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1051]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1057,
                  'ARGS' => [
                              's',
                              's',
                              'i',
                              'ic',
                              'sc'
                            ],
                  'BODY' => '#line 282 "src/ops/string.ops"
    {{@1}} = Parrot_str_replace(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}}, &{{@1}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1051]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1058,
                  'ARGS' => [
                              's',
                              's',
                              'ic',
                              'ic',
                              'sc'
                            ],
                  'BODY' => '#line 282 "src/ops/string.ops"
    {{@1}} = Parrot_str_replace(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}}, &{{@1}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1059,
                  'ARGS' => [
                              's',
                              'i',
                              'i',
                              's'
                            ],
                  'BODY' => '#line 286 "src/ops/string.ops"
    (void)Parrot_str_replace(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}}, NULL);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1059]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1060,
                  'ARGS' => [
                              's',
                              'ic',
                              'i',
                              's'
                            ],
                  'BODY' => '#line 286 "src/ops/string.ops"
    (void)Parrot_str_replace(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}}, NULL);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1059]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1061,
                  'ARGS' => [
                              's',
                              'i',
                              'ic',
                              's'
                            ],
                  'BODY' => '#line 286 "src/ops/string.ops"
    (void)Parrot_str_replace(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}}, NULL);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1059]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1062,
                  'ARGS' => [
                              's',
                              'ic',
                              'ic',
                              's'
                            ],
                  'BODY' => '#line 286 "src/ops/string.ops"
    (void)Parrot_str_replace(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}}, NULL);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1059]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1063,
                  'ARGS' => [
                              's',
                              'i',
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 286 "src/ops/string.ops"
    (void)Parrot_str_replace(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}}, NULL);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1059]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1064,
                  'ARGS' => [
                              's',
                              'ic',
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 286 "src/ops/string.ops"
    (void)Parrot_str_replace(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}}, NULL);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1059]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1065,
                  'ARGS' => [
                              's',
                              'i',
                              'ic',
                              'sc'
                            ],
                  'BODY' => '#line 286 "src/ops/string.ops"
    (void)Parrot_str_replace(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}}, NULL);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1059]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1066,
                  'ARGS' => [
                              's',
                              'ic',
                              'ic',
                              'sc'
                            ],
                  'BODY' => '#line 286 "src/ops/string.ops"
    (void)Parrot_str_replace(interp, {{@1}}, {{@2}}, {{@3}}, {{@4}}, NULL);

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1067,
                  'ARGS' => [
                              's',
                              'p',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 290 "src/ops/string.ops"
    {{@1}} = VTABLE_substr_str(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1067]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1068,
                  'ARGS' => [
                              's',
                              'p',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 290 "src/ops/string.ops"
    {{@1}} = VTABLE_substr_str(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1067]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1069,
                  'ARGS' => [
                              's',
                              'p',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 290 "src/ops/string.ops"
    {{@1}} = VTABLE_substr_str(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'substr',
                  'FLAGS' => $ops->[1067]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1070,
                  'ARGS' => [
                              's',
                              'p',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 290 "src/ops/string.ops"
    {{@1}} = VTABLE_substr_str(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'index',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1071,
                  'ARGS' => [
                              'i',
                              's',
                              's'
                            ],
                  'BODY' => '#line 310 "src/ops/string.ops"
    {{@1}} = ({{@2}} && {{@3}}) ? Parrot_str_find_index(interp, {{@2}}, {{@3}}, 0) : -1;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'index',
                  'FLAGS' => $ops->[1071]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1072,
                  'ARGS' => [
                              'i',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 310 "src/ops/string.ops"
    {{@1}} = ({{@2}} && {{@3}}) ? Parrot_str_find_index(interp, {{@2}}, {{@3}}, 0) : -1;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'index',
                  'FLAGS' => $ops->[1071]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1073,
                  'ARGS' => [
                              'i',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 310 "src/ops/string.ops"
    {{@1}} = ({{@2}} && {{@3}}) ? Parrot_str_find_index(interp, {{@2}}, {{@3}}, 0) : -1;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'index',
                  'FLAGS' => $ops->[1071]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1074,
                  'ARGS' => [
                              'i',
                              'sc',
                              'sc'
                            ],
                  'BODY' => '#line 310 "src/ops/string.ops"
    {{@1}} = ({{@2}} && {{@3}}) ? Parrot_str_find_index(interp, {{@2}}, {{@3}}, 0) : -1;

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'index',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1075,
                  'ARGS' => [
                              'i',
                              's',
                              's',
                              'i'
                            ],
                  'BODY' => '#line 314 "src/ops/string.ops"
    {{@1}} = ({{@2}} && {{@3}}) ? Parrot_str_find_index(interp, {{@2}}, {{@3}}, {{@4}}) : -1;

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'index',
                  'FLAGS' => $ops->[1075]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1076,
                  'ARGS' => [
                              'i',
                              'sc',
                              's',
                              'i'
                            ],
                  'BODY' => '#line 314 "src/ops/string.ops"
    {{@1}} = ({{@2}} && {{@3}}) ? Parrot_str_find_index(interp, {{@2}}, {{@3}}, {{@4}}) : -1;

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'index',
                  'FLAGS' => $ops->[1075]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1077,
                  'ARGS' => [
                              'i',
                              's',
                              'sc',
                              'i'
                            ],
                  'BODY' => '#line 314 "src/ops/string.ops"
    {{@1}} = ({{@2}} && {{@3}}) ? Parrot_str_find_index(interp, {{@2}}, {{@3}}, {{@4}}) : -1;

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'index',
                  'FLAGS' => $ops->[1075]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1078,
                  'ARGS' => [
                              'i',
                              'sc',
                              'sc',
                              'i'
                            ],
                  'BODY' => '#line 314 "src/ops/string.ops"
    {{@1}} = ({{@2}} && {{@3}}) ? Parrot_str_find_index(interp, {{@2}}, {{@3}}, {{@4}}) : -1;

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'index',
                  'FLAGS' => $ops->[1075]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1079,
                  'ARGS' => [
                              'i',
                              's',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 314 "src/ops/string.ops"
    {{@1}} = ({{@2}} && {{@3}}) ? Parrot_str_find_index(interp, {{@2}}, {{@3}}, {{@4}}) : -1;

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'index',
                  'FLAGS' => $ops->[1075]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1080,
                  'ARGS' => [
                              'i',
                              'sc',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 314 "src/ops/string.ops"
    {{@1}} = ({{@2}} && {{@3}}) ? Parrot_str_find_index(interp, {{@2}}, {{@3}}, {{@4}}) : -1;

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'index',
                  'FLAGS' => $ops->[1075]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1081,
                  'ARGS' => [
                              'i',
                              's',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 314 "src/ops/string.ops"
    {{@1}} = ({{@2}} && {{@3}}) ? Parrot_str_find_index(interp, {{@2}}, {{@3}}, {{@4}}) : -1;

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'index',
                  'FLAGS' => $ops->[1075]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1082,
                  'ARGS' => [
                              'i',
                              'sc',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 314 "src/ops/string.ops"
    {{@1}} = ({{@2}} && {{@3}}) ? Parrot_str_find_index(interp, {{@2}}, {{@3}}, {{@4}}) : -1;

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sprintf',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1083,
                  'ARGS' => [
                              's',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 334 "src/ops/string.ops"
    {{@1}}=Parrot_psprintf(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sprintf',
                  'FLAGS' => $ops->[1083]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1084,
                  'ARGS' => [
                              's',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 334 "src/ops/string.ops"
    {{@1}}=Parrot_psprintf(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sprintf',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1085,
                  'ARGS' => [
                              'p',
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 338 "src/ops/string.ops"
    VTABLE_set_string_native(interp, {{@1}},
        Parrot_psprintf(interp, VTABLE_get_string(interp, {{@2}}), {{@3}}));

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'new',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1086,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 352 "src/ops/string.ops"
  {{@1}} = Parrot_str_new_noinit(interp, enum_stringrep_one, 0);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'new',
                  'FLAGS' => {
                               '' => undef,
                               'base_mem' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1087,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 356 "src/ops/string.ops"
    {{@1}} = Parrot_str_new_noinit(interp, enum_stringrep_one, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'new',
                  'FLAGS' => $ops->[1087]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1088,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 356 "src/ops/string.ops"
    {{@1}} = Parrot_str_new_noinit(interp, enum_stringrep_one, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_GNEXT',
                  'NAME' => 'stringinfo',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1089,
                  'ARGS' => [
                              'i',
                              's',
                              'i'
                            ],
                  'BODY' => '#line 386 "src/ops/string.ops"
    if ({{@2}} == NULL)
        {{@1}} = 0;
    else {
        switch ({{@3}}) {
            case STRINGINFO_HEADER:
                {{@1}} = PTR2UINTVAL({{@2}});
                break;
            case STRINGINFO_STRSTART:
                {{@1}} = PTR2UINTVAL({{@2}}->strstart);
                break;
            case STRINGINFO_BUFLEN:
                {{@1}} = PObj_buflen({{@2}});
                break;
            case STRINGINFO_FLAGS:
                {{@1}} = PObj_get_FLAGS({{@2}});
                break;
            case STRINGINFO_BUFUSED:
                {{@1}} = {{@2}}->bufused;
                break;
            case STRINGINFO_STRLEN:
                {{@1}} = {{@2}}->strlen;
                break;
            default:
                {
                    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                        EXCEPTION_INVALID_OPERATION,
                        "stringinfo: unknown info type: %d", {{@3}});
                    {{=handler}};
                }
        }
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_GNEXT',
                  'NAME' => 'stringinfo',
                  'FLAGS' => $ops->[1089]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1090,
                  'ARGS' => [
                              'i',
                              'sc',
                              'i'
                            ],
                  'BODY' => '#line 386 "src/ops/string.ops"
    if ({{@2}} == NULL)
        {{@1}} = 0;
    else {
        switch ({{@3}}) {
            case STRINGINFO_HEADER:
                {{@1}} = PTR2UINTVAL({{@2}});
                break;
            case STRINGINFO_STRSTART:
                {{@1}} = PTR2UINTVAL({{@2}}->strstart);
                break;
            case STRINGINFO_BUFLEN:
                {{@1}} = PObj_buflen({{@2}});
                break;
            case STRINGINFO_FLAGS:
                {{@1}} = PObj_get_FLAGS({{@2}});
                break;
            case STRINGINFO_BUFUSED:
                {{@1}} = {{@2}}->bufused;
                break;
            case STRINGINFO_STRLEN:
                {{@1}} = {{@2}}->strlen;
                break;
            default:
                {
                    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                        EXCEPTION_INVALID_OPERATION,
                        "stringinfo: unknown info type: %d", {{@3}});
                    {{=handler}};
                }
        }
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'stringinfo',
                  'FLAGS' => $ops->[1089]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1091,
                  'ARGS' => [
                              'i',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 386 "src/ops/string.ops"
    if ({{@2}} == NULL)
        {{@1}} = 0;
    else {
        switch ({{@3}}) {
            case STRINGINFO_HEADER:
                {{@1}} = PTR2UINTVAL({{@2}});
                break;
            case STRINGINFO_STRSTART:
                {{@1}} = PTR2UINTVAL({{@2}}->strstart);
                break;
            case STRINGINFO_BUFLEN:
                {{@1}} = PObj_buflen({{@2}});
                break;
            case STRINGINFO_FLAGS:
                {{@1}} = PObj_get_FLAGS({{@2}});
                break;
            case STRINGINFO_BUFUSED:
                {{@1}} = {{@2}}->bufused;
                break;
            case STRINGINFO_STRLEN:
                {{@1}} = {{@2}}->strlen;
                break;
            default:
                {
                    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                        EXCEPTION_INVALID_OPERATION,
                        "stringinfo: unknown info type: %d", {{@3}});
                    {{=handler}};
                }
        }
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'stringinfo',
                  'FLAGS' => $ops->[1089]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1092,
                  'ARGS' => [
                              'i',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 386 "src/ops/string.ops"
    if ({{@2}} == NULL)
        {{@1}} = 0;
    else {
        switch ({{@3}}) {
            case STRINGINFO_HEADER:
                {{@1}} = PTR2UINTVAL({{@2}});
                break;
            case STRINGINFO_STRSTART:
                {{@1}} = PTR2UINTVAL({{@2}}->strstart);
                break;
            case STRINGINFO_BUFLEN:
                {{@1}} = PObj_buflen({{@2}});
                break;
            case STRINGINFO_FLAGS:
                {{@1}} = PObj_get_FLAGS({{@2}});
                break;
            case STRINGINFO_BUFUSED:
                {{@1}} = {{@2}}->bufused;
                break;
            case STRINGINFO_STRLEN:
                {{@1}} = {{@2}}->strlen;
                break;
            default:
                {
                    opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                        EXCEPTION_INVALID_OPERATION,
                        "stringinfo: unknown info type: %d", {{@3}});
                    {{=handler}};
                }
        }
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'upcase',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1093,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 431 "src/ops/string.ops"
    {{@1}} = Parrot_str_upcase(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'upcase',
                  'FLAGS' => $ops->[1093]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1094,
                  'ARGS' => [
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 431 "src/ops/string.ops"
    {{@1}} = Parrot_str_upcase(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'upcase',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1095,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 435 "src/ops/string.ops"
    Parrot_str_upcase_inplace(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'downcase',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1096,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 450 "src/ops/string.ops"
    {{@1}} = Parrot_str_downcase(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'downcase',
                  'FLAGS' => $ops->[1096]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1097,
                  'ARGS' => [
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 450 "src/ops/string.ops"
    {{@1}} = Parrot_str_downcase(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'downcase',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1098,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 454 "src/ops/string.ops"
    Parrot_str_downcase_inplace(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'titlecase',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1099,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 469 "src/ops/string.ops"
    {{@1}} = Parrot_str_titlecase(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'titlecase',
                  'FLAGS' => $ops->[1099]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1100,
                  'ARGS' => [
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 469 "src/ops/string.ops"
    {{@1}} = Parrot_str_titlecase(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'titlecase',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'io'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1101,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 473 "src/ops/string.ops"
    Parrot_str_titlecase_inplace(interp, {{@1}});

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'join',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1102,
                  'ARGS' => [
                              's',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 495 "src/ops/string.ops"
    {{@1}} = Parrot_str_join(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'join',
                  'FLAGS' => $ops->[1102]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1103,
                  'ARGS' => [
                              's',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 495 "src/ops/string.ops"
    {{@1}} = Parrot_str_join(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'split',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1104,
                  'ARGS' => [
                              'p',
                              's',
                              's'
                            ],
                  'BODY' => '#line 499 "src/ops/string.ops"
    {{@1}} = Parrot_str_split(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'split',
                  'FLAGS' => $ops->[1104]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1105,
                  'ARGS' => [
                              'p',
                              'sc',
                              's'
                            ],
                  'BODY' => '#line 499 "src/ops/string.ops"
    {{@1}} = Parrot_str_split(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'split',
                  'FLAGS' => $ops->[1104]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1106,
                  'ARGS' => [
                              'p',
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 499 "src/ops/string.ops"
    {{@1}} = Parrot_str_split(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'split',
                  'FLAGS' => $ops->[1104]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1107,
                  'ARGS' => [
                              'p',
                              'sc',
                              'sc'
                            ],
                  'BODY' => '#line 499 "src/ops/string.ops"
    {{@1}} = Parrot_str_split(interp, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'charset',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1108,
                  'ARGS' => [
                              'i',
                              's'
                            ],
                  'BODY' => '#line 530 "src/ops/string.ops"
    {{@1}} = Parrot_charset_number_of_str(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'charset',
                  'FLAGS' => $ops->[1108]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1109,
                  'ARGS' => [
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 530 "src/ops/string.ops"
    {{@1}} = Parrot_charset_number_of_str(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'charsetname',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1110,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 534 "src/ops/string.ops"
    STRING * const name = Parrot_charset_name(interp, {{@2}});
    {{@1}} = name ? Parrot_str_copy(interp, name) : NULL;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'charsetname',
                  'FLAGS' => $ops->[1110]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1111,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 534 "src/ops/string.ops"
    STRING * const name = Parrot_charset_name(interp, {{@2}});
    {{@1}} = name ? Parrot_str_copy(interp, name) : NULL;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'find_charset',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1112,
                  'ARGS' => [
                              'i',
                              's'
                            ],
                  'BODY' => '#line 539 "src/ops/string.ops"
    const INTVAL n = Parrot_charset_number(interp, {{@2}});
    if (n < 0) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_INVALID_CHARTYPE,
                "charset \'%Ss\' not found", {{@2}});
        {{=handler}};
    }
    {{@1}} = n;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'find_charset',
                  'FLAGS' => $ops->[1112]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1113,
                  'ARGS' => [
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 539 "src/ops/string.ops"
    const INTVAL n = Parrot_charset_number(interp, {{@2}});
    if (n < 0) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_INVALID_CHARTYPE,
                "charset \'%Ss\' not found", {{@2}});
        {{=handler}};
    }
    {{@1}} = n;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trans_charset',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1114,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 550 "src/ops/string.ops"
    {{@1}} = Parrot_str_change_charset(interp, {{@1}}, {{@2}}, NULL);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trans_charset',
                  'FLAGS' => $ops->[1114]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1115,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 550 "src/ops/string.ops"
    {{@1}} = Parrot_str_change_charset(interp, {{@1}}, {{@2}}, NULL);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trans_charset',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1116,
                  'ARGS' => [
                              's',
                              's',
                              'i'
                            ],
                  'BODY' => '#line 554 "src/ops/string.ops"
    STRING *dest = Parrot_gc_new_string_header(interp, 0);
    {{@1}} = Parrot_str_change_charset(interp, {{@2}}, {{@3}}, dest);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trans_charset',
                  'FLAGS' => $ops->[1116]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1117,
                  'ARGS' => [
                              's',
                              'sc',
                              'i'
                            ],
                  'BODY' => '#line 554 "src/ops/string.ops"
    STRING *dest = Parrot_gc_new_string_header(interp, 0);
    {{@1}} = Parrot_str_change_charset(interp, {{@2}}, {{@3}}, dest);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trans_charset',
                  'FLAGS' => $ops->[1116]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1118,
                  'ARGS' => [
                              's',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 554 "src/ops/string.ops"
    STRING *dest = Parrot_gc_new_string_header(interp, 0);
    {{@1}} = Parrot_str_change_charset(interp, {{@2}}, {{@3}}, dest);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trans_charset',
                  'FLAGS' => $ops->[1116]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1119,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 554 "src/ops/string.ops"
    STRING *dest = Parrot_gc_new_string_header(interp, 0);
    {{@1}} = Parrot_str_change_charset(interp, {{@2}}, {{@3}}, dest);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'encoding',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1120,
                  'ARGS' => [
                              'i',
                              's'
                            ],
                  'BODY' => '#line 586 "src/ops/string.ops"
  {{@1}} = Parrot_encoding_number_of_str(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'encoding',
                  'FLAGS' => $ops->[1120]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1121,
                  'ARGS' => [
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 586 "src/ops/string.ops"
  {{@1}} = Parrot_encoding_number_of_str(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'encodingname',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1122,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 590 "src/ops/string.ops"
    STRING * const name = Parrot_encoding_name(interp, {{@2}});
    {{@1}} = name ? Parrot_str_copy(interp, name) : NULL;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'encodingname',
                  'FLAGS' => $ops->[1122]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1123,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 590 "src/ops/string.ops"
    STRING * const name = Parrot_encoding_name(interp, {{@2}});
    {{@1}} = name ? Parrot_str_copy(interp, name) : NULL;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'find_encoding',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1124,
                  'ARGS' => [
                              'i',
                              's'
                            ],
                  'BODY' => '#line 595 "src/ops/string.ops"
    const INTVAL n = Parrot_encoding_number(interp, {{@2}});
    if (n < 0) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_INVALID_ENCODING,
                "encoding \'%Ss\' not found", {{@2}});
        {{=handler}};
    }
    {{@1}} = n;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'find_encoding',
                  'FLAGS' => $ops->[1124]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1125,
                  'ARGS' => [
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 595 "src/ops/string.ops"
    const INTVAL n = Parrot_encoding_number(interp, {{@2}});
    if (n < 0) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_INVALID_ENCODING,
                "encoding \'%Ss\' not found", {{@2}});
        {{=handler}};
    }
    {{@1}} = n;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trans_encoding',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1126,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 606 "src/ops/string.ops"
    {{@1}} = Parrot_str_change_encoding(interp, {{@1}}, {{@2}}, NULL);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trans_encoding',
                  'FLAGS' => $ops->[1126]{'FLAGS'},
                  'ARGDIRS' => [
                                 'io',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1127,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 606 "src/ops/string.ops"
    {{@1}} = Parrot_str_change_encoding(interp, {{@1}}, {{@2}}, NULL);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trans_encoding',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1128,
                  'ARGS' => [
                              's',
                              's',
                              'i'
                            ],
                  'BODY' => '#line 610 "src/ops/string.ops"
    STRING * const dest = Parrot_gc_new_string_header(interp, 0);
    {{@1}} = Parrot_str_change_encoding(interp, {{@2}}, {{@3}}, dest);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trans_encoding',
                  'FLAGS' => $ops->[1128]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1129,
                  'ARGS' => [
                              's',
                              'sc',
                              'i'
                            ],
                  'BODY' => '#line 610 "src/ops/string.ops"
    STRING * const dest = Parrot_gc_new_string_header(interp, 0);
    {{@1}} = Parrot_str_change_encoding(interp, {{@2}}, {{@3}}, dest);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trans_encoding',
                  'FLAGS' => $ops->[1128]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1130,
                  'ARGS' => [
                              's',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 610 "src/ops/string.ops"
    STRING * const dest = Parrot_gc_new_string_header(interp, 0);
    {{@1}} = Parrot_str_change_encoding(interp, {{@2}}, {{@3}}, dest);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trans_encoding',
                  'FLAGS' => $ops->[1128]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1131,
                  'ARGS' => [
                              's',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 610 "src/ops/string.ops"
    STRING * const dest = Parrot_gc_new_string_header(interp, 0);
    {{@1}} = Parrot_str_change_encoding(interp, {{@2}}, {{@3}}, dest);

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'is_cclass',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1132,
                  'ARGS' => [
                              'i',
                              'i',
                              's',
                              'i'
                            ],
                  'BODY' => '#line 623 "src/ops/string.ops"
    {{@1}} = Parrot_str_is_cclass(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'is_cclass',
                  'FLAGS' => $ops->[1132]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1133,
                  'ARGS' => [
                              'i',
                              'ic',
                              's',
                              'i'
                            ],
                  'BODY' => '#line 623 "src/ops/string.ops"
    {{@1}} = Parrot_str_is_cclass(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'is_cclass',
                  'FLAGS' => $ops->[1132]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1134,
                  'ARGS' => [
                              'i',
                              'i',
                              'sc',
                              'i'
                            ],
                  'BODY' => '#line 623 "src/ops/string.ops"
    {{@1}} = Parrot_str_is_cclass(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'is_cclass',
                  'FLAGS' => $ops->[1132]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1135,
                  'ARGS' => [
                              'i',
                              'ic',
                              'sc',
                              'i'
                            ],
                  'BODY' => '#line 623 "src/ops/string.ops"
    {{@1}} = Parrot_str_is_cclass(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'is_cclass',
                  'FLAGS' => $ops->[1132]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1136,
                  'ARGS' => [
                              'i',
                              'i',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 623 "src/ops/string.ops"
    {{@1}} = Parrot_str_is_cclass(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'is_cclass',
                  'FLAGS' => $ops->[1132]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1137,
                  'ARGS' => [
                              'i',
                              'ic',
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 623 "src/ops/string.ops"
    {{@1}} = Parrot_str_is_cclass(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'is_cclass',
                  'FLAGS' => $ops->[1132]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1138,
                  'ARGS' => [
                              'i',
                              'i',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 623 "src/ops/string.ops"
    {{@1}} = Parrot_str_is_cclass(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'is_cclass',
                  'FLAGS' => $ops->[1132]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1139,
                  'ARGS' => [
                              'i',
                              'ic',
                              'sc',
                              'ic'
                            ],
                  'BODY' => '#line 623 "src/ops/string.ops"
    {{@1}} = Parrot_str_is_cclass(interp, {{@2}}, {{@3}}, {{@4}});

{{+=5}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1140,
                  'ARGS' => [
                              'i',
                              'i',
                              's',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1141,
                  'ARGS' => [
                              'i',
                              'ic',
                              's',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1142,
                  'ARGS' => [
                              'i',
                              'i',
                              'sc',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1143,
                  'ARGS' => [
                              'i',
                              'ic',
                              'sc',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1144,
                  'ARGS' => [
                              'i',
                              'i',
                              's',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1145,
                  'ARGS' => [
                              'i',
                              'ic',
                              's',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1146,
                  'ARGS' => [
                              'i',
                              'i',
                              'sc',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1147,
                  'ARGS' => [
                              'i',
                              'ic',
                              'sc',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1148,
                  'ARGS' => [
                              'i',
                              'i',
                              's',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1149,
                  'ARGS' => [
                              'i',
                              'ic',
                              's',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1150,
                  'ARGS' => [
                              'i',
                              'i',
                              'sc',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1151,
                  'ARGS' => [
                              'i',
                              'ic',
                              'sc',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1152,
                  'ARGS' => [
                              'i',
                              'i',
                              's',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1153,
                  'ARGS' => [
                              'i',
                              'ic',
                              's',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1154,
                  'ARGS' => [
                              'i',
                              'i',
                              'sc',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_cclass',
                  'FLAGS' => $ops->[1140]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1155,
                  'ARGS' => [
                              'i',
                              'ic',
                              'sc',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 637 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1156,
                  'ARGS' => [
                              'i',
                              'i',
                              's',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1157,
                  'ARGS' => [
                              'i',
                              'ic',
                              's',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1158,
                  'ARGS' => [
                              'i',
                              'i',
                              'sc',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1159,
                  'ARGS' => [
                              'i',
                              'ic',
                              'sc',
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1160,
                  'ARGS' => [
                              'i',
                              'i',
                              's',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1161,
                  'ARGS' => [
                              'i',
                              'ic',
                              's',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1162,
                  'ARGS' => [
                              'i',
                              'i',
                              'sc',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1163,
                  'ARGS' => [
                              'i',
                              'ic',
                              'sc',
                              'ic',
                              'i'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1164,
                  'ARGS' => [
                              'i',
                              'i',
                              's',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1165,
                  'ARGS' => [
                              'i',
                              'ic',
                              's',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1166,
                  'ARGS' => [
                              'i',
                              'i',
                              'sc',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1167,
                  'ARGS' => [
                              'i',
                              'ic',
                              'sc',
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1168,
                  'ARGS' => [
                              'i',
                              'i',
                              's',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1169,
                  'ARGS' => [
                              'i',
                              'ic',
                              's',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1170,
                  'ARGS' => [
                              'i',
                              'i',
                              'sc',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_not_cclass',
                  'FLAGS' => $ops->[1156]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1171,
                  'ARGS' => [
                              'i',
                              'ic',
                              'sc',
                              'ic',
                              'ic'
                            ],
                  'BODY' => '#line 651 "src/ops/string.ops"
    {{@1}} = Parrot_str_find_not_cclass(interp, {{@2}}, {{@3}}, {{@4}}, {{@5}});

{{+=6}};',
                  'LABELS' => [
                                0,
                                0,
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'escape',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1172,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 667 "src/ops/string.ops"
    {{@1}} = Parrot_str_escape(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'compose',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1173,
                  'ARGS' => [
                              's',
                              's'
                            ],
                  'BODY' => '#line 671 "src/ops/string.ops"
    {{@1}} = Parrot_str_compose(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'compose',
                  'FLAGS' => $ops->[1173]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1174,
                  'ARGS' => [
                              's',
                              'sc'
                            ],
                  'BODY' => '#line 671 "src/ops/string.ops"
    {{@1}} = Parrot_str_compose(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'spawnw',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1175,
                  'ARGS' => [
                              'i',
                              's'
                            ],
                  'BODY' => '#line 44 "src/ops/sys.ops"
  {{@1}} = Parrot_Run_OS_Command(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'spawnw',
                  'FLAGS' => $ops->[1175]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1176,
                  'ARGS' => [
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 44 "src/ops/sys.ops"
  {{@1}} = Parrot_Run_OS_Command(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'spawnw',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1177,
                  'ARGS' => [
                              'i',
                              'p'
                            ],
                  'BODY' => '#line 48 "src/ops/sys.ops"
  {{@1}} = Parrot_Run_OS_Command_Argv(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'err',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1178,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 69 "src/ops/sys.ops"
  {{@1}} = errno;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'err',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1179,
                  'ARGS' => [
                              's'
                            ],
                  'BODY' => '#line 73 "src/ops/sys.ops"
  const char * const tmp = strerror(errno);
  {{@1}} = string_make(interp, tmp, strlen(tmp), "ascii", 0);

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'err',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1180,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 78 "src/ops/sys.ops"
  const char * const tmp = strerror({{@2}});
  {{@1}} = string_make(interp, tmp, strlen(tmp), "ascii", 0);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'err',
                  'FLAGS' => $ops->[1180]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1181,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 78 "src/ops/sys.ops"
  const char * const tmp = strerror({{@2}});
  {{@1}} = string_make(interp, tmp, strlen(tmp), "ascii", 0);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'time',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1182,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 93 "src/ops/sys.ops"
  {{@1}} = Parrot_intval_time();

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'time',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1183,
                  'ARGS' => [
                              'n'
                            ],
                  'BODY' => '#line 107 "src/ops/sys.ops"
  {{@1}} = Parrot_floatval_time();

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'gmtime',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1184,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 180 "src/ops/sys.ops"
  struct tm tm;
  const time_t t = (time_t) {{@2}};
  char resultbuffer[26];
  Parrot_gmtime_r(&t, &tm);
  Parrot_asctime_r(&tm, resultbuffer);
  {{@1}} = Parrot_str_new(interp, resultbuffer, 25);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'gmtime',
                  'FLAGS' => $ops->[1184]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1185,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 180 "src/ops/sys.ops"
  struct tm tm;
  const time_t t = (time_t) {{@2}};
  char resultbuffer[26];
  Parrot_gmtime_r(&t, &tm);
  Parrot_asctime_r(&tm, resultbuffer);
  {{@1}} = Parrot_str_new(interp, resultbuffer, 25);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'localtime',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1186,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 189 "src/ops/sys.ops"
  struct tm tm;
  const time_t t = (time_t) {{@2}};
  char resultbuffer[26];
  Parrot_localtime_r(&t, &tm);
  Parrot_asctime_r(&tm, resultbuffer);
  {{@1}} = Parrot_str_new(interp, resultbuffer, 25);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'localtime',
                  'FLAGS' => $ops->[1186]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1187,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 189 "src/ops/sys.ops"
  struct tm tm;
  const time_t t = (time_t) {{@2}};
  char resultbuffer[26];
  Parrot_localtime_r(&t, &tm);
  Parrot_asctime_r(&tm, resultbuffer);
  {{@1}} = Parrot_str_new(interp, resultbuffer, 25);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'decodetime',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1188,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 198 "src/ops/sys.ops"
  struct tm tm;
  const time_t t = (time_t) {{@2}};
  Parrot_gmtime_r(&t, &tm);
  {{@1}} = tm_to_array(interp, &tm);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'decodetime',
                  'FLAGS' => $ops->[1188]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1189,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 198 "src/ops/sys.ops"
  struct tm tm;
  const time_t t = (time_t) {{@2}};
  Parrot_gmtime_r(&t, &tm);
  {{@1}} = tm_to_array(interp, &tm);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'decodelocaltime',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1190,
                  'ARGS' => [
                              'p',
                              'i'
                            ],
                  'BODY' => '#line 205 "src/ops/sys.ops"
  struct tm tm;
  const time_t t = (time_t) {{@2}};
  Parrot_localtime_r(&t, &tm);
  {{@1}} = tm_to_array(interp, &tm);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'decodelocaltime',
                  'FLAGS' => $ops->[1190]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1191,
                  'ARGS' => [
                              'p',
                              'ic'
                            ],
                  'BODY' => '#line 205 "src/ops/sys.ops"
  struct tm tm;
  const time_t t = (time_t) {{@2}};
  Parrot_localtime_r(&t, &tm);
  {{@1}} = tm_to_array(interp, &tm);

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sysinfo',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1192,
                  'ARGS' => [
                              's',
                              'i'
                            ],
                  'BODY' => '#line 269 "src/ops/sys.ops"
   {{@1}} = sysinfo_s(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sysinfo',
                  'FLAGS' => $ops->[1192]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1193,
                  'ARGS' => [
                              's',
                              'ic'
                            ],
                  'BODY' => '#line 269 "src/ops/sys.ops"
   {{@1}} = sysinfo_s(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sysinfo',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1194,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 273 "src/ops/sys.ops"
   {{@1}} = sysinfo_i(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sysinfo',
                  'FLAGS' => $ops->[1194]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1195,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 273 "src/ops/sys.ops"
   {{@1}} = sysinfo_i(interp, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT|PARROT_JUMP_GNEXT',
                  'NAME' => 'sleep',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1196,
                  'ARGS' => [
                              'i'
                            ],
                  'BODY' => '#line 287 "src/ops/sys.ops"
  opcode_t *next = {{^+2}};
  if ({{@1}} < 0) {
      opcode_t * const handler = Parrot_ex_throw_from_op_args(interp, next,
        EXCEPTION_NEG_SLEEP,
        "Cannot go back in time");
      {{=handler}};
  }
  next = (opcode_t *)Parrot_cx_schedule_sleep(interp, (FLOATVAL) {{@1}}, next);
  {{=next}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'sleep',
                  'FLAGS' => $ops->[1196]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1197,
                  'ARGS' => [
                              'ic'
                            ],
                  'BODY' => '#line 287 "src/ops/sys.ops"
  opcode_t *next = {{^+2}};
  if ({{@1}} < 0) {
      opcode_t * const handler = Parrot_ex_throw_from_op_args(interp, next,
        EXCEPTION_NEG_SLEEP,
        "Cannot go back in time");
      {{=handler}};
  }
  next = (opcode_t *)Parrot_cx_schedule_sleep(interp, (FLOATVAL) {{@1}}, next);
  {{=next}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'sleep',
                  'FLAGS' => {
                               '' => undef,
                               'flow' => undef
                             },
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1198,
                  'ARGS' => [
                              'n'
                            ],
                  'BODY' => '#line 299 "src/ops/sys.ops"
  opcode_t *next = {{^+2}};
  if ({{@1}} < 0.0) {
      opcode_t * const handler = Parrot_ex_throw_from_op_args(interp, next,
          EXCEPTION_NEG_SLEEP,
          "Cannot go back in time");
      {{=handler}};
  }
  next = (opcode_t *)Parrot_cx_schedule_sleep(interp, {{@1}}, next);
  {{=next}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'sleep',
                  'FLAGS' => $ops->[1198]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1199,
                  'ARGS' => [
                              'nc'
                            ],
                  'BODY' => '#line 299 "src/ops/sys.ops"
  opcode_t *next = {{^+2}};
  if ({{@1}} < 0.0) {
      opcode_t * const handler = Parrot_ex_throw_from_op_args(interp, next,
          EXCEPTION_NEG_SLEEP,
          "Cannot go back in time");
      {{=handler}};
  }
  next = (opcode_t *)Parrot_cx_schedule_sleep(interp, {{@1}}, next);
  {{=next}};
',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sizeof',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1200,
                  'ARGS' => [
                              'i',
                              'i'
                            ],
                  'BODY' => '#line 319 "src/ops/sys.ops"
    if ({{@2}} < enum_first_type || {{@2}} >= enum_last_type)
        {{@1}} = -1;
    else
        {{@1}} = data_types[{{@2}} - enum_first_type].size;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'sizeof',
                  'FLAGS' => $ops->[1200]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1201,
                  'ARGS' => [
                              'i',
                              'ic'
                            ],
                  'BODY' => '#line 319 "src/ops/sys.ops"
    if ({{@2}} < enum_first_type || {{@2}} >= enum_last_type)
        {{@1}} = -1;
    else
        {{@1}} = data_types[{{@2}} - enum_first_type].size;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'store_lex',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1202,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 42 "src/ops/var.ops"
    Parrot_Context   * const ctx      = CONTEXT(interp);
    STRING           * const lex_name = {{@1}};
    PMC              * const lex_pad  = Parrot_find_pad(interp, lex_name, ctx);

    if (PMC_IS_NULL(lex_pad)) {
        opcode_t * const handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_LEX_NOT_FOUND,
                "Lexical \'%Ss\' not found", lex_name);
        {{=handler}};
    }
    VTABLE_set_pmc_keyed_str(interp, lex_pad, lex_name, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'store_lex',
                  'FLAGS' => $ops->[1202]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1203,
                  'ARGS' => [
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 42 "src/ops/var.ops"
    Parrot_Context   * const ctx      = CONTEXT(interp);
    STRING           * const lex_name = {{@1}};
    PMC              * const lex_pad  = Parrot_find_pad(interp, lex_name, ctx);

    if (PMC_IS_NULL(lex_pad)) {
        opcode_t * const handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_LEX_NOT_FOUND,
                "Lexical \'%Ss\' not found", lex_name);
        {{=handler}};
    }
    VTABLE_set_pmc_keyed_str(interp, lex_pad, lex_name, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'find_lex',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1204,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 67 "src/ops/var.ops"
    Parrot_Context   * const ctx      = CONTEXT(interp);
    STRING           * const lex_name = {{@2}};
    PMC              * const lex_pad  = Parrot_find_pad(interp, lex_name, ctx);

    PMC * const result =
        PMC_IS_NULL(lex_pad)
            ? NULL
            : VTABLE_get_pmc_keyed_str(interp, lex_pad, lex_name);
    if (!result) {
        opcode_t * const handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_LEX_NOT_FOUND,
                "Lexical \'%Ss\' not found", lex_name);
        {{=handler}};
    }
    {{@1}} = result;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS',
                  'NAME' => 'find_lex',
                  'FLAGS' => $ops->[1204]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1205,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 67 "src/ops/var.ops"
    Parrot_Context   * const ctx      = CONTEXT(interp);
    STRING           * const lex_name = {{@2}};
    PMC              * const lex_pad  = Parrot_find_pad(interp, lex_name, ctx);

    PMC * const result =
        PMC_IS_NULL(lex_pad)
            ? NULL
            : VTABLE_get_pmc_keyed_str(interp, lex_pad, lex_name);
    if (!result) {
        opcode_t * const handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_LEX_NOT_FOUND,
                "Lexical \'%Ss\' not found", lex_name);
        {{=handler}};
    }
    {{@1}} = result;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_caller_lex',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1206,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 96 "src/ops/var.ops"
    STRING         * const lex_name = {{@2}};
    Parrot_Context * ctx            = CONTEXT(interp);
    PMC            * result         = PMCNULL;

    for (ctx = ctx->caller_ctx; ctx && PMC_IS_NULL(result); ctx = ctx->caller_ctx) {
        PMC * const lex_pad = Parrot_find_pad(interp, lex_name, ctx);
        if (!PMC_IS_NULL(lex_pad)) {
            result = VTABLE_get_pmc_keyed_str(interp, lex_pad, lex_name);
        }
        if (!result) result = PMCNULL;
    }
    {{@1}} = result;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'find_caller_lex',
                  'FLAGS' => $ops->[1206]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1207,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 96 "src/ops/var.ops"
    STRING         * const lex_name = {{@2}};
    Parrot_Context * ctx            = CONTEXT(interp);
    PMC            * result         = PMCNULL;

    for (ctx = ctx->caller_ctx; ctx && PMC_IS_NULL(result); ctx = ctx->caller_ctx) {
        PMC * const lex_pad = Parrot_find_pad(interp, lex_name, ctx);
        if (!PMC_IS_NULL(lex_pad)) {
            result = VTABLE_get_pmc_keyed_str(interp, lex_pad, lex_name);
        }
        if (!result) result = PMCNULL;
    }
    {{@1}} = result;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_namespace',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1208,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 132 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    {{@1}} = cur_ns;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_namespace',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1209,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 137 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    PMC * const ns     = Parrot_get_namespace_keyed(interp, cur_ns, {{@2}});

    {{@1}} = PMC_IS_NULL(ns) ? PMCNULL : ns;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_namespace',
                  'FLAGS' => $ops->[1209]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1210,
                  'ARGS' => [
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 137 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    PMC * const ns     = Parrot_get_namespace_keyed(interp, cur_ns, {{@2}});

    {{@1}} = PMC_IS_NULL(ns) ? PMCNULL : ns;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_hll_namespace',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1211,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 156 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    {{@1}} = hll_ns;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_hll_namespace',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1212,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 161 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    if (PMC_IS_NULL(hll_ns))
        {{@1}} = PMCNULL;
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, hll_ns, {{@2}});
        {{@1}} = ns;
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_hll_namespace',
                  'FLAGS' => $ops->[1212]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1213,
                  'ARGS' => [
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 161 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    if (PMC_IS_NULL(hll_ns))
        {{@1}} = PMCNULL;
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, hll_ns, {{@2}});
        {{@1}} = ns;
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_root_namespace',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1214,
                  'ARGS' => [
                              'p'
                            ],
                  'BODY' => '#line 182 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    {{@1}} = root_ns;

{{+=2}};',
                  'LABELS' => [
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_root_namespace',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1215,
                  'ARGS' => [
                              'p',
                              'p'
                            ],
                  'BODY' => '#line 187 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    if (PMC_IS_NULL(root_ns))
        {{@1}} = PMCNULL;
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, root_ns, {{@2}});
        {{@1}} = ns;
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'get_root_namespace',
                  'FLAGS' => $ops->[1215]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1216,
                  'ARGS' => [
                              'p',
                              'pc'
                            ],
                  'BODY' => '#line 187 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    if (PMC_IS_NULL(root_ns))
        {{@1}} = PMCNULL;
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, root_ns, {{@2}});
        {{@1}} = ns;
    }

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_global',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1217,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 220 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    {{@1}} = Parrot_find_global_op(interp, cur_ns, {{@2}}, {{^+3}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_global',
                  'FLAGS' => $ops->[1217]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1218,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 220 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    {{@1}} = Parrot_find_global_op(interp, cur_ns, {{@2}}, {{^+3}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_global',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1219,
                  'ARGS' => [
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 225 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    if (PMC_IS_NULL(cur_ns)) {
        {{@1}} = PMCNULL;
    }
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, cur_ns, {{@2}});
        if (PMC_IS_NULL(ns))
            {{@1}} = PMCNULL;
        else
            {{@1}} = Parrot_find_global_op(interp, ns, {{@3}}, {{^+4}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_global',
                  'FLAGS' => $ops->[1219]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1220,
                  'ARGS' => [
                              'p',
                              'pc',
                              's'
                            ],
                  'BODY' => '#line 225 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    if (PMC_IS_NULL(cur_ns)) {
        {{@1}} = PMCNULL;
    }
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, cur_ns, {{@2}});
        if (PMC_IS_NULL(ns))
            {{@1}} = PMCNULL;
        else
            {{@1}} = Parrot_find_global_op(interp, ns, {{@3}}, {{^+4}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_global',
                  'FLAGS' => $ops->[1219]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1221,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 225 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    if (PMC_IS_NULL(cur_ns)) {
        {{@1}} = PMCNULL;
    }
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, cur_ns, {{@2}});
        if (PMC_IS_NULL(ns))
            {{@1}} = PMCNULL;
        else
            {{@1}} = Parrot_find_global_op(interp, ns, {{@3}}, {{^+4}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_global',
                  'FLAGS' => $ops->[1219]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1222,
                  'ARGS' => [
                              'p',
                              'pc',
                              'sc'
                            ],
                  'BODY' => '#line 225 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    if (PMC_IS_NULL(cur_ns)) {
        {{@1}} = PMCNULL;
    }
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, cur_ns, {{@2}});
        if (PMC_IS_NULL(ns))
            {{@1}} = PMCNULL;
        else
            {{@1}} = Parrot_find_global_op(interp, ns, {{@3}}, {{^+4}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_hll_global',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1223,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 252 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    {{@1}} = Parrot_find_global_op(interp, hll_ns, {{@2}}, {{^+3}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_hll_global',
                  'FLAGS' => $ops->[1223]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1224,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 252 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    {{@1}} = Parrot_find_global_op(interp, hll_ns, {{@2}}, {{^+3}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_hll_global',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1225,
                  'ARGS' => [
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 257 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    if (PMC_IS_NULL(hll_ns)) {
        {{@1}} = hll_ns;
    }
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, hll_ns, {{@2}});
        if (PMC_IS_NULL(ns))
            {{@1}} = PMCNULL;
        else
            {{@1}} = Parrot_find_global_op(interp, ns, {{@3}}, {{^+4}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_hll_global',
                  'FLAGS' => $ops->[1225]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1226,
                  'ARGS' => [
                              'p',
                              'pc',
                              's'
                            ],
                  'BODY' => '#line 257 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    if (PMC_IS_NULL(hll_ns)) {
        {{@1}} = hll_ns;
    }
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, hll_ns, {{@2}});
        if (PMC_IS_NULL(ns))
            {{@1}} = PMCNULL;
        else
            {{@1}} = Parrot_find_global_op(interp, ns, {{@3}}, {{^+4}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_hll_global',
                  'FLAGS' => $ops->[1225]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1227,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 257 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    if (PMC_IS_NULL(hll_ns)) {
        {{@1}} = hll_ns;
    }
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, hll_ns, {{@2}});
        if (PMC_IS_NULL(ns))
            {{@1}} = PMCNULL;
        else
            {{@1}} = Parrot_find_global_op(interp, ns, {{@3}}, {{^+4}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_hll_global',
                  'FLAGS' => $ops->[1225]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1228,
                  'ARGS' => [
                              'p',
                              'pc',
                              'sc'
                            ],
                  'BODY' => '#line 257 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    if (PMC_IS_NULL(hll_ns)) {
        {{@1}} = hll_ns;
    }
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, hll_ns, {{@2}});
        if (PMC_IS_NULL(ns))
            {{@1}} = PMCNULL;
        else
            {{@1}} = Parrot_find_global_op(interp, ns, {{@3}}, {{^+4}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_root_global',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1229,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 284 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    {{@1}} = Parrot_find_global_op(interp, root_ns, {{@2}}, {{^+3}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_root_global',
                  'FLAGS' => $ops->[1229]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1230,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 284 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    {{@1}} = Parrot_find_global_op(interp, root_ns, {{@2}}, {{^+3}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_root_global',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1231,
                  'ARGS' => [
                              'p',
                              'p',
                              's'
                            ],
                  'BODY' => '#line 289 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    if (PMC_IS_NULL(root_ns))
        {{@1}} = PMCNULL;
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, root_ns, {{@2}});
        if (PMC_IS_NULL(ns))
            {{@1}} = PMCNULL;
        else
            {{@1}} = Parrot_find_global_op(interp, ns, {{@3}}, {{^+4}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_root_global',
                  'FLAGS' => $ops->[1231]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1232,
                  'ARGS' => [
                              'p',
                              'pc',
                              's'
                            ],
                  'BODY' => '#line 289 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    if (PMC_IS_NULL(root_ns))
        {{@1}} = PMCNULL;
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, root_ns, {{@2}});
        if (PMC_IS_NULL(ns))
            {{@1}} = PMCNULL;
        else
            {{@1}} = Parrot_find_global_op(interp, ns, {{@3}}, {{^+4}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_root_global',
                  'FLAGS' => $ops->[1231]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1233,
                  'ARGS' => [
                              'p',
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 289 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    if (PMC_IS_NULL(root_ns))
        {{@1}} = PMCNULL;
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, root_ns, {{@2}});
        if (PMC_IS_NULL(ns))
            {{@1}} = PMCNULL;
        else
            {{@1}} = Parrot_find_global_op(interp, ns, {{@3}}, {{^+4}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ENEXT',
                  'NAME' => 'get_root_global',
                  'FLAGS' => $ops->[1231]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1234,
                  'ARGS' => [
                              'p',
                              'pc',
                              'sc'
                            ],
                  'BODY' => '#line 289 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    if (PMC_IS_NULL(root_ns))
        {{@1}} = PMCNULL;
    else {
        PMC * const ns = Parrot_get_namespace_keyed(interp, root_ns, {{@2}});
        if (PMC_IS_NULL(ns))
            {{@1}} = PMCNULL;
        else
            {{@1}} = Parrot_find_global_op(interp, ns, {{@3}}, {{^+4}});
    }

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_global',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1235,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 324 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    Parrot_set_global(interp, cur_ns, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_global',
                  'FLAGS' => $ops->[1235]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1236,
                  'ARGS' => [
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 324 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    Parrot_set_global(interp, cur_ns, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_global',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1237,
                  'ARGS' => [
                              'p',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 329 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    PMC * const ns     = Parrot_make_namespace_keyed(interp, cur_ns, {{@1}});

    Parrot_set_global(interp, ns, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_global',
                  'FLAGS' => $ops->[1237]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1238,
                  'ARGS' => [
                              'pc',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 329 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    PMC * const ns     = Parrot_make_namespace_keyed(interp, cur_ns, {{@1}});

    Parrot_set_global(interp, ns, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_global',
                  'FLAGS' => $ops->[1237]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1239,
                  'ARGS' => [
                              'p',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 329 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    PMC * const ns     = Parrot_make_namespace_keyed(interp, cur_ns, {{@1}});

    Parrot_set_global(interp, ns, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_global',
                  'FLAGS' => $ops->[1237]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1240,
                  'ARGS' => [
                              'pc',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 329 "src/ops/var.ops"
    PMC * const cur_ns = CONTEXT(interp)->current_namespace;
    PMC * const ns     = Parrot_make_namespace_keyed(interp, cur_ns, {{@1}});

    Parrot_set_global(interp, ns, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_hll_global',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1241,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 348 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    Parrot_set_global(interp, hll_ns, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_hll_global',
                  'FLAGS' => $ops->[1241]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1242,
                  'ARGS' => [
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 348 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    Parrot_set_global(interp, hll_ns, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_hll_global',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1243,
                  'ARGS' => [
                              'p',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 353 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    PMC * const ns     = Parrot_make_namespace_keyed(interp, hll_ns, {{@1}});

    Parrot_set_global(interp, ns, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_hll_global',
                  'FLAGS' => $ops->[1243]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1244,
                  'ARGS' => [
                              'pc',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 353 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    PMC * const ns     = Parrot_make_namespace_keyed(interp, hll_ns, {{@1}});

    Parrot_set_global(interp, ns, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_hll_global',
                  'FLAGS' => $ops->[1243]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1245,
                  'ARGS' => [
                              'p',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 353 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    PMC * const ns     = Parrot_make_namespace_keyed(interp, hll_ns, {{@1}});

    Parrot_set_global(interp, ns, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_hll_global',
                  'FLAGS' => $ops->[1243]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1246,
                  'ARGS' => [
                              'pc',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 353 "src/ops/var.ops"
    PMC * const hll_ns = Parrot_get_ctx_HLL_namespace(interp);
    PMC * const ns     = Parrot_make_namespace_keyed(interp, hll_ns, {{@1}});

    Parrot_set_global(interp, ns, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_root_global',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1247,
                  'ARGS' => [
                              's',
                              'p'
                            ],
                  'BODY' => '#line 372 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    Parrot_set_global(interp, root_ns, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_root_global',
                  'FLAGS' => $ops->[1247]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1248,
                  'ARGS' => [
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 372 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    Parrot_set_global(interp, root_ns, {{@1}}, {{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_root_global',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1249,
                  'ARGS' => [
                              'p',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 377 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    PMC * const ns      = Parrot_make_namespace_keyed(interp, root_ns, {{@1}});

    Parrot_set_global(interp, ns, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_root_global',
                  'FLAGS' => $ops->[1249]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1250,
                  'ARGS' => [
                              'pc',
                              's',
                              'p'
                            ],
                  'BODY' => '#line 377 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    PMC * const ns      = Parrot_make_namespace_keyed(interp, root_ns, {{@1}});

    Parrot_set_global(interp, ns, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_root_global',
                  'FLAGS' => $ops->[1249]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1251,
                  'ARGS' => [
                              'p',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 377 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    PMC * const ns      = Parrot_make_namespace_keyed(interp, root_ns, {{@1}});

    Parrot_set_global(interp, ns, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'set_root_global',
                  'FLAGS' => $ops->[1249]{'FLAGS'},
                  'ARGDIRS' => [
                                 'i',
                                 'i',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1252,
                  'ARGS' => [
                              'pc',
                              'sc',
                              'p'
                            ],
                  'BODY' => '#line 377 "src/ops/var.ops"
    PMC * const root_ns = interp->root_namespace;
    PMC * const ns      = Parrot_make_namespace_keyed(interp, root_ns, {{@1}});

    Parrot_set_global(interp, ns, {{@2}}, {{@3}});

{{+=4}};',
                  'LABELS' => [
                                0,
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'find_name',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1253,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 409 "src/ops/var.ops"
    if (!{{@2}}) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_INVALID_OPERATION,
                "Tried to find null name");
        {{=handler}};
    }

    {{@1}} = Parrot_find_name_op(interp, {{@2}}, {{^+3}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'find_name',
                  'FLAGS' => $ops->[1253]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'function',
                  'CODE' => 1254,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 409 "src/ops/var.ops"
    if (!{{@2}}) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, NULL,
                EXCEPTION_INVALID_OPERATION,
                "Tried to find null name");
        {{=handler}};
    }

    {{@1}} = Parrot_find_name_op(interp, {{@2}}, {{^+3}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'find_sub_not_null',
                  'FLAGS' => {
                               '' => undef,
                               'base_core' => undef
                             },
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1255,
                  'ARGS' => [
                              'p',
                              's'
                            ],
                  'BODY' => '#line 422 "src/ops/var.ops"
    opcode_t *dest = {{^+3}};
    PMC *sub = Parrot_find_name_op(interp, {{@2}}, dest);

    if (PMC_IS_NULL(sub)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, dest,
                       EXCEPTION_GLOBAL_NOT_FOUND,
                       "Could not find non-existent sub %Ss", {{@2}});
        {{=handler}};
    }

    {{@1}} = sub;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => 'PARROT_JUMP_ADDRESS|PARROT_JUMP_ENEXT',
                  'NAME' => 'find_sub_not_null',
                  'FLAGS' => $ops->[1255]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1256,
                  'ARGS' => [
                              'p',
                              'sc'
                            ],
                  'BODY' => '#line 422 "src/ops/var.ops"
    opcode_t *dest = {{^+3}};
    PMC *sub = Parrot_find_name_op(interp, {{@2}}, dest);

    if (PMC_IS_NULL(sub)) {
        opcode_t *handler = Parrot_ex_throw_from_op_args(interp, dest,
                       EXCEPTION_GLOBAL_NOT_FOUND,
                       "Could not find non-existent sub %Ss", {{@2}});
        {{=handler}};
    }

    {{@1}} = sub;

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isnull',
                  'FLAGS' => {},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1257,
                  'ARGS' => [
                              'i',
                              's'
                            ],
                  'BODY' => '#line 748 "src/ops/cmp.ops"
    {{@1}} = STRING_IS_NULL({{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'isnull',
                  'FLAGS' => $ops->[1257]{'FLAGS'},
                  'ARGDIRS' => [
                                 'o',
                                 'i'
                               ],
                  'TYPE' => 'inline',
                  'CODE' => 1258,
                  'ARGS' => [
                              'i',
                              'sc'
                            ],
                  'BODY' => '#line 748 "src/ops/cmp.ops"
    {{@1}} = STRING_IS_NULL({{@2}});

{{+=3}};',
                  'LABELS' => [
                                0,
                                0
                              ]
                }, 'Parrot::Op' ),
         bless( {
                  'JUMP' => '0',
                  'NAME' => 'trap',
                  'FLAGS' => {
                               '' => undef,
                               'deprecated' => undef
                             },
                  'ARGDIRS' => [],
                  'TYPE' => 'function',
                  'CODE' => 1259,
                  'ARGS' => [],
                  'BODY' => '#line 48 "src/ops/experimental.ops"
INTVAL unused = PARROT_WARNINGS_test(interp,PARROT_WARNINGS_DEPRECATED_FLAG) &&
  fprintf(stderr,"Warning: instruction \'trap\' is deprecated\\n");
#if defined(__GNUC__) && defined(i386)
    __asm__("int3");       /* opcode 0xcc */
#endif
#if defined(__GNUC__) && defined(PPC)
    __asm__("trap");       /* opcode tr 31, 0, 0 */
#endif

{{+=1}};',
                  'experimental' => 1,
                  'LABELS' => []
                }, 'Parrot::Op' )
       ];

1;
